(function ($) {

    'use strict';

    var Element = window.stecBuilderElement;
    var ElementContent = window.stecBuilderElementContent;
    var Elements = window.stecBuilderElements;

    Elements.add(new Element({id: 'full-width', title: window.stecLang['full-width'], padding: '20px 20px 20px 20px', iconClass: 'stec-builder-icon-full-width', structure: true}, [
        new ElementContent('<div></div>', {}, {classes: 'stec-builder-element-content-full-width-style', droppable: true})
    ]));

    Elements.add(new Element({id: 'half-width', title: '50/50', padding: '20px 20px 20px 20px', iconClass: 'stec-builder-icon-half-width', structure: true}, [
        new ElementContent('<div></div>', {}, {classes: 'stec-builder-element-content-half-width-style', droppable: true}),
        new ElementContent('<div></div>', {}, {classes: 'stec-builder-element-content-half-width-style', droppable: true})
    ]));
    Elements.add(new Element({id: 'headers', title: window.stecLang.header, iconClass: 'stec-builder-icon-header'}, [
        new ElementContent('<h1 contenteditable="true">' + window.stecLang['header-title'] + '</h1>', {}, {classes: 'stec-builder-element-content-header-style'})
    ]));

    Elements.add(new Element({id: 'paragraph', title: window.stecLang.paragraph, iconClass: 'stec-builder-icon-paragraph'}, [
        new ElementContent('<p contenteditable="true">' + window.stecLang['paragraph-text'] + '</p>', {}, {classes: 'stec-builder-element-content-p-style'})
    ]));

    Elements.add(new Element({id: 'title', title: window.stecLang.title, limit: 1, iconClass: 'stec-builder-icon-title', required: true, ismust: true}, [
        new ElementContent('<input type="text" name="title" value="" placeholder="' + window.stecLang.title + '" />', {}, {classes: 'stec-builder-element-content-input-style'})
    ]));

    Elements.add(new Element({id: 'location', title: window.stecLang.location, limit: 1, iconClass: 'stec-builder-icon-location'}, [
        new ElementContent("<select name='location'><option>" + window.stecLang.selectLocation + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'start-date', title: window.stecLang['starts-on'], limit: 1, iconClass: 'stec-builder-icon-start-date', required: true, ismust: true}, [
        new ElementContent("<input type='text' name='start_date' placeholder='" + window.stecLang['starts-on'] + "' />", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-input-style'}),
        new ElementContent("<select><option>" + window.stecLang.hours + "</option></select>", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-select-style'}),
        new ElementContent("<select><option>" + window.stecLang.minutes + "</option></select>", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'end-date', title: window.stecLang['ends-on'], limit: 1, iconClass: 'stec-builder-icon-end-date', required: true, ismust: true}, [
        new ElementContent("<input type='text' name='end_date' placeholder='" + window.stecLang['ends-on'] + "' />", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-input-style'}),
        new ElementContent("<select><option>" + window.stecLang.minutes + "</option></select>", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-select-style'}),
        new ElementContent("<select><option>" + window.stecLang.minutes + "</option></select>", {}, {classes: 'stec-builder-element-content-datetime-style stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'repeater', title: window.stecLang.repeater, limit: 1, iconClass: 'stec-builder-icon-repeater'}, [
        new ElementContent("<select name='repeater'><option>Repeat Scheme</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'all-day-check', title: window.stecLang['all-day-check'], limit: 1, iconClass: 'stec-builder-icon-all-day'}, [
        new ElementContent('<div><label><input name="all_day" type="checkbox" /><p>' + window.stecLang['all-day'] + '</p></label></div>', {}, {classes: 'stec-builder-element-content-checkbox-style'})
    ]));

    Elements.add(new Element({id: 'description', title: window.stecLang.description, height: 200, limit: 1, iconClass: 'stec-builder-icon-description'}, [
        new ElementContent('<textarea name="description" placeholder="' + window.stecLang.description + '"></textarea>', {}, {classes: 'stec-builder-element-content-textarea-style'})
    ]));

    Elements.add(new Element({id: 'short-description', title: window.stecLang['short-description'], limit: 1, iconClass: 'stec-builder-icon-description-short'}, [
        new ElementContent('<input type="text" name="short_desc" placeholder="' + window.stecLang['short-description'] + '" />', {}, {classes: 'stec-builder-element-content-input-style'})
    ]));

    Elements.add(new Element({id: 'image', title: window.stecLang.image, limit: 1, iconClass: 'stec-builder-icon-image'}, [
        new ElementContent('<div>' + window.stecLang.image + '</div>', {}, {classes: 'stec-builder-element-content-media-images-style'})
    ]));

    Elements.add(new Element({id: 'attachments', title: window.stecLang.Attachments, limit: 1, iconClass: 'stec-builder-icon-attachments'}, [
        new ElementContent('<div>' + window.stecLang.Attachments + '</div>', {}, {classes: 'stec-builder-element-content-media-attachments-style'})
    ]));

    Elements.add(new Element({id: 'icon', title: window.stecLang.icon, limit: 1, iconClass: 'stec-builder-icon-icon'}, [
        new ElementContent("<select name='icon'><option disabled selected>" + window.stecLang.icon + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'category', title: window.stecLang.category, limit: 1, height: 150, iconClass: 'stec-builder-icon-category'}, [
        new ElementContent("<select multiple name='event_categories[]'><option>" + window.stecLang.category + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'calendar', title: window.stecLang.calendar, limit: 1, iconClass: 'stec-builder-icon-calendar', required: true, ismust: true}, [
        new ElementContent("<select name='calendar'><option disabled selected>" + window.stecLang.calendar + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'color', title: window.stecLang.color, limit: 1, iconClass: 'stec-builder-icon-color'}, [
        new ElementContent("<input type='text' placeholder='' />", {}, {classes: 'stec-builder-element-content-colorpicker-style'})
    ]));

    Elements.add(new Element({id: 'counter', title: window.stecLang.counter, limit: 1, iconClass: 'stec-builder-icon-counter'}, [
        new ElementContent("<select name='counter'><option disabled selected>" + window.stecLang.counter + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'featured', title: window.stecLang.featured, limit: 1, iconClass: 'stec-builder-icon-featured'}, [
        new ElementContent("<select name='featured'><option disabled selected>" + window.stecLang.featured + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'comments', title: window.stecLang.comments, limit: 1, iconClass: 'stec-builder-icon-comments'}, [
        new ElementContent("<select name='comments'><option disabled selected>" + window.stecLang.comments + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({id: 'keywords', title: window.stecLang.keywords, limit: 1, iconClass: 'stec-builder-icon-search'}, [
        new ElementContent("<input type='text' name='keywords' placeholder='" + window.stecLang.keywords + "' />", {}, {classes: 'stec-builder-element-content-input-style'})
    ]));

    Elements.add(new Element({id: 'email', title: window.stecLang['contact-email'], limit: 1, iconClass: 'stec-builder-icon-email'}, [
        new ElementContent("<input type='email' name='email' placeholder='" + window.stecLang['contact-email'] + "' />", {}, {classes: 'stec-builder-element-content-input-style'})
    ]));

    Elements.add(new Element({id: 'website-url', title: window.stecLang['website-url'], limit: 1, iconClass: 'stec-builder-icon-url'}, [
        new ElementContent("<input type='url' name='website' placeholder='" + window.stecLang['website-url'] + "' />", {}, {classes: 'stec-builder-element-content-input-style'})
    ]));

    Elements.add(new Element({id: 'notes', title: window.stecLang['reviewer-notes'], height: 200, limit: 1, iconClass: 'stec-builder-icon-notes'}, [
        new ElementContent("<textarea name='notes' placeholder='" + window.stecLang['reviewer-notes'] + "'></textarea>", {}, {classes: 'stec-builder-element-content-textarea-style'})
    ]));

    Elements.add(new Element({id: 'submit', title: window.stecLang['submit-button'], limit: 1, iconClass: 'stec-builder-icon-submit', required: true, ismust: true}, [
        new ElementContent("<div><input type='submit' name='submit' value='" + window.stecLang['submit-event'] + "' /></div>", {}, {classes: 'stec-builder-element-content-submit-style'})
    ]));

    Elements.add(new Element({id: 'captcha', title: window.stecLang.captcha, limit: 1, iconClass: 'stec-builder-icon-captcha'}, [
        new ElementContent("<div><span>" + window.stecLang.captcha + "</span></div>", {}, {classes: 'stec-builder-element-content-captcha-style'})
    ]));

    Elements.add(new Element({id: 'privacy', title: window.stecLang.privacypolicy, limit: 1, iconClass: 'stec-builder-icon-privacy-policy'}, [
        new ElementContent("<div><span>" + window.stecLang.privacypolicy + "</span></div>", {}, {classes: 'stec-builder-element-content-privacy-style'})
    ]));

    Elements.add(new Element({id: 'guests', title: window.stecLang.guests, limit: 1, iconClass: 'stec-builder-icon-guests'}, [
        new ElementContent("<div>" + window.stecLang["Add Guests"] + "</div>", {}, {classes: 'stec-builder-element-content-guests-style'})
    ]));

    Elements.add(new Element({id: 'organizers', title: window.stecLang.organizers, limit: 1, iconClass: 'stec-builder-icon-organizers'}, [
        new ElementContent("<div>" + window.stecLang['Add Organizers'] + "</div>", {}, {classes: 'stec-builder-element-content-organizers-style'})
    ]));

    Elements.add(new Element({id: 'attendance', title: window.stecLang.attendance, limit: 1, iconClass: 'stec-builder-icon-attendance'}, [
        new ElementContent("<div>" + window.stecLang['Add Attendees'] + "</div>", {}, {classes: 'stec-builder-element-content-attendance-style'})
    ]));

    Elements.add(new Element({id: 'schedule', title: window.stecLang.schedule, limit: 1, iconClass: 'stec-builder-icon-schedule'}, [
        new ElementContent("<div>" + window.stecLang['Add Schedule'] + "</div>", {}, {classes: 'stec-builder-element-content-schedules-style'})
    ]));

    Elements.add(new Element({id: 'booking', title: window.stecLang.booking, limit: 1, iconClass: 'stec-builder-icon-booking'}, [
        new ElementContent("<div>" + window.stecLang.booking + "</div>", {}, {classes: 'stec-builder-element-content-booking-style'})
    ]));

    Elements.add(new Element({id: 'rsvp', title: window.stecLang['RSVP Settings'], limit: 1, iconClass: 'stec-builder-icon-rsvp'}, [
        new ElementContent("<select name='rsvp[collect]'><option>" + window.stecLang['Collect RSVP'] + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'}),
        new ElementContent("<input name='rsvp[limit]' type='text' placeholder='" + window.stecLang['Attendees limit'] + "' />", {}, {classes: 'stec-builder-element-content-input-style'}),
        new ElementContent("<select name='rsvp[visibility]'><option>" + window.stecLang['Attendance visibility'] + "</option></select>", {}, {classes: 'stec-builder-element-content-select-style'})
    ]));

    Elements.add(new Element({
        id: 'plot',
        title: window.stecLang.workflow,
        padding: '0 0 0 0',
        margin: '0 0 0 0'
    }));

})(window.jQuery);