(function ($) {

    'use strict';

    function Panel() {

        // Projects panels
        var panels = {
            event_submission_form: ['content-structure', 'custom-content', 'submit-form']
        };

        this.enableElement = function (element) {
            var enableElement = $('.stec-builder-panel').find('.section-element').filter(function () {

                return $(this).data('elementObject').getParams('id') === element.getParams('id');

            });

            enableElement.removeClass('section-element-disabled');
        };

        this.disableElement = function (element) {
            var disableElement = $('.stec-builder-panel').find('.section-element').filter(function () {

                return $(this).data('elementObject').getParams('id') === element.getParams('id');

            });

            disableElement.addClass('section-element-disabled');
        };

        function controller() {

            $(document).on('keydown', function (e) {

                switch (e.which) {
                    case 84:
                    case 20:
                        if (e.altKey) {
                            $('.stec-builder-panel').toggle();
                        }
                        break;
                }
            });


            $('.stec-builder-panel').draggable({
                snap: '.stec-builder-modal'
            });

            /**
             * Toggle section show/hide
             */
            $(document).on('click', '.panel-section-toggle', function () {
                var $section = $(this).parents('.panel-section').first();
                $section.find('.panel-section-toggle i').toggleClass('far fa-minus-square far fa-plus-square');
                $section.find('.panel-section-elements').slideToggle(150);
            });

            /**
             * Drag elements
             */
            $(document).on('stec-builder-panel-reset-draggable', function () {
                $(".section-element-draggable").draggable({
                    scroll: false,
                    revert: false,
                    helper: "clone",
                    zIndex: 1000,
                    opacity: 1,
                    snap: '',
                    start: function (e, ui) {
                        // If is structure element change color of the main drop area
                        if (true === $(ui.helper.prevObject).data('elementObject').getParams('structure')) {
                            $('.stec-builder-plot-main-droppable').addClass('stec-builder-plot-main-droppable-valid-item');
                        }

                        // If is sub element highlight structure elements on the plot
                        if (false === $(ui.helper.prevObject).data('elementObject').getParams('structure')) {
                            $('.stec-builder-plot-element-droppable').addClass('stec-builder-plot-element-droppable-valid-item');
                        }

                    },
                    stop: function (e, ui) {
                        $('.stec-builder-plot-element-droppable').removeClass('stec-builder-plot-element-droppable-valid-item');
                        $('.stec-builder-plot-main-droppable').removeClass('stec-builder-plot-main-droppable-valid-item');
                    }
                });
            });
        }

        function clearPanel() {
            $('.stec-builder-panel').children('.panel-section').remove();
        }

        function showPanel(sectionsArray) {

            var $panel;

            clearPanel();

            $panel = $('.stec-builder-panel .panel-sections');
            $.each(sectionsArray, function () {
                var section = window.stecBuilderSections.get(this);
                var sectionElements = section.getElements();

                var $section = $('<div class="panel-section"><div class="panel-section-toggle"><i class="far fa-minus-square"></i><span>' + section.getParams('title') + '</span></div><div class="panel-section-elements"></div></div>')
                        .data('sectionObject', section)
                        .appendTo($panel);

                $.each(sectionElements, function () {
                    $('<div class="section-element section-element-draggable" title="' + this.getParams('title') + '"><i class="' + this.getParams('iconClass') + '"></i></div>')
                            .data('elementObject', this)
                            .addClass((true === this.getParams('structure')) ? 'section-element-draggable-structure' : '')
                            .appendTo($section.find('.panel-section-elements'));
                });
            });

            $(document).trigger('stec-builder-panel-reset-draggable');
        }

        (function __construct() {
            controller();
            showPanel(panels[window.stecBuilderMain.project_type]);

        })();

    }

    $(function () {
        window.stecBuilderPanel = Panel;
    });

})(window.jQuery);