/*jshint esversion: 8 */

/**
 * Code uses code template from wordpress codex
 */
(function () {

    'use strict';

    var el = window.wp.element.createElement;
    var fragment = window.wp.element.Fragment;
    var registerBlockType = window.wp.blocks.registerBlockType;
    var avatarBlockStyle = {
        backgroundImage: 'url(../wp-content/plugins/stachethemes_event_calendar/admin/img/gutenberg_avatar.png)',
        backgroundRepeat: 'no-repeat',
        width: '644px',
        height: '71px',
        marginBottom: '10px'
    };
    var avatarSubmitBlockStyle = {
        backgroundImage: 'url(../wp-content/plugins/stachethemes_event_calendar/admin/img/gutenberg_avatar_submit.png)',
        backgroundRepeat: 'no-repeat',
        width: '644px',
        height: '71px',
        marginBottom: '10px'
    };
    var avatarExportBlockStyle = {
        backgroundImage: 'url(../wp-content/plugins/stachethemes_event_calendar/admin/img/gutenberg_avatar_export.png)',
        backgroundRepeat: 'no-repeat',
        width: '644px',
        height: '71px',
        marginBottom: '10px'
    };

    var editPStyle = {
        fontSize: '12px',
        fontWeight: 'normal',
        marginBottom: 0,
        marginTop: '10px'
    };

    var editInputStyle = {
        width: '100%',
        background: '#ececec',
        border: 'none'
    };

    var editSelectStyle = {
        width: '100%',
        height: 'auto',
        background: '#ececec',
        border: 'none'
    };

    const {__} = window.wp.i18n;

// [stachethemes_ec]
    registerBlockType('stec/stachethemes-ec', {
        title: __('Event Calendar', 'stec'),
        description: __('Displays default calendar', 'stec'),
        icon: 'calendar-alt',
        category: 'stec',
        keywords: [__('stec', 'stec'), __('calendar', 'stec'), __('agenda', 'stec')],
        attributes: {
            cal: {},
            cat: {},
            views: {},
            view: {}
        },
        edit: function (props) {

            return el(
                    fragment, {},
                    el('div', {style: avatarBlockStyle}, ''),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Calendar ID (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.cal,
                                onChange: function () {
                                    props.setAttributes({cal: event.target.value});
                                }
                            })),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Category ID (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.cat,
                                onChange: function () {
                                    props.setAttributes({cat: event.target.value});
                                }
                            })),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Active Views', 'stec')),
                            el('select', {
                                multiple: true,
                                style: editSelectStyle,
                                value: props.attributes.views ? props.attributes.views.split(',') : ['agenda', 'month', 'week'],
                                onChange: function () {
                                    var options = event.target.options;
                                    var value = [];
                                    var i, l;
                                    for (i = 0, l = options.length; i < l; i++) {
                                        if (options[i].selected) {
                                            value.push(options[i].value);
                                        }
                                    }

                                    props.setAttributes({views: value.join(',')});

                                }
                            },
                                    el('option', {value: 'agenda'}, __('Agenda', 'stec')),
                                    el('option', {value: 'week'}, __('Week', 'stec')),
                                    el('option', {value: 'month'}, __('Month', 'stec')),
                                    el('option', {value: 'grid'}, __('Grid', 'stec')),
                                    el('option', {value: 'boxgrid'}, __('Box Grid', 'stec')),
                                    el('option', {value: 'map'}, __('Map', 'stec')),
                                    )),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Default View', 'stec')),
                            el('select', {
                                style: editSelectStyle,
                                value: props.attributes.view,
                                onChange: function () {
                                    props.setAttributes({view: event.target.value});
                                }
                            },
                                    el('option', {value: 'agenda'}, __('Agenda', 'stec')),
                                    el('option', {value: 'week'}, __('Week', 'stec')),
                                    el('option', {value: 'month'}, __('Month', 'stec')),
                                    el('option', {value: 'grid'}, __('Grid', 'stec')),
                                    el('option', {value: 'boxgrid'}, __('Box Grid', 'stec')),
                                    el('option', {value: 'map'}, __('Map', 'stec')),
                                    )),
                    );


        },
        save: function (props) {
            var shortcodeAttribs = [];
            var content, k;
            for (k in props.attributes) {

                if (!props.attributes.hasOwnProperty(k)) {
                    continue;
                }

                shortcodeAttribs.push(k + '=' + '"' + props.attributes[k] + '"');
            }
            content = '[stachethemes_ec ' + shortcodeAttribs.join(' ') + ']';
            return el('div', {}, content);
        }
    });

// [stec_builder project_type=event_submission_form] 
    registerBlockType('stec/stachethemes-ec-submission-form', {
        title: __('Submit an event form', 'stec'),
        description: __('Displays the standalone submit an event form', 'stec'),
        icon: 'forms',
        category: 'stec',
        keywords: [__('stec', 'stec'), __('calendar', 'stec'), __('submit', 'stec')],
        attributes: {
            project_id: {},
            cal: {},
            cat: {}
        },
        edit: function (props) {

            return el(
                    fragment, {},
                    el('div', {style: avatarSubmitBlockStyle}, ''),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Builder submission form id (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.project_id,
                                onChange: function () {
                                    props.setAttributes({project_id: event.target.value});
                                }
                            })),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Calendars ID (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.cal,
                                onChange: function () {
                                    props.setAttributes({cal: event.target.value});
                                }
                            })),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Categories ID (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.cat,
                                onChange: function () {
                                    props.setAttributes({cat: event.target.value});
                                }
                            }))
                    );


        },
        save: function (props) {
            var shortcodeAttribs = [];
            var k, content;
            for (k in props.attributes) {
                if (!props.attributes.hasOwnProperty(k)) {
                    continue;
                }
                shortcodeAttribs.push(k + '=' + '"' + props.attributes[k] + '"');
            }
            content = '[stec_builder project_type=event_submission_form ' + shortcodeAttribs.join(' ') + ']';
            return el('div', {}, content);
        }
    });

// [stachethemes_ec_export]
    registerBlockType('stec/stachethemes-ec-export', {
        title: __('Export events button', 'stec'),
        description: __('Displays export to ICS button', 'stec'),
        icon: 'external',
        category: 'stec',
        keywords: [__('stec', 'stec'), __('calendar', 'stec'), __('export', 'stec')],
        attributes: {
            cal: {},
            text: {}
        },
        edit: function (props) {

            return el(
                    fragment, {},
                    el('div', {style: avatarExportBlockStyle}, ''),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Calendar ID (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.cal,
                                onChange: function () {
                                    props.setAttributes({cal: event.target.value});
                                }
                            })),
                    el(fragment, {},
                            el('p', {style: editPStyle}, __('Button text (optional)', 'stec')),
                            el('input', {
                                style: editInputStyle,
                                value: props.attributes.text,
                                onChange: function () {
                                    props.setAttributes({text: event.target.value});
                                }
                            }))
                    );

        },
        save: function (props) {
            var shortcodeAttribs = [];
            var k, content;
            for (k in props.attributes) {

                if (!props.attributes.hasOwnProperty(k)) {
                    continue;
                }

                shortcodeAttribs.push(k + '=' + '"' + props.attributes[k] + '"');
            }
            content = '[stachethemes_ec_export ' + shortcodeAttribs.join(' ') + ']';
            return el('div', {}, content);
        }
    });

})();  