(function ($) {

    "use strict";

    $.stecExtend(function (master) {

        var helper = master.helper;
        var glob = master.glob;
        var container;

        var disqus = {

            loadCommentsCount: function () {

                var disqusShortname = master.glob.options.general_settings.disqus_shortname;

                $.ajax({
                    type: "GET",
                    url: "//" + disqusShortname + ".disqus.com/count.js",
                    dataType: "script",
                    cache: true
                });
            },

            loadComments: function ($tabCont) {

                var $container = $(container), eventId, offset, event, link, disqusShortname, disqusTitle;

                $container.find("#disqus_thread").remove();

                $('<div id="disqus_thread"></div>').appendTo($tabCont);

                eventId = $container.data('event-id');
                offset = parseInt($container.data('repeat-time-offset'), 10);
                event = master.calData.getEventById(eventId);
                link = event.permalink + (offset ? offset : '');

                disqusShortname = master.glob.options.general_settings.disqus_shortname;
                disqusTitle = $tabCont.parents('.stec-layout-event')
                        .find('.stec-layout-event-preview-left-text-title')
                        .text();

                window.disqus_url = link;
                window.disqus_identifier = "stecEventID" + eventId;
                window.disqus_title = disqusTitle;

                if (typeof window.DISQUS === "undefined") {
                    $.ajax({
                        type: "GET",
                        url: "//" + disqusShortname + ".disqus.com/embed.js",
                        dataType:
                                "script",
                        cache: true
                    });
                } else {
                    window.DISQUS.reset({
                        reload: true
                    });
                }
            }

        };

        var facebook = {
            loadComments: function ($tabCont) {

                var $container = $(container);
                var eventId = $container.data('event-id');
                var offset = parseInt($container.data('repeat-time-offset'), 10);
                var event = master.calData.getEventById(eventId);
                var link = event.permalink + (offset ? offset : '');

                if ($('#fb-root').length <= 0) {
                    $('<div id="fb-root"></div>').appendTo('body');
                }

                $('<div class="stec-fb-comments fb-comments" data-width="100%" data-href="' + link + '" data-numposts="5"></div>').appendTo($tabCont);
                window.FB.XFBML.parse();

            }
        };

        function loadComments($container) {

            switch (glob.options.general_settings.comments_form) {
                case 'facebook' :

                    if ($container
                            .find('.stec-layout-event-inner-comments')
                            .find('.stec-fb-comments').length <= 0) {

                        facebook.loadComments($container.find('.stec-layout-event-inner-comments'));

                        break;
                    }

                    break;

                case 'disqus' :

                    if ($container
                            .find('.stec-layout-event-inner-comments')
                            .find('#disqus_thread').length <= 0) {
                        disqus.loadComments($container.find('.stec-layout-event-inner-comments'));

                        break;
                    }
            }
        }

        function tabToggle($container) {
            if ($container
                    .find('.stec-layout-event-inner-top-tabs')
                    .children('.active[data-tab="stec-layout-event-inner-comments"]')
                    .length > 0) {

                loadComments($container);
            }
        }

        if (master.glob.options.general_settings.open_event_in === 'modal') {
            container = '#stec-layout-event-inner-' + master.glob.options.id;
        } else {
            container = master.instance + ' .stec-layout-event.active .stec-layout-event-inner';
        }

        $(document).on(helper.clickHandle(), container + ' .stec-layout-event-inner-top-tabs li[data-tab="stec-layout-event-inner-comments"]', function () {
            loadComments($(container));
        });

        $(document).on(helper.clickHandle(), container + ' .stec-layout-event-preview-right-event-toggle', function (e) {
            e.preventDefault();
            e.stopPropagation();
            tabToggle($(container));

        });

        $(document).on(helper.clickHandle(), container + ' .stec-layout-event', function (e) {
            e.preventDefault();
            tabToggle($(container));
        });


    });

})(window.jQuery);