(function ($) {

    "use strict";

    $.stecExtend(function (master) {

        var $form;
        
        if (parseInt(master.glob.options.general_settings.show_create_event_form, 10) === 0) {
            return;
        }

        // Remove old submission form
        master.$instance.find('.stec-event-create-form').remove();

        // Append agenda form
        if ('agenda' === master.glob.options.view) {

            $form = $(master.glob.template.eventCreateForm).prependTo(master.$instance.$agenda.find('.stec-layout-events-form'));
            new window.stecBuilderSubmissionForm().init({
                id: $form.find('.stec-builder-form').attr('id'),
                master: master,
                create_event_form_allow_expired: master.glob.options.general_settings.create_event_form_allow_expired,
                create_event_form_allow_location_type: master.glob.options.general_settings.create_event_form_allow_location_type,
                display_privacy_agreement: master.glob.options.general_settings.display_privacy_agreement,
                captcha: master.glob.options.captcha,
                date_format: master.glob.options.general_settings.date_format
            });

            if (master.helper.animate !== false) {
                setTimeout(function () {
                    master.helper.animate.agenda.openSingle(master.$instance.$agenda.find('.stec-event-create-form'));
                }, 0);
            }
        }

    }, 'onLayoutSet');

    $.stecExtend(function (master) {
        var $form, events;

        if (parseInt(master.glob.options.general_settings.show_create_event_form, 10) === 0) {
            return;
        }

        if ($.inArray(master.glob.options.view, ['month', 'week', 'day']) !== -1) {
            if (master.$instance['$' + master.glob.options.view].find('.stec-event-create-form').length <= 0) {

                $form = $(master.glob.template.eventCreateForm).prependTo(master.$instance['$' + master.glob.options.view].find('.stec-layout-events'));

                new window.stecBuilderSubmissionForm().init({
                    id: $form.find('.stec-builder-form').attr('id'),
                    master: master,
                    create_event_form_allow_expired: master.glob.options.general_settings.create_event_form_allow_expired,
                    create_event_form_allow_location_type: master.glob.options.general_settings.create_event_form_allow_location_type,
                    display_privacy_agreement: master.glob.options.general_settings.display_privacy_agreement,
                    captcha: master.glob.options.captcha,
                    date_format: master.glob.options.general_settings.date_format
                });
            }
        }

        // append unapproved yet events
        events = master.calData.getEvents(false, false, true);

        $(events).each(function () {

            var theEvent, $event;

            if (parseInt(this.approved, 10) === 1) {
                return true;
            }

            theEvent = this;
            $event = $(master.glob.template.eventAapproval)
                    .attr('data-id', this.id)
                    .removeClass('stec-event-awaiting-approval-template')
                    .html(function (index, html) {

                        return html
                                .replace('stec_replace_summary', theEvent.title)
                                .replace(/#stec_replace_edit_link/g, theEvent.edit_link);

                    });

            if (master.glob.options.view === "agenda") {
                $event.prependTo(master.$instance.$events.not('.stec-layout-agenda-events-all'));
            } else {
                $event.insertAfter(master.$instance.$events.find('.stec-event-create-form'));
            }
        });

    }, 'onEventHolderOpen');

    $.stecExtend(function (master) {

        if (parseInt(master.glob.options.general_settings.show_create_event_form, 10) === 0) {
            return;
        }

        // Clean unapproved li list
        master.$instance.$agenda.find('.stec-layout-event-awaiting-approval').remove();

    }, 'onEventHolderClose');

    $.stecExtend(function (master) {

        if (parseInt(master.glob.options.general_settings.show_create_event_form, 10) === 0) {
            return;
        }

        $(document).on(master.helper.clickHandle(), master.$instance.$agenda.path + ' .stec-layout-event-create-form-inner', function (e) {
            e.stopPropagation();
        });

        $(document).on(master.helper.clickHandle(),
                master.instance + (" .stec-event-create-form") + ',' +
                master.instance + (" .stec-layout-event-create-form-preview-right-event-toggle"), function (e) {

            var $form;

            e.preventDefault();
            e.stopPropagation();

            $form = $(this).hasClass('stec-event-create-form') ? $(this) : $(this).parents('.stec-event-create-form');

            $form.toggleClass('active');
            $form.find('.stec-layout-event-create-form-preview-right-event-toggle').toggleClass('active');

        });

        $(document).on(master.helper.clickHandle(),
                master.instance + (" .stec-layout-event-awaiting-approval-cancel, .stec-layout-event-preview-left-awaiting-approval-cancel"), function () {

            var $event = $(this).parents('.stec-layout-event-awaiting-approval').first();
            var eventId = $event.data('id');

            var DB = new window.StecDB();
            var request = DB.newRequest();

            request.setData({
                action: 'stec_public_ajax_action',
                task: 'front_delete_event',
                id: eventId
            });

            request.setBefore(function () {
                $event.css('opacity', 0.5);
            });

            request.setCallback(function (data) {
                if (data.error === 0) {
                    master.calData.removeFromEventsPool(eventId);
                    $event.remove();
                }
            });

            DB.query(request);

        });
    });

})(window.jQuery);
