(function ($) {

    "use strict";

    $(document).on('onEventToggleOpen', function (e, data) {

        var $container, $inner, event, template;

        if (data.event.guests.length <= 0) {
            return;
        }

        $container = data.$container;
        $inner = $container.find('.stec-layout-event-inner-guests');
        event = data.event;

        if ($inner.length <= 0 || !$inner.find('.stec-layout-event-inner-guests-guest-template')[0]) {
            return;
        }

        template = $inner.find('.stec-layout-event-inner-guests-guest-template')[0].outerHTML;
        $inner.find('.stec-layout-event-inner-guests-guest-template').remove();

        if (event.guests.length > 0) {

            $(event.guests).each(function (i) {

                var th = this, avatar;

                $(template).html(function (index, html) {

                    var lis = [];

                    $(th.links).each(function (pos) {
                        var link = this.link;
                        if ('fas fa-envelope' === this.ico) {
                            link = 'mailto:' + link;
                        }
                        lis[pos] = '<li class="stec-layout-event-inner-guests-guest-left-avatar-icon-position-' + pos + '"><a target="_blank" href="' + link + '"><i class="' + this.ico + '"></i></a></li>';
                    });

                    if (!th.photo_full) {
                        avatar = '<div class="stec-layout-event-inner-guests-guest-left-avatar-default"></div>';
                    } else {
                        avatar = '<img src="' + th.photo_full + '" alt="stec_replace_name" >';
                    }

                    return html
                            .replace(/stec_replace_ico_position/g, i)
                            .replace(/stec_replace_avatar/g, avatar)
                            .replace(/stec_replace_social/g, lis.join(''))
                            .replace(/stec_replace_name/g, th.name)
                            .replace(/stec_replace_about/g, th.about);

                })
                        .removeClass('stec-layout-event-inner-guests-guest-template')
                        .appendTo($inner);

            });

        }

        // Remove tab preloaders
        $inner.find('.stec-layout-event-inner-preload-wrap').children().first().unwrap();
        $inner.find('.stec-layout-event-inner-preload-wrap').remove();
        $inner.find('.stec-preloader').remove();

    });

})(window.jQuery);