(function ($) {

    "use strict";

    function uniqueSort(array) {
        return $.grep(array, function (el, index) {
            return index === $.inArray(el, array);
        });
    }

    function locationsToHtml(locationsPool) {

        var html = [];
        var arr = [];
        var country, city, address;


        arr.other = [];
        arr.other.other = [];


        // Countries
        $.each(locationsPool, function () {
            if (!this.country) {
                return true;// continue;
            }

            if (false === this.country in arr) {
                arr[this.country] = [];
                arr[this.country].other = [];
            }
        });

        // Cities
        $.each(locationsPool, function () {
            if (!this.city) {
                return true;// continue;
            }

            if (!(arr[this.country ? this.country : 'other'][this.city])) {
                arr[this.country ? this.country : 'other'][this.city] = [];
            }

        });

        // Address
        $.each(locationsPool, function () {
            
            var displayName = this.title ? this.title : this.address;
            
            if (!this.address) {
                return true;// continue;
            }
            
            if (!(arr[this.country ? this.country : 'other'][this.city ? this.city : 'other'])) {
                arr[this.country ? this.country : 'other'][this.city ? this.city : 'other'] = [];
            }

            arr[this.country ? this.country : 'other'][this.city ? this.city : 'other'][displayName] = this.full_address;

        });

        for (country in arr) {

            if ('other' === country) {

                for (city in arr[country]) {
                    if (arr[country].hasOwnProperty(city)) {
                        if ('other' === city) {
                            for (address in arr[country][city]) {
                                if (arr[country][city].hasOwnProperty(address)) {
                                    html.push('<li class="active" data-location="' + arr[country][city][address] + '"><span><i class="fas fa-check-square"></i>' + address + '</span></li>');
                                }
                            }
                        } else {
                            html.push('<li class="active" data-location="' + city + '"><span><i class="fas fa-check-square"></i>' + city + '</span>');
                            html.push('<ul>');

                            for (address in arr[country][city]) {
                                if (arr[country][city].hasOwnProperty(address)) {
                                    html.push('<li class="active" data-location="' + arr[country][city][address] + '"><span><i class="fas fa-check-square"></i>' + address + '</span></li>');
                                }
                            }

                            html.push('</ul>');
                            html.push('</li>');
                        }
                    }
                }
            } else {

                html.push('<li class="active" data-location="' + country + '"><span><i class="fas fa-check-square"></i>' + country + '</span>');
                html.push('<ul>');

                for (city in arr[country]) {

                    if ('other' === city) {
                        for (address in arr[country][city]) {
                            if (arr[country][city].hasOwnProperty(address)) {
                                html.push('<li class="active" data-location="' + arr[country][city][address] + '"><span><i class="fas fa-check-square"></i>' + address + '</span></li>');
                            }
                        }
                    } else {
                        html.push('<li class="active" data-location="' + city + '"><span><i class="fas fa-check-square"></i>' + city + '</span>');
                        html.push('<ul>');
                        for (address in arr[country][city]) {
                            if (arr[country][city].hasOwnProperty(address)) {
                                html.push('<li class="active" data-location="' + arr[country][city][address] + '"><span><i class="fas fa-check-square"></i>' + address + '</span></li>');
                            }
                        }

                        html.push('</ul>');
                        html.push('</li>');
                    }
                }

                html.push('</ul>');
                html.push('</li>');
            }
        }

        return html.join('');
    }

    $.stecExtend(function (master, events) {

        var filtered = [];

        $(master.calData.filterGetEvents).each(function () {

            var featured = parseInt(this.featured, 10);
            var inCategory;
            var inOrganizer;
            var locationLookFor;
            var locationFound;
            var key;

            if (parseInt(master.glob.options.featured_only, 10) === 1 && featured <= 0) {
                return true;
            }

            switch (master.calData.featuredFilter) {
                case 1:

                    if (featured <= 0) {
                        return true;
                    }

                    break;
                case - 1:
                    if (featured > 0) {
                        return true;
                    }
                    break;
            }

            if ($.inArray(parseInt(this.calid, 10), master.calData.calendarFilter) === -1) {
                return true;
            }

            if (master.calData.categoriesPool.length > 0) {

                inCategory = false;

                if (this.category.length > 0) {
                    $.each(this.category, function () {
                        if ($.inArray(parseInt(this.id, 10), master.calData.categoriesFilter) !== -1) {
                            inCategory = true;
                            return false; // break;
                        }
                    });
                } else {
                    if ($.inArray(parseInt(0, 10), master.calData.categoriesFilter) !== -1) {
                        inCategory = true;
                    } else {
                        inCategory = false;
                    }
                }

                if (false === inCategory) {
                    return true;
                }
            }

            if (master.calData.organizersPool.length > 0) {

                inOrganizer = false;

                if (this.organizers.length > 0) {
                    $.each(this.organizers, function () {
                        if ($.inArray(this.id, master.calData.organizersFilter) !== -1) {
                            inOrganizer = true;
                            return false; // break;
                        }
                    });
                } else {
                    if ($.inArray('none', master.calData.organizersFilter) !== -1) {
                        inOrganizer = true;
                    }
                }

                if (false === inOrganizer) {
                    return true;
                }

            }

            if (master.glob.options.filter_location) {
                locationLookFor = master.glob.options.filter_location.toLowerCase();
                locationFound = false;
                
                for (key in this.location) {
                    if (this.location.hasOwnProperty(key)) {
                        if (key === 'id') {
                            continue;
                        }
                        if (this.location[key].toString().toLowerCase() === locationLookFor) {
                            locationFound = true;
                            break;
                        }
                    }
                }

                if (false === locationFound) {
                    return true;
                }
            } else if (this.location.full_address) {
                
                if ($.inArray(this.location.full_address, master.calData.locationsFilter) === -1 &&
                        $.inArray(this.location.country, master.calData.locationsFilter) === -1 &&
                        $.inArray(this.location.city, master.calData.locationsFilter) === -1) {

                    return true;
                }
            } else {
                if ($.inArray('none', master.calData.locationsFilter) === -1) {
                    return true;
                }
            }


            filtered.push(this);

        });

        master.calData.filterGetEvents = filtered;

    }, 'beforeProccessGetEvents');

    $.stecExtend(function (master, eventsPool) {

        var calendars = [];
        var categories = [];
        var locations = [];
        var organizers = [];
        var useCatColor = parseInt(master.glob.options.general_settings.use_cat_color, 10);
        var html = [];

        /**
         * @todo better implementation of sort by unique key value ?
         */

        // If no events hide filter
        if (eventsPool.length <= 0) {
            master.$instance.$top.find('.stec-top-menu-filter').hide();
            return;
        }

        $(eventsPool).each(function () {
            var event = this;
            var calendarPushed = false;
            var locationPushed = false;

            $(calendars).each(function () {
                if (this.id === event.calid) {
                    calendarPushed = true;
                }
            });

            if (calendarPushed === false) {

                calendars.push({
                    id: event.calid,
                    title: event.calendar.title,
                    color: event.calendar.color
                });
            }

            if (event.location.full_address) {
                $(locations).each(function () {
                    if (this.id === event.location.id) {
                        locationPushed = true;
                    }
                });

                if (locationPushed === false) {
                    locations.push(event.location);
                }
            }

            if (event.category.length > 0) {
                if (1 === useCatColor) {
                    event.color = event.category[0].color;
                }

                $.each(event.category, function () {

                    var eventCategory = this;
                    var categoryPushed = false;

                    $.each(categories, function () {
                        if (this.id === eventCategory.id) {
                            categoryPushed = true;
                        }
                    });

                    if (categoryPushed === false) {
                        categories.push({
                            id: this.id,
                            title: this.title,
                            color: this.color
                        });
                    }
                });
            }

            if (event.organizers.length > 0) {
                $.each(event.organizers, function () {

                    var eventOrganizer = this;
                    var organizerPushed = false;

                    $.each(organizers, function () {
                        if (this.id === eventOrganizer.id) {
                            organizerPushed = true;
                        }
                    });

                    if (organizerPushed === false) {
                        organizers.push({
                            id: this.id,
                            name: this.name
                        });
                    }
                });
            }

        });

        // Sort locations alphabetically
        locations.sort(function (a, b) {
            return a.full_address.localeCompare(b.full_address, undefined, {numeric: true, sensitivity: 'base'});
        });

        // Sort categories alphabetically
        categories.sort(function (a, b) {
            return a.title.localeCompare(b.title, undefined, {numeric: true, sensitivity: 'base'});
        });

        master.calData.calendarsPool = calendars;
        master.calData.organizersPool = organizers;
        master.calData.categoriesPool = categories;
        master.calData.locationsPool = master.glob.options.filter_location ? [] : locations;

        // build HTML for calendar filter list
        if (master.calData.calendarsPool.length > 3) {
            html.push('<li class="stec-select-all active"><span><i class="fas fa-check-double"></i>' + window.stecLang.select_all + '</span></li>');
        }

        $(master.calData.calendarsPool).each(function () {

            // add to filter by default
            master.calData.calendarFilter.push(parseInt(this.id, 10));
            master.calData.calendarFilter = uniqueSort(master.calData.calendarFilter);

            html.push('<li class="active" data-calid="' + this.id + '"><span><i class="fas fa-check-square"></i>' + this.title + '</span></li>');
        });

        master.$instance.$top.find('.stec-top-menu-filter-by-calendar').find('ul').children('li').remove();
        $(html.join('')).appendTo(master.$instance.$top.find('.stec-top-menu-filter-by-calendar').find('ul'));

        html = [];

        if (master.calData.categoriesPool.length > 3) {
            html.push('<li class="stec-select-all active"><span><i class="fas fa-check-double"></i>' + window.stecLang.select_all + '</span></li>');
        }
        html.push('<li class="active" data-catid="0"><span><i class="fas fa-check-square"></i>' + window.stecLang.uncategorized + '</span></li>');

        $(master.calData.categoriesPool).each(function () {

            // add to filter by default
            master.calData.categoriesFilter.push(parseInt(this.id, 10));
            master.calData.categoriesFilter = uniqueSort(master.calData.categoriesFilter);

            html.push('<li class="active" data-catid="' + this.id + '"><span><i class="fas fa-check-square"></i>' + this.title + '</span></li>');
        });

        master.$instance.$top.find('.stec-top-menu-filter-by-category').find('ul').children('li').remove();
        $(html.join('')).appendTo(master.$instance.$top.find('.stec-top-menu-filter-by-category').find('ul'));

        html = [];

        if (master.calData.organizersPool.length > 3) {
            html.push('<li class="stec-select-all active"><span><i class="fas fa-check-double"></i>' + window.stecLang.select_all + '</span></li>');
        }

        html.push('<li class="active" data-organizer="none"><span><i class="fas fa-check-square"></i>' + window.stecLang.noorganizer + '</span></li>');

        $(master.calData.organizersPool).each(function () {

            // add to filter by default
            master.calData.organizersFilter.push(this.id);
            master.calData.organizersFilter = uniqueSort(master.calData.organizersFilter);

            html.push('<li class="active" data-organizer="' + this.id + '"><span><i class="fas fa-check-square"></i>' + this.name + '</span></li>');
        });

        master.$instance.$top.find('.stec-top-menu-filter-by-organizer').find('ul').children('li').remove();
        $(html.join('')).appendTo(master.$instance.$top.find('.stec-top-menu-filter-by-organizer').find('ul'));

        html = [];

        if (master.calData.locationsPool.length > 0) {
            html.push('<li class="stec-select-all active"><span><i class="fas fa-check-double"></i>' + window.stecLang.select_all + '</span></li>');
        }

        html.push('<li class="active" data-location="none"><span><i class="fas fa-check-square"></i>' + window.stecLang.nolocation + '</span></li>');

        $(master.calData.locationsPool).each(function () {
            // add to filter by default
            if (this.country) {
                master.calData.locationsFilter.push(this.country);
            }
            if (this.city) {
                master.calData.locationsFilter.push(this.city);
            }
            if (this.full_address && this.full_address !== [this.city, this.country].join(', ')) {
                master.calData.locationsFilter.push(this.full_address);
            }
            master.calData.locationsFilter = uniqueSort(master.calData.locationsFilter);
        });

        html.push(locationsToHtml(master.calData.locationsPool));

        master.$instance.$top.find('.stec-top-menu-filter-by-location').find('ul').children('li').remove();
        $(html.join('')).appendTo(master.$instance.$top.find('.stec-top-menu-filter-by-location').find('ul'));

        // Hide category filter menu if no categories are found
        if (master.calData.categoriesPool.length === 0) {
            master.$instance.$top.find('.stec-top-menu-filter-by-category').hide();
        }

        // Hide location filter menu if no locations are found
        if (master.calData.locationsPool.length === 0) {
            master.$instance.$top.find('.stec-top-menu-filter-by-location').hide();
        }

        // Hide calendar filter menu if only 1 calendars is found
        if (master.calData.calendarsPool.length <= 1) {
            master.$instance.$top.find('.stec-top-menu-filter-by-calendar').hide();
        }

        // Hide organizers filter menu if no organizers
        if (master.calData.organizersPool.length <= 0) {
            master.$instance.$top.find('.stec-top-menu-filter-by-organizer').hide();
        }


    }, 'onAddToEventsPool');

    $.stecExtend(function (master) {

        var $instance = master.$instance;
        var helper = master.helper;

        function resetMenus(exclude) {

            var filterBys;

            $instance.find('.stec-top-menu-filter-dropdown').children('.stec-style-flexbox').children().not(exclude).removeClass('active');

            filterBys = $instance.find('.stec-top-menu-filter-dropdown .stec-top-menu-filter-by')
                    .not(exclude);

            filterBys
                    .find(' > div > i:last-child')
                    .removeClass('fa-chevron-down')
                    .addClass('fa-chevron-right');

        }

        // Hide filter on search toggle
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-search", function (e) {

            $instance.find('.stec-top-menu-filter').removeClass('active');
            $instance.find('.stec-top-menu-filter-dropdown').removeClass('active');

            resetMenus();
        });

        // Calendar filter button toggle show/hide
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter", function (e) {
            e.preventDefault();
            e.stopPropagation();

            $instance.find('.stec-top-menu-filter').toggleClass('active');
            $instance.find('.stec-top-menu-filter-dropdown').toggleClass('active');

            // Reset dropdowns to closed
            if (!$instance.find('.stec-top-menu-filter').hasClass('active')) {
                resetMenus();
            }

            // Hide search on filter toggle
            $instance.find('.stec-top-menu-search').removeClass('active');

            // Hide mobile view menu
            if (helper.isMobile()) {
                $instance.$top.find('.stec-top-dropmenu-layouts').children('li').removeClass('mobile-hover');
            }

        });

        // Calendar filter button toggle show/hide
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-dropdown .stec-top-menu-filter-by", function (e) {

            var scr;

            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            $(this).children('div').children('i').last().toggleClass('fa-chevron-right fa-chevron-down');

            resetMenus(this);

            if (!$(this).find('.stec-scrollable').data('stec-scroll')) {
                scr = new window.StecScroll();
                scr.create($(this).find('.stec-scrollable'));
                $(this).find('.stec-scrollable').data('stec-scroll', scr);
            }

        });

        // Toggle calendars 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-calendar ul li:not('.stec-select-all')", function (e) {

            var index;
            var allActive = true;

            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');
            $(this).find('i').toggleClass('fas fa-check-square far fa-square');

            if ($(this).hasClass('active')) {

                // add to filter
                master.calData.calendarFilter.push(parseInt($(this).attr('data-calid'), 10));

            } else {

                // remove from filter

                if (master.calData.calendarFilter !== false) {
                    index = master.calData.calendarFilter.indexOf(parseInt($(this).attr('data-calid'), 10));
                    if (index > -1) {
                        master.calData.calendarFilter.splice(index, 1);
                    }
                }
            }

            master.calData.calendarFilter = uniqueSort(master.calData.calendarFilter);

            $instance.$top.find(".stec-top-menu-filter-by-calendar ul li:not('.stec-select-all')").each(function () {
                if (!$(this).hasClass('active')) {
                    allActive = false;
                    return false; // break;
                }
            });

            if (allActive) {
                $instance.$top.find(".stec-top-menu-filter-by-calendar ul li.stec-select-all").addClass('active');
            } else {
                $instance.$top.find(".stec-top-menu-filter-by-calendar ul li.stec-select-all").removeClass('active');
            }

            master.layout.set();

        });

        // Toggle all calendars 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-calendar ul li.stec-select-all", function (e) {
            
            var index;
            
            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            if ($(this).hasClass('active')) {

                $instance.$top.find(".stec-top-menu-filter-by-calendar ul li:not('.stec-select-all')").each(function () {
                    // add to filter
                    $(this).addClass('active');
                    $(this).find('i').removeClass('far fa-square');
                    $(this).find('i').addClass('fas fa-check-square');
                    master.calData.calendarFilter.push(parseInt($(this).attr('data-calid'), 10));
                });

            } else {

                // remove from filter
                $instance.$top.find(".stec-top-menu-filter-by-calendar ul li:not('.stec-select-all')").each(function () {

                    $(this).removeClass('active');
                    $(this).find('i').removeClass('fas fa-check-square');
                    $(this).find('i').addClass('far fa-square');

                    if (master.calData.calendarFilter !== false) {
                        index = master.calData.calendarFilter.indexOf(parseInt($(this).attr('data-calid'), 10));
                        if (index > -1) {
                            master.calData.calendarFilter.splice(index, 1);
                        }
                    }
                });
            }

            master.calData.calendarFilter = uniqueSort(master.calData.calendarFilter);

            master.layout.set();

        });

        // Toggle categories 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-category ul li:not('.stec-select-all')", function (e) {
            
            var index, allActive = true;
            
            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            $(this).find('i').toggleClass('fas fa-check-square far fa-square');

            if ($(this).hasClass('active')) {

                // add to filter
                master.calData.categoriesFilter.push(parseInt($(this).attr('data-catid'), 10));

            } else {

                // remove from filter
                if (master.calData.categoriesFilter !== false) {
                    index = master.calData.categoriesFilter.indexOf(parseInt($(this).attr('data-catid'), 10));
                    if (index > -1) {
                        master.calData.categoriesFilter.splice(index, 1);
                    }
                }
            }

            master.calData.categoriesFilter = uniqueSort(master.calData.categoriesFilter);

            allActive = true;

            $instance.$top.find(".stec-top-menu-filter-by-category ul li:not('.stec-select-all')").each(function () {
                if (!$(this).hasClass('active')) {
                    allActive = false;
                    return false; // break;
                }
            });

            if (allActive) {
                $instance.$top.find(".stec-top-menu-filter-by-category ul li.stec-select-all").addClass('active');
            } else {
                $instance.$top.find(".stec-top-menu-filter-by-category ul li.stec-select-all").removeClass('active');
            }

            master.layout.set();

        });

        // Toggle all categories 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-category ul li.stec-select-all", function (e) {

            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            if ($(this).hasClass('active')) {

                $instance.$top.find(".stec-top-menu-filter-by-category ul li:not(.stec-select-all)").each(function () {
                    // add to filter
                    $(this).addClass('active');
                    $(this).find('i').removeClass('far fa-square');
                    $(this).find('i').addClass('fas fa-check-square');
                    master.calData.categoriesFilter.push(parseInt($(this).attr('data-catid'), 10));
                });

            } else {

                // remove from filter
                $instance.$top.find(".stec-top-menu-filter-by-category ul li:not(.stec-select-all)").each(function () {

                    $(this).removeClass('active');
                    $(this).find('i').removeClass('fas fa-check-square');
                    $(this).find('i').addClass('far fa-square');

                    master.calData.categoriesFilter = [];
                });
            }

            master.calData.categoriesFilter = uniqueSort(master.calData.categoriesFilter);

            master.layout.set();

        });

        // Toggle organizers 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-organizer ul li:not('.stec-select-all')", function (e) {
            
            var index, allActive = true;
            
            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');
            $(this).find('i').toggleClass('fas fa-check-square far fa-square');

            if ($(this).hasClass('active')) {

                // add to filter
                master.calData.organizersFilter.push(parseInt($(this).attr('data-organizer'), 10));

            } else {

                // remove from filter

                if (master.calData.organizersFilter !== false) {
                    index = master.calData.organizersFilter.indexOf(parseInt($(this).attr('data-organizer'), 10));
                    if (index > -1) {
                        master.calData.organizersFilter.splice(index, 1);
                    }
                }
            }

            master.calData.organizersFilter = uniqueSort(master.calData.organizersFilter);

            allActive = true;

            $instance.$top.find(".stec-top-menu-filter-by-organizer ul li:not('.stec-select-all')").each(function () {
                if (!$(this).hasClass('active')) {
                    allActive = false;
                    return false; // break;
                }
            });

            if (allActive) {
                $instance.$top.find(".stec-top-menu-filter-by-organizer ul li.stec-select-all").addClass('active');
            } else {
                $instance.$top.find(".stec-top-menu-filter-by-organizer ul li.stec-select-all").removeClass('active');
            }

            master.layout.set();

        });

        // Toggle all organizers 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-organizer ul li.stec-select-all", function (e) {
            
            var index;
            
            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            if ($(this).hasClass('active')) {

                $instance.$top.find(".stec-top-menu-filter-by-organizer ul li:not('.stec-select-all')").each(function () {
                    // add to filter
                    $(this).addClass('active');
                    $(this).find('i').removeClass('far fa-square');
                    $(this).find('i').addClass('fas fa-check-square');
                    master.calData.organizersFilter.push(parseInt($(this).attr('data-organizer'), 10));
                });

            } else {

                // remove from filter
                $instance.$top.find(".stec-top-menu-filter-by-organizer ul li:not('.stec-select-all')").each(function () {

                    $(this).removeClass('active');
                    $(this).find('i').removeClass('fas fa-check-square');
                    $(this).find('i').addClass('far fa-square');

                    if (master.calData.organizersFilter !== false) {
                        index = master.calData.organizersFilter.indexOf(parseInt($(this).attr('data-organizer'), 10));
                        if (index > -1) {
                            master.calData.organizersFilter.splice(index, 1);
                        }
                    }
                });
            }

            master.calData.organizersFilter = uniqueSort(master.calData.organizersFilter);

            master.layout.set();

        });

        // Toggle locations 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-location ul li:not('.stec-select-all')", function (e) {
            
            var locations;
            var allActive = true;
            
            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');
            $(this).find('> span i').toggleClass('fas fa-check-square far fa-square');

            if ($(this).hasClass('active')) {

                // add to filter
                master.calData.locationsFilter.push($(this).attr('data-location'));

                // activate children
                $.each($(this).find('li'), function () {
                    $(this).addClass('active');
                    master.calData.locationsFilter.push($(this).attr('data-location'));
                    $(this).find('> span i').removeClass('far fa-square');
                    $(this).find('> span i').addClass('fas fa-check-square');
                });

            } else {

                locations = [$(this).attr('data-location')];

                // activate children
                $.each($(this).find('li'), function () {
                    $(this).removeClass('active');
                    $(this).find('> span i').addClass('far fa-square');
                    $(this).find('> span i').removeClass('fas fa-check-square');
                    locations.push($(this).attr('data-location'));
                });

                // remove from filter
                if (master.calData.locationsFilter !== false) {
                    $.each(locations, function () {
                        var index = master.calData.locationsFilter.indexOf(this);
                        if (index > -1) {
                            master.calData.locationsFilter.splice(index, 1);
                        }
                    });

                }
            }

            master.calData.locationsFilter = uniqueSort(master.calData.locationsFilter);

            allActive = true;

            $instance.$top.find(".stec-top-menu-filter-by-location ul li:not('.stec-select-all')").each(function () {
                if (!$(this).hasClass('active')) {
                    allActive = false;
                    return false; // break;
                }
            });

            if (allActive) {
                $instance.$top.find(".stec-top-menu-filter-by-location ul li.stec-select-all").addClass('active');
            } else {
                $instance.$top.find(".stec-top-menu-filter-by-location ul li.stec-select-all").removeClass('active');
            }

            master.layout.set();

        });

        // Toggle all locations 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-location ul li.stec-select-all", function (e) {

            var index;

            e.preventDefault();
            e.stopPropagation();

            $(this).toggleClass('active');

            if ($(this).hasClass('active')) {

                $instance.$top.find(".stec-top-menu-filter-by-location ul li:not('.stec-select-all')").each(function () {
                    // add to filter
                    $(this).addClass('active');
                    $(this).find('i').removeClass('far fa-square');
                    $(this).find('i').addClass('fas fa-check-square');
                    master.calData.locationsFilter.push($(this).attr('data-location'));

                });

            } else {

                // remove from filter
                $instance.$top.find(".stec-top-menu-filter-by-location ul li:not('.stec-select-all')").each(function () {

                    $(this).removeClass('active');
                    $(this).find('i').removeClass('fas fa-check-square');
                    $(this).find('i').addClass('far fa-square');

                    if (master.calData.locationsFilter !== false) {
                        index = master.calData.locationsFilter.indexOf($(this).attr('data-location'));
                        if (index > -1) {
                            master.calData.locationsFilter.splice(index, 1);
                        }
                    }
                });
            }

            master.calData.locationsFilter = uniqueSort(master.calData.locationsFilter);
            
            master.layout.set();

        });

        // Toggle featured 
        $(document).on(helper.clickHandle(), $instance.$top.path + " .stec-top-menu-filter-by-featured ul li", function (e) {

            e.preventDefault();
            e.stopPropagation();

            $(this).addClass('active');
            $(this).find('i')
                    .removeClass('far fa-square')
                    .addClass('fas fa-check-square');

            if ($(this).hasClass('active')) {
                // set to filter
                master.calData.featuredFilter = (parseInt($(this).attr('data-featured'), 10));
            }

            $(this).siblings().removeClass('active');
            $(this).siblings().find('i').removeClass('fas fa-check-square').addClass('far fa-square');

            master.layout.set();

        });
    });

})(window.jQuery);