if (typeof window.StecAnimate === 'undefined') {

    (function ($) {

        "use strict";

        /**
         *  Helper function for calendar animations 
         */
        window.StecAnimate = function () {

            var accordeonSpeed = 350;

            this.eventHolder = {

                open: function ($eventHolder, callback) {

                    $eventHolder.show();

                    $eventHolder.find('.stec-layout-event').addClass('stec-layout-event-perspective stec-layout-event-animate-queue');

                    $eventHolder.find('.stec-layout-event-preview').each(function (i) {

                        var $event = $(this);

                        setTimeout(function () {
                            $event.parent().removeClass('stec-layout-event-animate-queue');
                            $event.addClass('stec-layout-event-preview-animate');

                            setTimeout(function () {
                                $event.removeClass('stec-layout-event-preview-animate');
                                $event.addClass('stec-layout-event-preview-animate-complete');
                            }, accordeonSpeed);
                        }, i * accordeonSpeed);

                    });

                    setTimeout(function () {
                        $eventHolder.find('.stec-layout-event').removeClass('stec-layout-event-perspective');
                    }, $eventHolder.find('.stec-layout-event-preview').length * accordeonSpeed);


                    if (typeof callback === 'function') {
                        callback();
                    }
                }
            };

            this.agenda = {

                openSingle: function ($el, callback) {

                    var $event = null;

                    $el.addClass('stec-layout-event-perspective');

                    $event = $el.find('.stec-layout-event-preview');

                    $event.addClass('stec-layout-event-preview-animate');

                    setTimeout(function () {
                        $event.removeClass('stec-layout-event-preview-animate');
                        $event.addClass('stec-layout-event-preview-animate-complete');
                    }, accordeonSpeed);

                    setTimeout(function () {
                        $el.removeClass('stec-layout-event-perspective');
                    }, accordeonSpeed);

                    if (typeof callback === 'function') {
                        callback();
                    }

                },

                fillList: function ($container, callback) {

                    var $events = $container
                            .find('.stec-layout-agenda-events-all')
                            .find('.stec-layout-event-preview')
                            .not('.stec-layout-event-preview-animate-complete');

                    $events.each(function (i) {

                        var $event = $(this);

                        $event.parent().addClass('stec-layout-event-perspective stec-layout-event-animate-queue');

                        setTimeout(function () {
                            $event.addClass('stec-layout-event-preview-animate');
                            $event.parent().removeClass('stec-layout-event-animate-queue');

                            setTimeout(function () {
                                $event.removeClass('stec-layout-event-preview-animate');
                                $event.addClass('stec-layout-event-preview-animate-complete');
                            }, accordeonSpeed);

                        }, i * accordeonSpeed);

                    });

                    setTimeout(function () {
                        $events.removeClass('stec-layout-event-perspective');
                    }, $events.length * accordeonSpeed);

                    if (typeof callback === 'function') {
                        callback();
                    }
                }
            };

            this.tooltip = {

                t: null,

                clear: function () {
                    clearTimeout(this.t);
                },

                show: function ($el, callback) {

                    $el.show().addClass('stec-tooltip-show');

                    this.t = setTimeout(function () {
                        if (typeof callback === 'function') {
                            callback();
                        }
                    }, 250);

                },

                hide: function ($el, callback) {

                    $el.removeClass('stec-tooltip-show');

                    this.t = setTimeout(function () {
                        if (typeof callback === 'function') {
                            callback();
                        }
                    }, 250);
                }
            };
        };

    })(window.jQuery);

}