(function ($) {

    'use strict';

    const __ = new window.StecHelper().lang;

    var proto;
    window.StecReminder = function (id) {
        this.settings = {
            popup: '#' + id,
            id: null,
            offset: null,
            $event: null,
            glob: null,
            helper: null,
            calData: null,
            $instance: null,
            instance: null
        };

        this.blockAction = false;
    };

    proto = window.StecReminder.prototype;

    proto.set = function (obj, data) {

        if (typeof this.settings[obj] !== 'undefined') {
            this.settings[obj] = data;
        }

        return this;

    };

    proto.controller = function () {

        var parent = this;

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-reminder-popup', function (e) {
            e.stopPropagation();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-reminder-popup-button-cancel', function (e) {
            e.stopPropagation();
            parent.popClose();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-reminder-popup-button-close', function () {
            parent.popClose();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup, function () {
            parent.popClose();
        });

        this.settings.$instance.on(this.settings.helper.clickHandle(), '.stec-layout-event-preview-right-menu, .stec-layout-event-preview-left-reminder-toggle', function (e) {
            var $event;
            e.stopPropagation();

            $event = $(this).parents('.stec-layout-event').first();
            parent.settings.id = parseInt($event.attr('data-id'), 10);
            parent.settings.offset = parseInt($event.attr('data-repeat-time-offset'), 10);

            parent.popOpen();

        });

        this.settings.$instance.on(this.settings.helper.clickHandle(), '.stec-layout-single-preview-right-reminder, .stec-layout-single-preview-left-reminder-toggle', function (e) {

            e.stopPropagation();

            parent.settings.id = parseInt(parent.settings.glob.event.id, 10);
            parent.settings.offset = parseInt(parent.settings.glob.options.repeat_offset, 10);

            parent.popOpen();

        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-reminder-popup-button-proceed', function (e) {
            e.stopPropagation();

            if (false === parent.popFieldsValid()) {
                return;
            }

            // If captcha is enabled check
            if (parseInt(parent.settings.glob.options.captcha.enabled, 10) === 1 && parent.settings.glob.options.captcha.site_key) {

                if (!parent.popCaptcha.sitekey) {
                    parent.popCaptcha.sitekey = parent.settings.glob.options.captcha.site_key;
                }

                if ($('.stec-reminder-popup-wrapper-captcha-placeholder').children().length <= 0) {
                    parent.popCaptcha.open(function () {
                        if (false !== parent.popFieldsValid() && false !== parent.popCaptcha.captchaValid) {
                            parent.sendRemind();
                        }
                    });
                    return;
                }

                if (parent.popCaptcha.captchaValid === true) {
                    parent.sendRemind();
                }

            } else {
                parent.popCaptcha.captchaValid = true;
                parent.sendRemind();
            }

        });
    };

    proto.sendRemind = function () {
        var parent = this,
                DB,
                request,
                units,
                number,
                before;

        if (true === parent.blockAction) {
            return;
        }

        DB = new window.StecDB();
        request = DB.newRequest();
        units = parseInt($(parent.settings.popup).find('.stec-reminder-popup-wrapper-settings select[name="units"]').val(), 10);
        number = parseInt($(parent.settings.popup).find('.stec-reminder-popup-wrapper-settings input[name="number"]').val(), 10);
        before = 0;

        switch (units) {
            case 1:
                units = 3600;
                break;
            case 2:
                units = 86400;
                break;
            case 3:
                units = 604800;
                break;
        }

        before = Math.max(3600, units * number);

        request.setBefore(function () {
            parent.blockAction = true;
        });

        request.setData({
            action: 'stec_public_ajax_action',
            task: 'add_reminder',
            event_id: parent.settings.id,
            repeat_offset: parent.settings.offset,
            before: before,
            email: $.trim($(parent.settings.popup).find('.stec-reminder-popup-wrapper-settings input[name="email"]').val())
        });

        request.setCallback(function (data) {

            $(parent.settings.popup).find('.stec-reminder-popup-wrapper-settings').hide();
            $(parent.settings.popup).find('.stec-reminder-popup-wrapper-captcha').hide();
            $(parent.settings.popup).find('.stec-reminder-popup-wrapper-status span').text(data.msg);
            $(parent.settings.popup).find('.stec-reminder-popup-wrapper-status').show();
            $(parent.settings.popup).find('.stec-reminder-popup-button-cancel').hide();
            $(parent.settings.popup).find('.stec-reminder-popup-button-proceed').hide();
            $(parent.settings.popup).find('.stec-reminder-popup-button-close').show();

            parent.blockAction = false;
        });

        DB.query(request);

    };

    proto.popFieldsValid = function () {

        var valid = true;

        if ($.trim($('.stec-reminder-popup-wrapper-settings input[name="email"]').val()) === '') {
            valid = false;
        }

        if ($.trim($('.stec-reminder-popup-wrapper-settings input[type="number"]').val()) === '') {
            valid = false;
        }

        return valid;
    };

    proto.popHtml = function () {

        var bg = '',
                html = [],
                email = '';

        var event = this.settings.calData ? this.settings.calData.getEventById(this.settings.id) : this.settings.glob.event;

        if (event.images_meta.length > 0) {
            bg = event.images_meta[0].src;
        }

        if (this.settings.glob.options.useremail) {
            email = this.settings.glob.options.useremail;
        }

        html.push('<div id="' + this.settings.popup.replace('#', '') + '" class="stec-reminder-popup-background stec-modal">');
        html.push('     <div class="stec-reminder-popup">');
        html.push('         <div class="stec-reminder-popup-header" style="background-image:url(' + bg + ')"><i class="far fa-bell"></i></div>');
        html.push('         <div class="stec-reminder-popup-wrapper">');
        // Captcha
        html.push('             <div class="stec-reminder-popup-wrapper-captcha">');
        html.push('                 <span>' + __('confirmhumanity') + '</span>');
        html.push('                 <span>' + __('confirmhumanitydesc') + '</span>');
        html.push('                 <div class="stec-reminder-popup-wrapper-captcha-placeholder"></div>');
        html.push('             </div>');
        // Remind settings
        html.push('             <div class="stec-reminder-popup-wrapper-settings">');
        html.push('                 <span>' + __('setareminder') + '</span>');
        html.push('                 <input type="email" name="email" placeholder="' + __('email') + '" value="' + email + '" />');
        html.push('                 <div class="stec-reminder-flex">');
        html.push('                     <input type="number" min="1" max="30" name="number" value="1" />');
        html.push('                     <select name="units">');
        html.push('                         <option value="1">' + __('hours') + '</option>');
        html.push('                         <option value="2">' + __('days') + '</option>');
        html.push('                         <option value="3">' + __('weeks') + '</option>');
        html.push('                     </select>');
        html.push('                     <span>' + __('beforetheevent') + '</span>');
        html.push('                 </div>');
        html.push('             </div>');
        html.push('         </div>');
        // Remind success
        html.push('         <div class="stec-reminder-popup-wrapper-status">');
        html.push('             <span></span>');
        html.push('         </div>');
        html.push('         <button class="stec-reminder-popup-button-cancel" type="button">' + __('cancel') + '</button>');
        html.push('         <button class="stec-reminder-popup-button-proceed" type="button">' + __('proceed') + '</button>');
        html.push('         <button class="stec-reminder-popup-button-close" type="button">' + __('close') + '</button>');
        html.push('     </div>');
        html.push('</div>');

        return html.join('');
    };

    proto.popOpen = function () {

        $('body').addClass('stec-modal-opened');
        $(this.popHtml()).appendTo('body');

    };

    proto.popClose = function () {

        var parent = this;

        parent.settings.id = null;
        parent.settings.offset = null;
        parent.blockAction = false;

        $('body').removeClass('stec-modal-opened');
        $('.stec-reminder-popup-background').remove();

    };

    proto.popCaptcha = {
        sitekey: null,
        captchaValid: false,
        open: function (resultCallback) {
            var parent = this;
            parent.captchaValid = false;

            $('.stec-reminder-popup-wrapper-settings').hide();
            $('.stec-reminder-popup-wrapper-captcha').show();

            window.grecaptcha.render($('.stec-reminder-popup-wrapper-captcha-placeholder').get(0), {
                sitekey: parent.sitekey,
                callback: function (response) {
                    if (response.length !== 0) {
                        parent.captchaValid = true;

                        if (typeof resultCallback === 'function') {
                            resultCallback();
                        }
                    }
                }
            });
        }
    };

})(window.jQuery);