(function ($) {

    'use strict';
    var proto;
    var moment = window.moment;
    moment.locale('en');

    const __ = new window.StecHelper().lang;

    window.StecRsvpToEvent = function (id) {
        this.settings = {
            popup: '#' + id,
            id: null,
            offset: null,
            event: null,
            glob: null,
            helper: null,
            layout: null,
            calData: null,
            $instance: null,
            update: false
        };

        this.temp = {
            customFields: []
        };

        this.blockAction = false;
    };

    proto = window.StecRsvpToEvent.prototype;

    proto.set = function (obj, data) {

        if (typeof this.settings[obj] !== 'undefined') {
            this.settings[obj] = data;
        }

        return this;

    };

    proto.controller = function () {

        var parent = this;

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-rsvp-popup', function (e) {
            e.stopPropagation();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-rsvp-popup-button-cancel', function (e) {
            e.stopPropagation();
            parent.popClose();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-rsvp-popup-button-close', function (e) {
            parent.popClose();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup, function (e) {
            parent.popClose();
        });

        $(document).on(this.settings.helper.clickHandle(), parent.settings.popup + ' .stec-rsvp-popup-button-proceed', function (e) {
            e.stopPropagation();

            if (true === parent.settings.update) {
                parent.updateRSVP();
                return;
            }

            if (false === parent.popFieldsValid()) {
                return;
            }

            // If captcha is enabled check
            if (parseInt(parent.settings.glob.options.captcha.enabled, 10) === 1 && parent.settings.glob.options.captcha.site_key) {

                if (!parent.popCaptcha.sitekey) {
                    parent.popCaptcha.sitekey = parent.settings.glob.options.captcha.site_key;
                }

                if ($('.stec-rsvp-popup-wrapper-captcha-placeholder').children().length <= 0) {
                    parent.popCaptcha.open(function () {
                        if (false !== parent.popFieldsValid() && false !== parent.popCaptcha.captchaValid) {
                            parent.sendRSVP();
                        }
                    });
                    return;
                }

                if (parent.popCaptcha.captchaValid === true) {
                    parent.sendRSVP();
                }

            } else {
                parent.popCaptcha.captchaValid = true;
                parent.sendRSVP();
            }

        });

        // Event in modal RSVP button
        $(document).on(this.settings.helper.clickHandle(), '#stec-layout-event-inner-' + parent.settings.glob.options.id + ' .stec-layout-event-inner-intro-rsvp', function (e) {
            e.preventDefault();

            parent.settings.id = $('#stec-layout-event-inner-' + parent.settings.glob.options.id).data('eventId');
            parent.settings.offset = $('#stec-layout-event-inner-' + parent.settings.glob.options.id).data('repeatTimeOffset');
            parent.settings.event = parent.settings.calData.getEventById(parent.settings.id);
            parent.settings.date = moment(parent.settings.event.start_date).add(parent.settings.offset, 'seconds').format('YYYY-MM-DD');

            parent.popOpen();
        });

        // Calendar mode intro RSVP button
        $(document).on(this.settings.helper.clickHandle(), parent.settings.$instance.selector + ' .stec-layout-event-inner-intro-rsvp', function (e) {
            e.preventDefault();

            parent.settings.id = $(this).parents('.stec-layout-event').first().data('id');
            parent.settings.offset = $(this).parents('.stec-layout-event').first().data('repeat-time-offset');
            parent.settings.event = parent.settings.calData.getEventById(parent.settings.id);
            parent.settings.date = moment(parent.settings.event.start_date).add(parent.settings.offset, 'seconds').format('YYYY-MM-DD');

            parent.popOpen();
        });

        // Grid view RSVP button
        $(document).on(this.settings.helper.clickHandle(), parent.settings.$instance.selector + ' .stec-layout-grid-rsvp', function (e) {
            e.preventDefault();

            parent.settings.id = $(this).parents('.stec-layout-grid-event').first().data('id');
            parent.settings.offset = $(this).parents('.stec-layout-grid-event').first().data('repeat-time-offset');
            parent.settings.event = parent.settings.calData.getEventById(parent.settings.id);
            parent.settings.date = moment(parent.settings.event.start_date).add(parent.settings.offset, 'seconds').format('YYYY-MM-DD');

            parent.popOpen();
        });

        // Single page mode RSVP button
        $(document).on(this.settings.helper.clickHandle(), parent.settings.$instance.selector + ' .stec-layout-single-rsvp', function (e) {
            e.preventDefault();

            parent.settings.id = window.stecSingleEvent.id;
            parent.settings.offset = window.stecSingleOptions.repeat_offset;
            parent.settings.event = window.stecSingleEvent;
            parent.settings.date = moment(parent.settings.event.start_date).add(parent.settings.offset, 'seconds').format('YYYY-MM-DD');

            parent.popOpen();
        });
    };

    /**
     * Updates attendee people number (status is always accepted)
     */
    proto.updateRSVP = function () {
        var parent = this,
                DB = new window.StecDB(),
                request = DB.newRequest(),
                status = 1,
                people = $.trim($(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings input[name="people"]').val()),
                $attendee,
                $avatar,
                statusKlass;

        if (!people || isNaN(people)) {
            people = 1;
        }

        if (true === parent.blockAction) {
            return;
        }

        request.setBefore(function () {
            parent.blockAction = true;
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings, .stec-rsvp-popup-wrapper-captcha').css('opacity', 0.3);
            $(parent.settings.glob.template.preloader).appendTo($(parent.settings.popup).find('.stec-rsvp-popup-wrapper'));
        });

        request.setData({
            action: 'stec_public_ajax_action',
            task: 'set_user_event_attendance',
            status: status,
            event_id: parent.settings.id,
            date: parent.settings.date,
            people: people
        });

        request.setCallback(function (result) {

            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings, .stec-rsvp-popup-wrapper-captcha').css('opacity', 1);
            $(parent.settings.popup).find('.stec-preloader, .stec-layout-single-preloader').remove();

            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-captcha').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-status span').text(result.msg);
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-status').show();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-cancel').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-proceed').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-close').show();

            parent.blockAction = false;

            if (result.error !== 1) {

                $(parent.settings.event.attendance).each(function () {
                    if (this.userid === parent.settings.glob.options.userid) {
                        this.status[parent.settings.date] = status;
                        this.people = people;
                        return false; // break
                    }
                });

            } else {
                $(parent.settings.popup).find('.stec-rsvp-popup-header i').attr('class', 'fa fa-exclamation');
            }

            if (parent.settings.layout) {
                parent.settings.layout.set();

                if (parent.settings.glob.options.general_settings.open_event_in === 'modal') {
                    $('#stec-layout-event-inner-out-wrapper-' + parent.settings.glob.options.id).remove();
                    $('body').removeClass('stec-no-scroll');
                }
            } else {

                // Single page
                $('.stec-layout-single-rsvp').remove();

                $('.stec-layout-single-intro-attendance').children().removeClass('active');
                $('.stec-layout-single-attendance-invited-buttons').children().removeClass('active');

                if (result.error !== 1) {

                    $avatar = $('.stec-layout-single').find('.stec-layout-single-attendance-attendee-avatar')
                            .filter('[data-userid="' + parent.settings.glob.options.userid + '"]');

                    $attendee = $avatar.parent();

                    $('.stec-layout-single').find('.stec-layout-single-attendance-slots-count').text(result.slots_left);

                    switch (status) {
                        case 1:
                            $('.stec-layout-single')
                                    .find('.stec-layout-single-attendance-invited-buttons-accept, .stec-layout-single-intro-attendance-attend')
                                    .addClass('active');
                            statusKlass = 'fa fa-check';
                            break;
                        case 2:
                            statusKlass = 'fa fa-times';
                            break;
                        default:
                            statusKlass = 'fa fa-question';
                    }

                    $avatar.find('li i').attr('class', statusKlass);

                    $attendee.find('.stec-layout-single-attendance-attendee-persons').show();
                    $attendee.find('.stec-layout-single-attendance-attendee-persons span').text(people);

                }

            }
        });

        DB.query(request);
    };

    proto.sendRSVP = function () {
        var parent = this,
                DB = new window.StecDB(),
                request = DB.newRequest();

        var data;

        if (true === parent.blockAction) {
            return;
        }

        request.setBefore(function () {
            parent.blockAction = true;
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings, .stec-rsvp-popup-wrapper-captcha').css('opacity', 0.3);
            $(parent.settings.glob.template.preloader).appendTo($(parent.settings.popup).find('.stec-rsvp-popup-wrapper'));
        });

        data = {
            action: 'stec_public_ajax_action',
            task: 'rsvp_to_event',
            'g-recaptcha-response': $(parent.settings.popup).find('.g-recaptcha-response').val(),
            event_id: parent.settings.id,
            date: parent.settings.date
        };

        $.each($(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings').find('input,textarea,select'), function () {
            data[$(this).attr('name')] = $.trim($(this).val());
        });

        request.setData(data);

        request.setCallback(function (result) {

            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings, .stec-rsvp-popup-wrapper-captcha').css('opacity', 1);
            $(parent.settings.popup).find('.stec-preloader, .stec-layout-single-preloader').remove();

            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-settings').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-captcha').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-status span').text(result.msg);
            $(parent.settings.popup).find('.stec-rsvp-popup-wrapper-status').show();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-cancel').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-proceed').hide();
            $(parent.settings.popup).find('.stec-rsvp-popup-button-close').show();

            parent.blockAction = false;

            if (result.error !== 1) {
                parent.settings.event.attendance.push(result.data.attendee);
            } else {
                $(parent.settings.popup).find('.stec-rsvp-popup-header i').attr('class', 'fa fa-exclamation');
            }

            if (parent.settings.layout) {
                parent.settings.layout.set();

                if (parent.settings.glob.options.general_settings.open_event_in === 'modal') {
                    $('#stec-layout-event-inner-out-wrapper-' + parent.settings.glob.options.id).remove();
                    $('body').removeClass('stec-no-scroll');
                }
            } else {
                $('.stec-layout-single-rsvp').remove();
            }
        });

        DB.query(request);

    };

    proto.popFieldsValid = function () {

        var valid = true;

        if ($.trim($('.stec-rsvp-popup-wrapper-settings input[name="name"]').val()) === '') {
            valid = false;
        }

        if ($.trim($('.stec-rsvp-popup-wrapper-settings input[type="email"]').val()) === '') {
            valid = false;
        }

        return valid;
    };

    proto.popHtml = function () {

        var bg = '',
                slots = 0,
                html = [],
                name = '',
                email = '',
                event = this.settings.calData ? this.settings.calData.getEventById(this.settings.id) : this.settings.glob.event;

        if (event.images_meta.length > 0) {
            bg = event.images_meta[0].src;
        }

        if (this.settings.glob.options.useremail) {
            email = this.settings.glob.options.useremail;
            name = this.settings.glob.options.username;
        }

        if (window.stecSingleEvent) {
            slots = parseInt($('.stec-layout-single-attendance-slots-count').text(), 10);
            if (isNaN(slots)) {
                slots = this.settings.helper.attendanceHasFreeSlots(event, this.settings.date);
            }
        } else {
            slots = this.settings.helper.attendanceHasFreeSlots(event, this.settings.date);
        }

        html.push('<div id="' + this.settings.popup.replace('#', '') + '" class="stec-rsvp-popup-background stec-modal">');
        html.push('     <div class="stec-rsvp-popup">');
        html.push('         <div class="stec-rsvp-popup-header" style="background-image:url(' + bg + ')"><i class="far fa-envelope-open"></i></div>');
        html.push('         <div class="stec-rsvp-popup-wrapper">');
        // Captcha
        html.push('             <div class="stec-rsvp-popup-wrapper-captcha">');
        html.push('                 <span>' + __('confirmhumanity') + '</span>');
        html.push('                 <span>' + __('confirmhumanitydesc') + '</span>');
        html.push('                 <div class="stec-rsvp-popup-wrapper-captcha-placeholder"></div>');
        html.push('             </div>');
        // settings
        html.push('             <div class="stec-rsvp-popup-wrapper-settings">');
        html.push('                 <span>' + __('rsvpToEvent') + '</span>');

        if (slots < 9999) {
            html.push('             <span class="stec-rsvp-popup-places-left">' + __('Places left') + ': ' + slots + '</span>');
        }

        if (false === this.settings.update) {
            html.push('                 <input type="text" name="name" placeholder="' + __('name') + '" value="' + name + '" />');
            html.push('                 <input type="email" name="email" placeholder="' + __('email') + '" value="' + email + '" />');

            this.settings.helper.extendBind("stachethemes_ec_extend", "onRsvpAfterFields", this);
        }

        html.push('                 <input type="number" min="1" max="' + (slots > 0 ? slots : 100) + '" name="people" placeholder="' + __('Number of Persons') + '" value="" />');

        try {
            if (this.temp.customFields) {
                $.each(this.temp.customFields, function () {
                    html.push(this);
                });
            }
        } catch (e) {
            console.log('Invalid custom fields', this.temp.customFields);
        }

        html.push('             </div>');
        html.push('         </div>');
        // success
        html.push('         <div class="stec-rsvp-popup-wrapper-status">');
        html.push('             <span></span>');
        html.push('         </div>');
        html.push('         <button class="stec-rsvp-popup-button-cancel" type="button">' + __('cancel') + '</button>');
        html.push('         <button class="stec-rsvp-popup-button-proceed" type="button">' + __('attend') + '</button>');
        html.push('         <button class="stec-rsvp-popup-button-close" type="button">' + __('close') + '</button>');
        html.push('     </div>');
        html.push('</div>');

        return html.join('');

    };

    proto.popOpen = function () {

        $('body').addClass('stec-modal-opened');

        $('#stec-layout-event-inner-out-wrapper-' + this.settings.glob.options.id).hide();

        $(this.popHtml()).appendTo('body');

    };

    proto.popClose = function () {

        var parent = this;

        parent.settings.id = null;
        parent.settings.offset = null;
        parent.settings.event = null;
        parent.settings.date = null;
        parent.blockAction = false;

        $(parent.settings.popup).remove();

        if ($('body > .stec-modal').length <= 0) {
            $('body').removeClass('stec-modal-opened');
        }

        $('#stec-layout-event-inner-out-wrapper-' + this.settings.glob.options.id).show();

    };

    proto.popCaptcha = {
        sitekey: null,
        captchaValid: false,
        open: function (resultCallback) {
            var parent = this;
            parent.captchaValid = false;

            $('.stec-rsvp-popup-wrapper-settings').hide();
            $('.stec-rsvp-popup-wrapper-captcha').show();

            window.grecaptcha.render($('.stec-rsvp-popup-wrapper-captcha-placeholder').get(0), {
                sitekey: parent.sitekey,
                callback: function (response) {
                    if (response.length !== 0) {
                        parent.captchaValid = true;

                        if (typeof resultCallback === 'function') {
                            resultCallback();
                        }
                    }
                }
            });
        }
    };

})(window.jQuery);