(function ($) {

    "use strict";

    const __ = new window.StecHelper().lang;

    /**
     * prefixes added to prevent conflicts
     * from jQuery Easing v1.3 - //gsgd.co.uk/sandbox/jquery/easing/
     */
    $.extend($.easing, {
        stecOutExpo: function (x, t, b, c, d) {
            return (t === d) ? b + c : c * (-Math.pow(2, -10 * t / d) + 1) + b;
        },
        stecExpo: function (x, t, b, c, d) {
            if (t === 0) {
                return b;
            }

            if (t === d) {
                return b + c;
            }

            t = t / (d / 2);

            if (t < 1) {
                return c / 2 * Math.pow(2, 10 * (t - 1)) + b;
            }

            return c / 2 * (-Math.pow(2, -10 * --t) + 2) + b;
        }
    });

    function StecSingle() {

        var moment = window.moment;
        var glob = {

            template: {
                preloader: '',
                share: ''
            },

            event: {},

            options: {

                siteurl: '',

                monthLabelsShort: [
                    __('jan'),
                    __('feb'),
                    __('mar'),
                    __('apr'),
                    __('may'),
                    __('jun'),
                    __('jul'),
                    __('aug'),
                    __('sep'),
                    __('oct'),
                    __('nov'),
                    __('dec')
                ],

                monthLabels: [
                    __('january'),
                    __('february'),
                    __('march'),
                    __('april'),
                    __('may'),
                    __('june'),
                    __('july'),
                    __('august'),
                    __('september'),
                    __('october'),
                    __('november'),
                    __('december')
                ],

                dayLabels: [
                    __('sunday'),
                    __('monday'),
                    __('tuesday'),
                    __('wednesday'),
                    __('thursday'),
                    __('friday'),
                    __('saturday')
                ],

                dayLabelsShort: [
                    __('sun'),
                    __('mon'),
                    __('tue'),
                    __('wed'),
                    __('thu'),
                    __('fri'),
                    __('sat')
                ]
            }

        };
        var helper, DB, reminder, rsvp;

        var media = {
            init: function () {
                this.bindControls();
                this.mediaTrigger();
            },
            bindControls: function () {

                var parent = this;

                $(window).on('resize', function () {
                    parent.mediaTrigger();
                });

                $('.stec-layout-single').css({
                    visibility: 'visible'
                });
            },
            mediaTrigger: function () {

                if ($('.stec-layout-single').width() <= 600) {
                    $('.stec-layout-single').removeClass("stec-layout-single-media-med");
                    $('.stec-layout-single').addClass("stec-layout-single-media-small");
                } else if ($('.stec-layout-single').width() <= 870) {
                    $('.stec-layout-single').removeClass("stec-layout-single-media-small");
                    $('.stec-layout-single').addClass("stec-layout-single-media-med");
                } else {
                    $('.stec-layout-single').removeClass("stec-layout-single-media-med stec-layout-single-media-small");
                }
            }
        };

        var attachments = {
            init: function () {
                this.bindControls();
            },
            bindControls: function () {

                $('.stec-layout-single-attachments-toggle').on(helper.clickHandle(), function () {
                    $(this).toggleClass('active');
                    $('.stec-layout-single-attachments-list').toggleClass('active');
                });

            }
        };

        var slider = {

            cslide: 0,
            offset: 0,
            total: 0,
            blockAction: false,
            visCount: 0,
            visCountSmall: 3,
            visCountBig: 4,

            init: function () {

                var parent = this;
                var totalImages = $('.stec-layout-single-media-controls-list li').length;
                if (totalImages === 1) {

                    $('.stec-layout-single').find('.stec-layout-single-media-controls').remove();

                } else {

                    if (totalImages < this.visCountBig) {
                        this.visCountBig = totalImages;
                    }

                    if (totalImages < this.visCountSmall) {
                        this.visCountSmall = totalImages;
                    }
                }

                this.html();

                helper.imgLoaded($('.stec-layout-single').find('.stec-layout-single-media-content img'), function () {

                    setTimeout(function () {
                        parent.controlsDimensions();
                        parent.showImage();

                        $('.stec-layout-single').find('.stec-layout-single-media').fadeTo(1000, 1);
                    }, 100);


                });

                this.bindControls();

            },

            bindControls: function () {

                var parent = this;

                helper.onResizeEnd(function () {
                    parent.controlsDimensions();
                });

                $('.stec-layout-single').find('.stec-layout-single-media-controls-next').on(helper.clickHandle(), function (e) {
                    e.preventDefault();
                    parent.slideNext();
                });

                $('.stec-layout-single').find('.stec-layout-single-media-controls-prev').on(helper.clickHandle(), function (e) {
                    e.preventDefault();
                    parent.slidePrev();
                });

                $('.stec-layout-single').find('.stec-layout-single-media-controls li').on(helper.clickHandle(), function (e) {

                    e.preventDefault();

                    if (parent.cslide === $(this).index()) {
                        return;
                    }

                    parent.cslide = $(this).index();

                    parent.showImage();

                });

            },

            html: function () {
            },

            controlsDimensions: function () {

                var parent = this;
                var maxWidth, $li, liWidth, listWidth, left;

                if (!$('.stec-layout-single').is(':visible')) {
                    return;
                }

                if ($('.stec-layout-single').hasClass('stec-layout-single-media-small')) {
                    parent.visCount = parent.visCountSmall;
                } else {
                    parent.visCount = parent.visCountBig;
                }

                if ($('.stec-layout-single').find('.stec-layout-single-media-controls-list li').length === parent.visCount) {
                    $('.stec-layout-single').find('.stec-layout-single-media-controls').addClass('no-side-controls');
                } else {
                    $('.stec-layout-single').find('.stec-layout-single-media-controls').removeClass('no-side-controls');
                }

                maxWidth = $('.stec-layout-single').find('.stec-layout-single-media-controls-list-wrap').width();
                $li = $('.stec-layout-single').find('.stec-layout-single-media-controls-list li');

                $('.stec-layout-single').find('.stec-layout-single-media-content').height($('.stec-layout-single').find('.stec-layout-single-media img').first().height());

                // ~'calc( (100% - 2*10px) / 3 )';
                liWidth = (maxWidth - ((this.visCount - 1) * 10)) / this.visCount;

                listWidth = ($li.length * liWidth) + ($li.length * 10) - 10;

                $('.stec-layout-single').find('.stec-layout-single-media-controls-list').width(listWidth);
                $li.width(liWidth);


                this.offset = 0;

                left = -1 * ($li.first().width() * this.offset + this.offset * 10);

                $('.stec-layout-single').find('.stec-layout-single-media-controls-list').stop().css({
                    left: left
                });


            },

            showImage: function () {

                var $old, $new, $textContent;

                $('.stec-layout-single').find('.stec-layout-single-media-controls-list .active-thumb').removeClass('active-thumb');
                $('.stec-layout-single').find('.stec-layout-single-media-controls-list li').eq(this.cslide).addClass('active-thumb');

                $old = $('.stec-layout-single').find('.stec-layout-single-media-content .active-image');
                $new = $('.stec-layout-single').find('.stec-layout-single-media-content > div').eq(this.cslide);

                $textContent = $new.find('div');

                if ($textContent.length > 0) {

                    $('.stec-layout-single').find('.stec-layout-single-media-content-subs div').fadeTo(250, 0, function () {

                        var caption = $textContent.find('p').text();
                        var desc = $textContent.find('span').text();
                        var height;

                        $('.stec-layout-single').find('.stec-layout-single-media-content-subs p').text(caption);
                        $('.stec-layout-single').find('.stec-layout-single-media-content-subs span').text(desc);

                        height = $('.stec-layout-single').find('.stec-layout-single-media-content-subs p').height() + $('.stec-layout-single').find('.stec-layout-single-media-content-subs span').height();

                        if (height > 0) {
                            height = height + 40;
                        }

                        $('.stec-layout-single').find('.stec-layout-single-media-content-subs').stop().animate({
                            height: height
                        }, {
                            duration: 400,
                            easing: 'stecExpo',
                            complete: function () {
                                $('.stec-layout-single').find('.stec-layout-single-media-content-subs div').fadeTo(250, 1);
                            }
                        });
                    });


                } else {

                    $('.stec-layout-single').find('.stec-layout-single-media-content-subs div').fadeTo(250, 0, function () {

                        $('.stec-layout-single').find('.stec-layout-single-media-content-subs').stop().animate({
                            height: 0
                        }, {
                            duration: 400,
                            easing: 'stecExpo'
                        });

                    });

                }

                $new.addClass('fade-in');

                setTimeout(function () {

                    $old.removeClass('active-image');
                    $new.removeClass('fade-in').addClass('active-image');

                }, 250);
            },

            slideNext: function () {
                var $li = $('.stec-layout-single').find('.stec-layout-single-media-controls-list li');
                var left;

                if (this.offset + this.visCount >= $li.length) {
                    this.offset = 0;
                } else {
                    this.offset = this.offset + this.visCount;

                    if (this.offset > $li.length - this.visCount) {
                        this.offset = $li.length - this.visCount;
                    }
                }

                left = -1 * ($li.first().width() * this.offset + this.offset * 10);

                $('.stec-layout-single').find('.stec-layout-single-media-controls-list').stop().animate({
                    left: left
                }, {
                    duration: 750,
                    easing: 'stecExpo'
                });

            },

            slidePrev: function () {
                var left;
                var $li = $('.stec-layout-single').find('.stec-layout-single-media-controls-list li');

                if (this.offset <= 0) {
                    this.offset = $li.length - this.visCount;
                } else {
                    this.offset = this.offset - this.visCount;

                    if (this.offset < 0) {
                        this.offset = 0;
                    }
                }

                left = -1 * ($li.first().width() * this.offset + this.offset * 10);

                $('.stec-layout-single').find('.stec-layout-single-media-controls-list').stop().animate({
                    left: left
                }, {
                    duration: 750,
                    easing: 'stecExpo'
                });

            }

        };

        var clock = {
            days: 0,
            hours: 0,
            minutes: 0,
            seconds: 0,
            daysLabel: '',
            hoursLabel: '',
            mionutesLabel: '',
            secondsLabel: '',
            interval: '',

            init: function () {

                var nowDate, startDate, timeLeft;

                if ($('.stec-layout-single-counter').length <= 0) {
                    return;
                }

                startDate = moment.tz(glob.event.start_date, glob.event.timezone).add(glob.options.repeat_offset, 'seconds');
                nowDate = moment();
                timeLeft = Math.floor((startDate.unix() - nowDate.unix()));

                this.days = Math.floor(timeLeft / 86400);
                this.hours = Math.floor(timeLeft % 86400 / 3600);
                this.minutes = Math.floor(timeLeft % 86400 % 3600 / 60);
                this.seconds = Math.floor(timeLeft % 86400 % 3600 % 60);

                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(0).text(this.days);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(1).text(this.hours);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(2).text(this.minutes);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(3).text(this.seconds);

                this.daysLabel = $('.stec-layout-single').find('.stec-layout-single-counter-label').eq(0);
                this.hoursLabel = $('.stec-layout-single').find('.stec-layout-single-counter-label').eq(1);
                this.minutesLabel = $('.stec-layout-single').find('.stec-layout-single-counter-label').eq(2);
                this.secondsLabel = $('.stec-layout-single').find('.stec-layout-single-counter-label').eq(3);

                this.daysLabel.text(this.days === 1 ? this.daysLabel.attr('data-singular-label') : this.daysLabel.attr('data-plural-label'));
                this.hoursLabel.text(this.hours === 1 ? this.hoursLabel.attr('data-singular-label') : this.hoursLabel.attr('data-plural-label'));
                this.minutesLabel.text(this.minutes === 1 ? this.minutesLabel.attr('data-singular-label') : this.minutesLabel.attr('data-plural-label'));
                this.secondsLabel.text(this.seconds === 1 ? this.secondsLabel.attr('data-singular-label') : this.secondsLabel.attr('data-plural-label'));

                if (timeLeft < 0) {
                    this.complete();
                    return;
                }

                this.count();
            },
            count: function () {

                var parent = this;

                parent.interval = setInterval(function () {

                    parent.seconds--;

                    if (parent.seconds < 0) {
                        parent.seconds = 59;
                        parent.minutes--;
                        if (parent.minutes < 0) {
                            parent.minutes = 59;
                            parent.hours--;
                            if (parent.hours < 0) {
                                parent.hours = 23;
                                if (parent.days > 0) {
                                    parent.days--;
                                }
                                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(0).text(parent.days);
                                parent.daysLabel.text(parent.days === 1 ? parent.daysLabel.attr('data-singular-label') : parent.daysLabel.attr('data-plural-label'));
                            }
                            $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(1).text(parent.hours);
                            parent.hoursLabel.text(parent.hours === 1 ? parent.hoursLabel.attr('data-singular-label') : parent.hoursLabel.attr('data-plural-label'));
                        }
                        $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(2).text(parent.minutes);
                        parent.minutesLabel.text(parent.minutes === 1 ? parent.minutesLabel.attr('data-singular-label') : parent.minutesLabel.attr('data-plural-label'));
                    }
                    $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(3).text(parent.seconds);
                    parent.secondsLabel.text(parent.seconds === 1 ? parent.secondsLabel.attr('data-singular-label') : parent.secondsLabel.attr('data-plural-label'));


                    if (parent.days === 0 && parent.hours === 0 && parent.minutes === 0 && parent.seconds === 0) {
                        clearInterval(parent.interval);
                        parent.complete();
                    }

                }, 1000);
            },
            complete: function () {

                var now, endDate;

                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(0).text(0);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(1).text(0);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(2).text(0);
                $('.stec-layout-single').find('.stec-layout-single-counter-num').eq(3).text(0);

                this.daysLabel.text(this.days === 1 ? this.daysLabel.attr('data-singular-label') : this.daysLabel.attr('data-plural-label'));
                this.hoursLabel.text(this.hours === 1 ? this.hoursLabel.attr('data-singular-label') : this.hoursLabel.attr('data-plural-label'));
                this.minutesLabel.text(this.minutes === 1 ? this.minutesLabel.attr('data-singular-label') : this.minutesLabel.attr('data-plural-label'));
                this.secondsLabel.text(this.seconds === 1 ? this.secondsLabel.attr('data-singular-label') : this.secondsLabel.attr('data-plural-label'));

                $('.stec-layout-single').find('.stec-layout-single-counter').hide();

                $('.stec-layout-single-intro-attendance').hide();
                $('.stec-layout-single-attendance-invited').hide();

                now = moment();
                endDate = moment.tz(glob.event.end_date, glob.event.timezone).add(glob.options.repeat_offset, 'seconds');

                if (now >= endDate) {
                    $('.stec-layout-single').find('.stec-layout-single-event-status').show();
                    $('.stec-layout-single').find('.stec-layout-single-event-status-text.event-expired').show();

                } else {
                    $('.stec-layout-single').find('.stec-layout-single-event-status').show();
                    $('.stec-layout-single').find('.stec-layout-single-event-status-text.event-inprogress').show();

                }
            }

        };

        var location = {

            initNoMap: function () {
                var parent = this;
                var $start, $end;

                parent.$tabCont = $('.stec-layout-single-location');
                parent.address = glob.event.location.full_address;

                $start = parent.$tabCont.find('input[name="start"]');
                $end = parent.$tabCont.find('input[name="end"]');

                if ($.trim($end.val()) === "") {
                    $end.val(parent.$tabCont.find(".stec-layout-single-location-address").text());
                }

                if ($.trim($start.val()) === "") {
                    parent.fillMyLocation($start);
                }

                parent.$tabCont.find('.stec-layout-single-location-get-direction-btn').remove();

                parent.bindControls();

            },

            init: function () {

                var parent = this;
                var $start, $end;

                if ($('.stec-layout-single-location-gmap').length <= 0) {
                    return;
                }

                if (!window.google || !window.google.maps) {
                    this.initNoMap();
                    return;
                }

                parent.mapDiv = $('.stec-layout-single-location-gmap').get(0);

                parent.map = new window.google.maps.Map(parent.mapDiv, {
                    zoom: 15
                });

                if (glob.options.gmap_theme && glob.options.gmap_theme !== 'standard') {
                    parent.map.mapTypes.set('Custom_Style', helper.getMapStyles(glob.options.gmap_theme));
                    parent.map.setMapTypeId('Custom_Style');
                }

                parent.geocoder = new window.google.maps.Geocoder();

                parent.directionsService = new window.google.maps.DirectionsService();
                parent.directionsDisplay = new window.google.maps.DirectionsRenderer();

                parent.directionsDisplay.setMap(parent.map);

                parent.$container = $('.stec-layout-single-location');

                parent.address = glob.event.location.full_address;

                parent.setLocation(parent.address);

                // start end directions
                $start = parent.$container.find('input[name="start"]');
                $end = parent.$container.find('input[name="end"]');

                if ($.trim($end.val()) === "") {
                    $end.val(parent.address);
                }

                if ($.trim($start.val()) === "") {
                    parent.fillMyLocation($start);
                }

                this.bindControls();
            },

            fillMyLocation: function ($el) {

                var parent = this;

                if (navigator.geolocation) {

                    navigator.geolocation.getCurrentPosition(
                            function (position) {

                                var pos = [position.coords.latitude, position.coords.longitude];

                                if (!parent.geocoder || !parent.geocoder.geocode) {
                                    glob.options.myLocation = pos.join(', ');
                                    $el.val(glob.options.myLocation);
                                    return;
                                }

                                parent.geocoder.geocode({'address': pos.join(' ')}, function (results, status) {
                                    if (results.length > 0) {
                                        parent.myLocation = (results[0].formatted_address);
                                        $el.val(parent.myLocation);
                                    }
                                });
                            },
                            function (a, b, c) {
                                console.log('Navigator Geolocation Error');
                            }
                    );
                }
            },

            setLocation: function (address) {

                var parent = this;

                var latlng, pos;
                var locationCoordinates = parent.$container.find(".stec-layout-single-location-address").attr("data-location-coordinates");

                if (locationCoordinates) {

                    latlng = locationCoordinates.split(',');

                    pos = {
                        lat: parseFloat($.trim(latlng[0])),
                        lng: parseFloat($.trim(latlng[1]))
                    };

                    parent.map.setCenter(pos);
                    parent.marker = new window.google.maps.Marker({
                        map: parent.map,
                        position: pos,
                        title: address
                    });

                } else {

                    parent.geocoder.geocode({'address': address}, function (results, status) {
                        if (status === window.google.maps.GeocoderStatus.OK) {
                            parent.map.setCenter(results[0].geometry.location);
                            parent.marker = new window.google.maps.Marker({
                                map: parent.map,
                                position: results[0].geometry.location,
                                title: address
                            });

                        } else {
                            console.log("Geocoder error");
                        }
                    });

                }


                parent.refresh();
            },

            getDirection: function (a, b) {

                var parent = this;

                parent.directionsService.route({
                    origin: a,
                    destination: b ? b : parent.marker.position,
                    travelMode: window.google.maps.TravelMode.DRIVING
                }, function (response, status) {

                    if (status === window.google.maps.DirectionsStatus.OK) {
                        parent.directionsDisplay.setDirections(response);
                    } else {
                        console.log("Direction Service Error");

                        $('.stec-layout-single-location-direction-error').stop().fadeTo(250, 1, function () {

                            setTimeout(function () {

                                $('.stec-layout-single-location-direction-error').fadeTo(250, 0);

                            }, 3000);

                        });
                    }

                });
            },

            refresh: function (centerOnLocation) {

                var parent = this;

                setTimeout(function () {
                    window.google.maps.event.trigger(parent.mapDiv, 'resize');

                    if (centerOnLocation === true) {
                        parent.setLocation(parent.address);
                    }
                }, 10); // timeout fixes resize bug

            },

            bindControls: function () {

                var parent = this;

                $(".stec-layout-single-location-open-gmap").on(helper.clickHandle(), function (e) {

                    var $tabCont = $(".stec-layout-single-location");
                    var $start = $tabCont.find('input[name="start"]');
                    var $end = $tabCont.find('input[name="end"]');
                    var eventLocation = $end.val();
                    var latlng, href;

                    if (glob.event.location.coordinates) {
                        latlng = glob.event.location.coordinates.split(',');

                        eventLocation = {
                            lat: parseFloat($.trim(latlng[0])),
                            lng: parseFloat($.trim(latlng[1]))
                        };

                        href = 'https://www.google.com/maps/dir/?api=1&origin=' + $start.val() + '&destination=' + eventLocation.lat + ',' + eventLocation.lng + '&travelmode=driving';
                        $(this).attr('href', href);
                    } else {
                        e.preventDefault();
                    }
                });

                $(".stec-layout-single-location-get-direction-btn").on(helper.clickHandle(), function (e) {

                    var $tabCont = $(".stec-layout-single-location");
                    var $start = $tabCont.find('input[name="start"]');
                    var $end = $tabCont.find('input[name="end"]');

                    if ($.trim($start.val() !== "") && $.trim($end.val() !== "")) {
                        parent.getDirection($start.val(), $end.val());
                    }

                    e.preventDefault();
                });
            }

        };

        var tabs = {

            init: function () {

                // Remove unused tabs
                var tabs = 0;
                var hasCustomTabs = $('.stec-layout-event-single-tabs-content > div').length > 6 ? true : false;
                var $first;

                // comments
                if (parseInt(glob.event.comments, 10) === 0) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-comments"]').remove();
                } else {
                    tabs++;
                }

                // forecast
                if (!glob.event.location.coordinates || !glob.options.weather_api_key) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-forecast"]').remove();
                } else {
                    tabs++;
                }

                // schedule
                if (glob.event.schedule.length <= 0) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-schedule"]').remove();
                } else {
                    tabs++;
                }

                // guests
                if (glob.event.guests.length <= 0) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-guests"]').remove();
                } else {
                    tabs++;
                }

                // attendance
                if (glob.event.attendance.length <= 0) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-attendance"]').remove();
                } else {
                    tabs++;
                }

                // woocommerce
                if (glob.event.products.length <= 0) {
                    $('.stec-layout-single-tabs-list [data-tab="stec-layout-single-shop"]').remove();
                } else {
                    tabs++;
                }

                if (tabs < 1 && false === hasCustomTabs) {
                    $('.stec-layout-single-tabs').remove();

                    // nothing to show...
                    return;
                }

                $first = $('.stec-layout-single-tabs-list li').first().addClass('active');

                $('.' + $first.attr('data-tab')).show();

                this.bindControls();
            },

            bindControls: function () {

                $('.stec-layout-single-tabs-list li').on(helper.clickHandle(), function () {

                    var tab;

                    if ($(this).hasClass('active')) {
                        return;
                    }

                    $('.stec-layout-single-tabs-list li').not(this).removeClass('active');
                    $(this).addClass('active');

                    tab = $(this).attr('data-tab').replace('stec-layout-single-', '');

                    $('.stec-layout-event-single-tabs-content > div').hide();
                    $('.stec-layout-event-single-tabs-content > .stec-layout-single-' + tab).show();
                });

            }
        };

        var schedule = {

            init: function () {

                this.bindControls();
            },

            bindControls: function () {

                $('.stec-layout-single-schedule-tab-preview').on(helper.clickHandle(), function (e) {
                    e.preventDefault();
                    $(this).parents(".stec-layout-single-schedule-tab")
                            .not('.stec-layout-single-schedule-tab-no-desc')
                            .toggleClass("open");
                });

            }
        };

        var woocommerce = {

            init: function () {

                this.bindControls();

            },

            bindControls: function () {

                var parent = this;

                $('.stec-layout-single-shop-product-buy-addtocart').on(helper.clickHandle(), function (e) {

                    var start, product;

                    e.preventDefault();

                    start = moment.tz(glob.event.start_date, glob.event.timezone).
                            add(glob.options.repeat_offset, 'seconds')
                            .utcOffset(glob.event.timezone_utc_offset / 60, true)
                            .format('YYYY-MM-DD HH:mm:ss');

                    if (glob.event.start_date_timestamp_tz) {
                        start = moment.tz(glob.event.start_date, glob.event.timezone)
                                .utcOffset(moment().utcOffset(), true)
                                .add(glob.options.repeat_offset, 'seconds')
                                .utcOffset(glob.event.timezone_utc_offset / 60)
                                .format('YYYY-MM-DD HH:mm:ss');
                    }

                    product = {
                        id: $(this).attr('data-pid'),
                        sku: $(this).attr('data-sku'),
                        quantity: $(this).attr('data-quantity'),
                        event_start_date: start + ' ' + glob.event.calendar.timezone
                    };

                    parent.addToCart(product, $(this).parent());

                });
            },

            addToCart: function (product, $button) {

                var r = DB.newRequest();

                r.base = glob.options.siteurl + '/?wc-ajax=add_to_cart';
                r.setData({
                    product_id: product.id,
                    product_sku: product.sku,
                    quantity: product.quantity,
                    stec_event_start_date: product.event_start_date
                });

                r.setBefore(function () {
                    $button.find('.stec-layout-single-shop-product-buy-addtocart').hide();
                    $button.find('.stec-layout-single-shop-product-buy-ajax-status').empty();
                    $(glob.template.preloader).appendTo($button.find('.stec-layout-single-shop-product-buy-ajax-status'));
                });

                r.setCallback(function (data) {

                    var key, quantity;

                    $button.find('.stec-layout-single-shop-product-buy-ajax-status').empty();

                    if (!data || data === null || (data.error && data.error === true)) {

                        // add success icon
                        $('<i class="fa fa-times"></i>').appendTo($button.find('.stec-layout-single-shop-product-buy-ajax-status'));


                        // error handle
                        console.log('Error adding product to cart');

                    } else {

                        // update fragments 
                        if (data.fragments) {
                            for (key in data.fragments) {
                                if (data.fragments.hasOwnProperty(key)) {
                                    $(key).replaceWith(data.fragments[key]);
                                }
                            }
                        }

                        // add success icon
                        $('<i class="fa fa-check"></i>').appendTo($button.find('.stec-layout-single-shop-product-buy-ajax-status'));

                        // decrement quantity

                        quantity = $button.parent()
                                .find('.stec-layout-single-shop-product-quantity span').last().text();

                        if (!isNaN(quantity) && quantity > 0) {
                            quantity--;

                            $button.parent()
                                    .find('.stec-layout-single-shop-product-quantity span').last().text(quantity);
                        }

                        setTimeout(function () {
                            $button.find('.stec-layout-single-shop-product-buy-ajax-status i').stop().fadeTo(1000, 0, function () {

                                $(this).remove();

                                if (!isNaN(quantity) && quantity > 0 || quantity === '-') {
                                    $button.find('.stec-layout-single-shop-product-buy-addtocart').show();
                                }
                            });
                        }, 3000);

                    }
                });

                DB.query(r);
            }

        };

        var forecast = {

            loaded: false,

            ajax: null,

            init: function () {

                var parent = this;

                this.bindControls();

                if ($('.stec-layout-single-tabs-list li[data-tab="stec-layout-single-forecast"]').hasClass('active')) {

                    if (parent.loaded === false) {
                        parent.getWeather();
                        parent.loaded = true;
                    }

                }
            },

            fillError: function () {
                $('.stec-layout-single-forecast-content').remove();
                $('.stec-layout-single-forecast').find('.errorna').show();
            },

            getWindDir: function (bearing) {

                var val, arr;

                while (bearing < 0) {
                    bearing += 360;
                }

                while (bearing >= 360) {
                    bearing -= 360;
                }

                val = Math.round((bearing - 11.25) / 22.5);
                arr = [
                    __('N'),
                    __('NNE'),
                    __('NE'),
                    __('ENE'),
                    __('E'),
                    __('ESE'),
                    __('SE'),
                    __('SSE'),
                    __('S'),
                    __('SSW'),
                    __('SW'),
                    __('WSW'),
                    __('W'),
                    __('WNW'),
                    __('NW'),
                    __('NNW')
                ];
                return arr[ Math.abs(val) ];

            },

            iconToText: function (icon) {

                switch (icon) {

                    case ('clear-day') :
                    case ('clear-night') :
                        return __('clear_sky');

                    case ('partly-cloudy-day') :
                    case ('partly-cloudy-night') :
                        return __('partly_cloudy');

                    case ('cloudy') :
                        return __('cloudy');

                    case ('fog') :
                        return __('fog');

                    case ('rain') :
                        return __('rain');

                    case ('sleet') :
                        return __('sleet');

                    case ('snow') :
                        return __('snow');

                    case ('wind') :
                        return __('wind');

                }
            },

            iconToiconHTML: function (icon, forceday) {

//          clear-day, clear-night, rain, snow, sleet, wind, fog, cloudy, partly-cloudy-day, or partly-cloudy-night

                switch (icon) {

                    case ('clear-day') :
                        return '<div class="stec-forecast-icon-clear-day"></div>';

                    case ('clear-night') :
                        return forceday ? '<div class="stec-forecast-icon-clear-day"></div>' : '<div class="stec-forecast-icon-clear-night"></div>';

                    case ('partly-cloudy-day') :
                        return '<div class="stec-forecast-icon-cloudy-day"></div>';

                    case ('partly-cloudy-night') :
                        return forceday ? '<div class="stec-forecast-icon-cloudy-day"></div>' : '<div class="stec-forecast-icon-cloudy-night"></div>';

                    case ('cloudy') :
                        return '<div class="stec-forecast-icon-cloudy"></div>';

                    case ('fog') :
                        return '<div class="stec-forecast-icon-mist"></div>';

                    case ('rain') :
                        return  '<div class="stec-forecast-icon-rain"></div>';

                    case ('sleet') :
                        return '<div class="stec-forecast-icon-sleet"></div>';

                    case ('snow') :
                        return '<div class="stec-forecast-icon-snow"></div>';

                    case ('wind') :
                        return '<div class="stec-forecast-icon-cloudy"></div>';

                }
            },

            floorFigure: function (figure, decimals) {
                var d;
                if (!decimals) {
                    decimals = 2;
                }
                d = Math.pow(10, decimals);
                return (parseInt(figure * d) / d).toFixed(decimals);
            },

            getWeather: function () {

                var parent = this;

                var location = glob.event.location.coordinates;

                var r = DB.newRequest();
                r.setData({
                    action: 'stec_public_ajax_action',
                    task: 'get_weather_data',
                    location: function () {
                        location = location.split(',');
                        location[0] = parent.floorFigure(location[0]);
                        location[1] = parent.floorFigure(location[1]);
                        location = location.join(',');
                        return location;
                    }
                });

                r.setBefore(function () {
                    $(glob.template.preloader).appendTo($('.stec-layout-single-forecast'));
                });

                r.setCallback(function (data) {

                    if (data) {

                        // error ?
                        if (data.error || !data) {
                            parent.fillError();
                            return;
                        }

                        parent.fillData(data);
                    } else {
                        parent.fillError();
                    }

                    // Remove tabs preloaders
                    $('.stec-layout-single-forecast').find('.stec-layout-single-preloader').remove();
                });

                DB.query(r);

            },

            fillData: function (data) {

                var parent = this;

                var fiveDays = [];

                var i = 0;

                var forecast = data;

                var template = $('.stec-layout-single-forecast-details-left-forecast-day-template')[0].outerHTML;
                $('.stec-layout-single-forecast-details-left-forecast-day-template').remove();

                $(forecast.daily.data).each(function () {

                    var th = this, icon, d, niceDay;

                    if (i > 4) {
                        return false;
                    }

                    icon = parent.iconToiconHTML(th.icon, true);

                    // Localtime
                    d = helper.treatAsUTC(new Date(this.time * 1000));
                    d.setHours(d.getHours() + forecast.offset);

                    niceDay = helper.beautifyTimespan(d, d, 1);

                    fiveDays[i] = $(template).html(function (index, html) {

                        var tempFmin = Math.round(th.temperatureMin);
                        var tempCmin = Math.round((tempFmin - 32) * 5 / 9);

                        var tempFmax = Math.round(th.temperatureMax);
                        var tempCmax = Math.round((tempFmax - 32) * 5 / 9);

                        return html
                                .replace(/\bstec_replace_date\b/g, niceDay)
                                .replace(/\bstec_replace_min\b/g, glob.options.temp_units === "C" ? tempCmin : tempFmin)
                                .replace(/\bstec_replace_max\b/g, glob.options.temp_units === "C" ? tempCmax : tempFmax)
                                .replace(/\bstec_replace_temp_units\b/g, glob.options.temp_units === "C" ? "C" : "F")
                                .replace(/\bstec_replace_icon_div\b/g, icon);
                    })[0].outerHTML;

                    i++;
                });
                fiveDays = fiveDays.join('');

                $('.stec-layout-single-forecast').html(function (index, html) {

                    var niceDay;
                    var icon = parent.iconToiconHTML(forecast.currently.icon);

                    var tempF = Math.round(forecast.currently.temperature);
                    var tempC = Math.round((tempF - 32) * 5 / 9);

                    var apTempF = Math.round(forecast.currently.apparentTemperature);
                    var apTempC = Math.round((tempF - 32) * 5 / 9);

                    var windMPH = Math.round(forecast.currently.windSpeed);
                    var windKPH = Math.round(windMPH * 1.609344);

                    var d = helper.treatAsUTC(new Date(forecast.currently.time * 1000));
                    d.setHours(d.getHours() + forecast.offset);

                    niceDay = helper.beautifyTimespan(d, d, 1);

                    return html
                            .replace(/\bstec_replace_current_summary_text\b/g, parent.iconToText(forecast.currently.icon))
                            .replace(/\bstec_replace_today_date\b/g, niceDay)
                            .replace(/\bstec_replace_location\b/g, helper.capitalizeFirstLetter(glob.event.location.full_address))
                            .replace(/\bstec_replace_current_temp\b/g, glob.options.temp_units === "C" ? tempC : tempF)
                            .replace(/\bstec_replace_current_feels_like\b/g, glob.options.temp_units === "C" ? apTempC : apTempF)
                            .replace(/\bstec_replace_current_humidity\b/g, (forecast.currently.humidity * 100).toFixed(0))
                            .replace(/\bstec_replace_current_temp_units/g, glob.options.temp_units === "C" ? "C" : "F")
                            .replace(/\bstec_replace_current_wind\b/g, glob.options.wind_units === "MPH" ? windMPH : windKPH)
                            .replace(/\bstec_replace_current_wind_units\b/g, glob.options.wind_units === "MPH" ? "MPH" : "KPH")
                            .replace(/\bstec_replace_current_wind_direction\b/g, parent.getWindDir(forecast.currently.windBearing))
                            .replace(/\bstec_replace_today_icon_div\b/g, icon)
                            .replace(/\bstec_replace_5days\b/g, fiveDays);

                });

                // Chart instance
                setTimeout(function () {


                    var humidity = [],
                            tempC = [],
                            tempF = [],
                            rain = [],
                            j = -1,
                            i = 0,
                            th,
                            tempf,
                            tempc,
                            timeFormat,
                            d,
                            ch;


                    var charTimeLabels = [];

                    for (i = 0; i < 8; i++) {

                        j = j + 3;

                        th = forecast.hourly.data[j];

                        tempf = Math.round(th.temperature);
                        tempc = Math.round((tempf - 32) * 5 / 9);

                        tempC[i] = tempc;
                        tempF[i] = tempf;
                        humidity[i] = Math.round(th.humidity * 100).toFixed(0);
                        rain[i] = th.precipProbability * 100;

                        timeFormat = 'HH:mm';

                        if (parseInt(glob.options.time_format, 10) === 12) {
                            timeFormat = 'hh:mma';
                        }

                        // Local time
                        d = helper.treatAsUTC(new Date(th.time * 1000));
                        charTimeLabels.push(moment(d).format(timeFormat));

                    }

                    ch = new parent.chart();

                    ch.setCanvas($('.stec-layout-single-forecast-details-chart canvas'));

                    ch.setChartData({
                        labels: charTimeLabels,
                        datasets: [
                            {
                                label: __('humidity_percents'),
                                data: humidity,
                                backgroundColor: "rgba(200,200,200,0.1)",
                                borderColor: "rgba(200,200,200,1)",
                                pointBackgroundColor: "rgba(200,200,200,1)",
                                fill: true,
                                lineTension: 0.3,
                                pointHoverRadius: 5,
                                pointHitRadius: 10,
                                borderWidth: 1
                            },
                            {
                                label: __('rain_chance_percents'),
                                data: rain,
                                backgroundColor: "rgba(70,129,195,0.1)",
                                borderColor: "rgba(70,129,195,1)",
                                pointBackgroundColor: "rgba(70,129,195,1)",
                                fill: true,
                                lineTension: 0.3,
                                pointHoverRadius: 5,
                                pointHitRadius: 10,
                                borderWidth: 1
                            },
                            {
                                label: __('temperature') + ' ' + '\u00B0' + (glob.options.temp_units === "C" ? 'C' : 'F'),
                                data: glob.options.temp_units === "C" ? tempC : tempF,
                                backgroundColor: "rgba(252,183,85,0.3)",
                                borderColor: "rgba(252,183,85,1)",
                                pointBackgroundColor: "rgba(252,183,85,1)",
                                fill: true,
                                lineTension: 0.3,
                                pointHoverRadius: 5,
                                pointHitRadius: 10,
                                borderWidth: 1
                            }
                        ]
                    });

                    ch.build();

                    helper.onResizeEnd(function () {

                        if ($('.stec-layout-single').hasClass('stec-layout-single-media-small')) {
                            ch.chart.options.legend.display = false;
                        } else {
                            ch.chart.options.legend.display = true;
                        }

                        ch.chart.update();

                    }, 50);

                }, 0);

                $('.stec-layout-single-forecast-content').show();

            },

            chart: function () {

                this.ctx = null;
                this.chartData = null;
                this.chart = null;
                this.setCanvas = function ($canvas) {

                    var canvas = $canvas.get(0);

                    var w = parseInt($('.stec-layout-single-forecast-details-chart').width(), 10);
                    var h = parseInt($('.stec-layout-single-forecast-details-chart').height(), 10);

                    canvas.width = w;
                    canvas.height = h;

                    this.ctx = $canvas.get(0).getContext("2d");

                };

                this.setChartData = function (chartData) {
                    this.chartData = chartData;
                };

                this.destroy = function () {
                    this.chart.destroy();
                };

                this.build = function () {

                    var parent = this;
                    var generalTextColor;
                    var generalFontFamily;
                    var displayLegend = true;

                    if (this.chart) {
                        this.destroy();
                    }

                    generalTextColor = $('.stec-layout-single-forecast-details-left-forecast-top p').css('color');
                    generalFontFamily = $('.stec-layout-single-forecast-details-left-forecast-top p').css('font-family');

                    if ($('.stec-layout-single').hasClass('stec-layout-single-media-small')) {
                        displayLegend = false;
                    }

                    this.chart = new window.Chart(this.ctx, {
                        type: 'line',
                        data: parent.chartData,
                        options: {
                            maintainAspectRatio: false,
                            responsive: true,
                            defaultFontFamily: generalFontFamily,
                            defaultFontColor: generalTextColor,
                            legend: {
                                display: displayLegend,
                                labels: {
                                    fontFamily: generalFontFamily,
                                    fontColor: generalTextColor,
                                    fontSize: 12
                                }
                            },
                            scales: {
                                xAxes: [{
                                        ticks: {
                                            fontFamily: generalFontFamily,
                                            fontSize: 11,
                                            fontColor: generalTextColor
                                        },
                                        gridLines: {
                                            color: 'rgba(0,0,0,0.1)',
                                            zeroLineColor: 'rgba(0,0,0,0)'
                                        }
                                    }],
                                yAxes: [{
                                        ticks: {
                                            fontFamily: generalFontFamily,
                                            fontSize: 11,
                                            fontColor: generalTextColor
                                        },
                                        gridLines: {
                                            color: 'rgba(0,0,0,0.1)',
                                            zeroLineColor: 'rgba(0,0,0,0)'
                                        }
                                    }]
                            },
                            tooltips: {
                                titleFontColor: '#fff',
                                titleFontStyle: generalFontFamily,
                                bodyFontFamily: generalFontFamily,
                                bodyFontColor: '#fff'
                            }

                        }
                    });
                };
            },

            bindControls: function () {

                var parent = this;

                $('li[data-tab="stec-layout-single-forecast"]').on(helper.clickHandle(), function () {

                    if (parent.loaded === false) {
                        parent.getWeather();

                        parent.loaded = true;
                    }
                });
            }
        };

        var attendance = {

            ajax: null,
            eventOccurrenceDate: null,

            init: function () {

                var startDate = moment.tz(glob.event.start_date, glob.event.timezone).add(glob.options.repeat_offset, 'seconds');
                var nowDate = moment();
                var timeLeft = Math.floor((startDate.unix() - nowDate.unix()));
                this.eventOccurrenceDate = startDate.format('YYYY-MM-DD');

                if (timeLeft < 0) {

                    $('.stec-layout-single-intro-attendance').hide();
                    $('.stec-layout-single-attendance-invited').hide();

                    return;
                }

                $('.stec-layout-single .stec-layout-single-attendance-attendee').each(function () {

                    if ($(this).find('.stec-layout-single-attendance-attendee-avatar ul li i').hasClass('fa-check')) {
                        $(this).find('.stec-layout-single-attendance-attendee-persons').show();
                    }

                });

                this.bindControls();

            },

            ajaxAttendance: function (status) {

                // status
                // 0 - no decision
                // 1 - accept 
                // 2 - decline

                var $avatar, $attendee;
                var request = DB.newRequest();

                $avatar = $('.stec-layout-single').find('.stec-layout-single-attendance-attendee-avatar')
                        .filter('[data-userid="' + glob.options.userid + '"]');

                $attendee = $avatar.parent();

                request.setData({
                    action: 'stec_public_ajax_action',
                    task: 'set_user_event_attendance',
                    event_id: glob.event.id,
                    date: this.eventOccurrenceDate,
                    status: status
                });

                request.setBefore(function () {
                    $('.stec-layout-single-attendance-invited-buttons').hide();

                    $(glob.template.preloader).appendTo($('.stec-layout-single-attendance-invited'));

                    $('.stec-layout-single-intro-attendance').children().hide();

                    $('<li>' + glob.template.preloader + '</li>')
                            .addClass('intro-attendance').
                            appendTo($('.stec-layout-single-intro-attendance'));
                });

                request.setCallback(function (rtrn) {

                    var status = parseInt(rtrn.status, 10);
                    var slotsLeft = rtrn.slots_left;

                    $('.stec-layout-single-intro-attendance').children().removeClass('active');
                    $('.stec-layout-single-attendance-invited-buttons').children().removeClass('active');

                    switch (status) {

                        case 1:
                            $('.stec-layout-single-attendance-invited-buttons').children().removeClass('active');
                            $('.stec-layout-single-attendance-invited-buttons-accept').addClass('active');

                            $avatar
                                    .find('ul li i')
                                    .attr('class', 'fa fa-check');

                            $('.stec-layout-single-intro-attendance-attend').addClass('active');

                            break;

                        case 2:
                            $('.stec-layout-single-attendance-invited-buttons-decline').addClass('active');

                            $avatar
                                    .find('ul li i')
                                    .attr('class', 'fa fa-times');

                            $('.stec-layout-single-intro-attendance-decline').addClass('active');
                            break;

                        default:

                            $avatar
                                    .find('ul li i')
                                    .attr('class', 'fa fa-question');

                            $('.stec-layout-single-intro-attendance').children().removeClass('active');
                            break;

                    }

                    $('.stec-layout-single-attendance-invited-buttons').css('display', 'flex');
                    $('.stec-layout-single-attendance-invited').find('.stec-layout-single-preloader').remove();

                    $('.stec-layout-single-intro-attendance').children().show();
                    $('.stec-layout-single-intro-attendance').children().last().remove();

                    $('.stec-layout-single-attendance-slots-count').text(slotsLeft);

                    if (1 === status) {
                        $attendee.find('.stec-layout-single-attendance-attendee-persons').show();
                    } else {
                        $attendee.find('.stec-layout-single-attendance-attendee-persons').hide();
                    }

                });

                DB.query(request);

            },

            bindControls: function () {

                var parent = this;

                $('.stec-layout-single-attendance-invited-buttons-accept').on(helper.clickHandle(), function (e) {

                    e.preventDefault();

                    if ($(this).hasClass('active')) {
                        parent.ajaxAttendance(0);
                    } else {
                        rsvp.settings.id = glob.event.id;
                        rsvp.settings.offset = glob.options.repeat_offset;
                        rsvp.settings.event = glob.event;
                        rsvp.settings.date = moment.tz(glob.event.start_date, glob.event.timezone).add(glob.options.repeat_offset, 'seconds').format('YYYY-MM-DD');
                        rsvp.settings.update = true;
                        rsvp.popOpen();
                    }

                });

                $('.stec-layout-single-attendance-invited-buttons-decline').on(helper.clickHandle(), function (e) {
                    var status;
                    e.preventDefault();
                    status = $(this).hasClass('active') ? 0 : 2;
                    parent.ajaxAttendance(status);
                });

                $('.stec-layout-single-intro-attendance-attend').on(helper.clickHandle(), function (e) {

                    e.preventDefault();

                    if ($(this).hasClass('active')) {
                        parent.ajaxAttendance(0);
                    } else {
                        rsvp.settings.id = glob.event.id;
                        rsvp.settings.offset = glob.options.repeat_offset;
                        rsvp.settings.event = glob.event;
                        rsvp.settings.date = moment.tz(glob.event.start_date, glob.event.timezone).add(glob.options.repeat_offset, 'seconds').format('YYYY-MM-DD');
                        rsvp.settings.update = true;
                        rsvp.popOpen();
                    }
                });

                $('.stec-layout-single-intro-attendance-decline').on(helper.clickHandle(), function (e) {
                    var status;
                    e.preventDefault();
                    status = $(this).hasClass('active') ? 0 : 2;
                    parent.ajaxAttendance(status);
                });

            }
        };

        var comments = {

            init: function () {

                var eventId;
                var disqusShortname;
                var disqusTitle;

                if (parseInt(glob.event.comments, 10) === 0) {
                    return;
                }

                eventId = glob.event.id;

                switch (glob.options.comments_form) {
                    case 'facebook' :

                        if ($('#fb-root').length <= 0) {
                            $('<div id="fb-root"></div>').appendTo('body');
                        }

                        $('<div class="stec-fb-comments fb-comments" data-width="100%" data-href="' + window.location.hostname + "#!stecEventDiscussion" + eventId + '" data-numposts="5"></div>').appendTo('.stec-layout-single-comments');

                        if (typeof window.FB !== 'undefined') {
                            window.FB.XFBML.parse();
                        }


                        break;

                    case 'disqus' :

                        disqusShortname = glob.options.disqus_shortname;
                        disqusTitle = glob.event.title;

                        window.disqus_url = window.location.href + "#!stecEventDiscussion" + eventId;
                        window.disqus_identifier = "stecEventID" + eventId;
                        window.disqus_title = disqusTitle;

                        $('<div id="disqus_thread"></div>').appendTo('.stec-layout-single-comments');

                        if (typeof window.DISQUS === "undefined") {
                            $.ajax({
                                type: "GET",
                                url: "//" + +".disqus.com/embed.js",
                                dataType: "script",
                                cache: true
                            });
                        } else {
                            window.DISQUS.reset({
                                reload: true
                            });
                        }

                }

            }


        };

        var booking = {

            init: function () {
                if (window.StecBooking) {

                    $('.stec-layout-single').find('button[data-action="open-tickets"]').data({
                        event: glob.event,
                        offset: glob.options.repeat_offset
                    });

                    booking = new window.StecBooking('booking-popup-id-single');

                    booking
                            .set('$instance', $('.stec-layout-single'))
                            .set('helper', helper)
                            .set('glob', glob);

                    booking.controller();
                }
            }

        };

        var bindControls = function () {

            $('.stec-layout-single').on('click', '.stec-layout-single-share .fa-link', function (e) {

                var linkURL, eventId, eventOffset, sharer;

                e.stopPropagation();
                e.preventDefault();

                linkURL = $(this).parent().attr('href');
                eventId = glob.event.id;
                eventOffset = glob.options.repeat_offset;

                sharer = new window.stecSharer($('.stec-layout-single'), glob, helper, linkURL, eventId, eventOffset);
                sharer.init();

            });

            $('.stec-layout-single').on('click', '.stec-layout-single-share .fa-envelope', function (e) {

                var linkURL, eventId, eventOffset, emailForm;

                e.stopPropagation();
                e.preventDefault();

                eventId = glob.event.id;
                eventOffset = glob.options.repeat_offset;
                linkURL = $(this).parent().attr('href');

                emailForm = new window.stecEmailEvent($('.stec-layout-single'), glob, helper, linkURL, eventId, eventOffset);
                emailForm.init();

            });

            setInterval(function () {

                $('.stec-layout-single').find('.stec-layout-single-preview-left-icon-images').filter(':visible').each(function () {

                    var currentImage, nextImage;

                    if ($(this).children().length <= 1) {
                        return;
                    }

                    currentImage = $(this).children().filter('.active');
                    nextImage = currentImage.next();

                    if (nextImage.length === 0) {
                        nextImage = $(this).children().first();
                    }

                    nextImage.addClass('transition');

                    setTimeout(function () {
                        currentImage.removeClass('active');
                        nextImage.removeClass('transition').addClass('active');

                    }, 1000);

                });

            }, 6000);
        };

        this.init = function () {

            $.extend(glob.options, window.stecSingleOptions);

            glob.event = window.stecSingleEvent;

            if (!glob.event) {
                return;
            }

            helper = new window.StecHelper();
            helper.set('glob', glob);

            DB = new window.StecDB();

            reminder = new window.StecReminder('reminder-popup-id-single');
            reminder
                    .set('$instance', $('.stec-layout-single'))
                    .set('instance', '.stec-layout-single')
                    .set('helper', helper)
                    .set('calData', null)
                    .set('glob', glob);

            reminder.controller();

            rsvp = new window.StecRsvpToEvent('rsvp-popup-id-' + glob.options.id);

            rsvp
                    .set('$instance', $('.stec-layout-single'))
                    .set('helper', helper)
                    .set('calData', null)
                    .set('glob', glob);

            rsvp.controller();


            glob.template.preloader = $(".stec-layout-single-preloader-template").html();
            glob.options.siteurl = glob.options.site_url;

            glob.template.share = $(".stec-layout-single").children(".stec-share-template").html();
            glob.template.emailEvent = $(".stec-layout-single").children(".stec-email-event-template").html();

            media.init();
            attachments.init();
            slider.init();
            clock.init();
            location.init();

            tabs.init();
            schedule.init();
            woocommerce.init();
            forecast.init();
            attendance.init();
            comments.init();
            booking.init();
            bindControls();

        };

        moment.locale('en');

    }

    $(document).ready(function () {
        new StecSingle().init();
    });

})(window.jQuery);