<?php

namespace Stachethemes\Stec;

class Builder_Form {

    private $id      = null;
    private $project = null;
    private $html    = Array();

    public function __construct($id, $project_type, $project_id) {

        $get_default = false;
        $this->id    = $id;

        if (false === Builder::project_exists($project_type, $project_id)) {
            $get_default = true;
        }

        switch ($get_default) {
            case true:
                $project = Builder::get_default($project_type);
                break;
            default:
                $project = Builder::get_project($project_type, $project_id);
        }

        $this->project           = json_decode($project);
        $this->project->plot     = json_decode($this->project->plot);
        $this->project->elements = json_decode($this->project->elements);
    }

    public function build_html() {

        $plot_style = 'padding:' . $this->project->plot->padding . '; margin: ' . $this->project->plot->margin;

        $this->html[] = "<div class='stec-builder-form' id='{$this->id}' style='" . $plot_style . "'><form>";
        foreach ($this->project->elements as $element) {
            $builder_element = new Builder_Element($element);
            $this->html[]    = $builder_element->get_html();
        }
        $this->html[] = '</form></div>';
        $this->html   = implode(PHP_EOL, $this->html);
    }

    public function display() {
        if (!$this->html) {
            $this->build_html();
        }
        
        echo Admin_Helper::esc($this->html, 'noscript');
    }

}
