<?php

namespace Stachethemes\Stec;

if (!$this instanceof Stachethemes_Event_Calendar) {
    wp_die('-1');
}

$stachethemes_ec_main = $this;

add_action('stec_register_custom_state', function() {

    register_post_status('stec-organizer-page', array(
        'label'                     => esc_html_x('Organizer Page', 'post', 'stec'),
        'public'                    => true,
        'exclude_from_search'       => true,
        'show_in_admin_all_list'    => true,
        'show_in_admin_status_list' => true,
        'post_type'                 => array('post'),
        'label_count'               => _n_noop('Organizer Page <span class="count">(%s)</span>', 'Organizer Page <span class="count">(%s)</span>', 'stec'),
    ));

    add_filter('display_post_states', function($states, $post) {
        if ((int) Admin_Helper::get_stec_page('organizer') === $post->ID) {
            $states['stec-organizer-page'] = esc_html__('St. Event Calendar Organizer Page', 'stec');
        }
        return $states;
    }, 10, 2);
});

do_action('stec_register_custom_state');
