<?php

namespace Stachethemes\Stec;

if (!$this instanceof Stachethemes_Event_Calendar) {
    wp_die('-1');
}

$stachethemes_ec_main = $this;


add_filter('theme_page_templates', function($templates) {
    $templates['stec-page-template-coming-soon.php'] = esc_html__('St. Event Calendar Coming Soon Page', 'stec');
    return $templates;
});


add_filter('page_template', function($template) use ($stachethemes_ec_main) {

    $post          = get_post();
    $page_template = get_post_meta($post->ID, '_wp_page_template', true);

    if ('stec-page-template-coming-soon.php' === $page_template) {
        $template = $stachethemes_ec_main->get_path('VIEW') . 'front/page-templates/stec-page-template-coming-soon.php';
    }

    if ($post->ID === Admin_Helper::get_stec_page('organizer')) {

        $organizer_name = get_query_var('stec_organizer_name');
        $organizer_name = urldecode($organizer_name);
        $organizer_name = esc_html($organizer_name);
        $organizer_name = trim($organizer_name);
        $organizer      = null;
        $organizers     = null;

        if ($organizer_name) {
            $organizer = Organizers::get_organizer_by_name($organizer_name);
        } else {
            $organizers = Organizers::get_organizers();
        }

        add_action('wp_enqueue_scripts', function() use ($stachethemes_ec_main) {
            $stachethemes_ec_main->add_asset_css("stec-organizer-page", "css/front/style.organizer-page.css");

            do_action('stec_load_calendar_scripts');

            if (Settings::get_admin_setting_value('stec_menu__cache', 'ac') === '1') {
                AssetsCompressor::compress_js();
                AssetsCompressor::compress_css();
            }
        });

        add_action('wp_head', function() use ($organizer, $organizers) {
            do_action('stec_organizer_page_wp_head', $organizer, $organizers);
        });

        add_filter('the_content', function() use($stachethemes_ec_main, $organizer, $organizers) {
            ob_start();
            include $stachethemes_ec_main->get_path('VIEW') . 'front/pages/organizer.php';
            return ob_get_clean();
        });

        add_action('wp_footer', function() use ($organizer, $organizers) {
            do_action('stec_organizer_page_wp_footer', $organizer, $organizers);
        });
    }

    return $template;
});
