<?php

namespace Stachethemes\Stec;

if (false === $this instanceof Stachethemes_Event_Calendar) {
    wp_die('-1');
}

$stachethemes_ec_main = $this;

add_action('vc_before_init', function() use ($stachethemes_ec_main) {

    \vc_map(array(
        "name"        => "Event Calendar",
        'description' => esc_html__('Event Calendar by Stachethemes', 'stec'),
        "base"        => "stachethemes_ec",
        "class"       => "",
        "icon"        => plugins_url('assets/css/admin/img/avatar.jpg', STACHETHEMES_EC_FILE__),
        "category"    => "Stachethemes",
        "params"      => array(
            array(
                "type"        => "textfield",
                "holder"      => "div",
                "heading"     => esc_html__('Calendar ID', 'stec'),
                "param_name"  => "cal",
                "value"       => "",
                "description" => esc_html__('Display only selected calendars (optional). Example: 1,2,3,4', 'stec')
            ),
            array(
                "type"        => "textfield",
                "holder"      => "div",
                "heading"     => esc_html__('Category ID', 'stec'),
                "param_name"  => "cat",
                "value"       => "",
                "description" => esc_html__('Display only selected categories (optional). Example: 1,2,3,4', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Default view', 'stec'),
                "param_name"  => "view",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Agenda", 'stec')   => 'agenda',
                    esc_html__("Month", 'stec')    => 'month',
                    esc_html__("Week", 'stec')     => 'week',
                    esc_html__("Day", 'stec')      => 'day',
                    esc_html__("Grid", 'stec')     => 'grid',
                    esc_html__("Box Grid", 'stec') => 'boxgrid',
                    esc_html__("Map", 'stec')      => 'map',
                ),
                "description" => esc_html__('Default calendar view', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Top menu', 'stec'),
                "param_name"  => "show_top",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/hide top menu', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Different views buttons', 'stec'),
                "param_name"  => "show_views",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__("If set to hide users won't be able to switch calendar layouts", 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Search button', 'stec'),
                "param_name"  => "show_search",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/hide search button', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Calendar filter Button', 'stec'),
                "param_name"  => "show_calfilter",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/Hide calendar filter button', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Agenda calendar display', 'stec'),
                "param_name"  => "agenda_cal_display",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/Hide calendar slider in agenda view', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Event Tooltip', 'stec'),
                "param_name"  => "tooltip_display",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/Hide Tooltip on event hover', 'stec')
            ),
            array(
                "type"        => "dropdown",
                "heading"     => esc_html__('Display event submission form', 'stec'),
                "param_name"  => "show_create_event_form",
                "admin_label" => true,
                "value"       => array(
                    esc_html__("Default", 'stec') => '',
                    esc_html__("Hide", 'stec')    => 0,
                    esc_html__("Show", 'stec')    => 1,
                ),
                "description" => esc_html__('Show/Hide the submission form', 'stec')
            ),
        )
    ));
});
