<?php

namespace Stachethemes\Stec;

/**
 * LICENSE SETTINGS
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__license",
            "title"   => esc_html__('Enter your purchase key below', 'stec'),
            "desc"    => "",
            "name"    => "purchase_code",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => true
        )
);


/**
 * GENERAL SETTINGS
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('First day of the week', 'stec'),
            "desc"    => "",
            "name"    => "first_day_of_the_week",
            "type"    => "select",
            "value"   => "mon",
            "default" => "mon",
            "select"  => array(
                'mon' => esc_html__('Monday', 'stec'),
                'sat' => esc_html__('Saturday', 'stec'),
                'sun' => esc_html__('Sunday', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Date Format', 'stec'),
            "desc"    => "",
            "name"    => "date_format",
            "type"    => "select",
            "value"   => "mm-dd-yy",
            "default" => "mm-dd-yy",
            "select"  => array(
                'yy-mm-dd'   => esc_html__('YYYY-MM-DD', 'stec'),
                'dd-mm-yy'   => esc_html__('DD-MM-YYYY', 'stec'),
                'mm-dd-yy'   => esc_html__('MM-DD-YYYY', 'stec'),
                'dd.mm.yyyy' => esc_html__('DD.MM.YYYY', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__("Display Date 'GMT/UTC'", 'stec'),
            "desc"    => "",
            "name"    => "date_label_gmtutc",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec'),
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Time Format', 'stec'),
            "desc"    => "",
            "name"    => "time_format",
            "type"    => "select",
            "value"   => "24",
            "default" => "24",
            "select"  => array(
                '12' => esc_html__('12 Hours', 'stec'),
                '24' => esc_html__('24 Hours', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Weather API Key', 'stec'),
            "desc"    => "",
            "name"    => "weather_api_key",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Weather temperature units', 'stec'),
            "desc"    => "",
            "name"    => "temp_units",
            "type"    => "select",
            "value"   => "C",
            "default" => "C",
            "select"  => array(
                'C' => esc_html__('Celsius', 'stec'),
                'F' => esc_html__('Fahrenheit', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Weather wind units', 'stec'),
            "desc"    => "",
            "name"    => "wind_units",
            "type"    => "select",
            "value"   => "KPH",
            "default" => "KPH",
            "select"  => array(
                'MPH' => esc_html__('MPH', 'stec'),
                'KPH' => esc_html__('KPH', 'stec')
            ),
            "req"     => true
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Google Maps API Key', 'stec'),
            "desc"    => "",
            "name"    => "gmaps_api_key",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Comments form type', 'stec'),
            "desc"    => "",
            "name"    => "comments_form",
            "type"    => "select",
            "value"   => "facebook",
            "default" => "facebook",
            "select"  => array(
                'disqus'   => esc_html__('Disqus', 'stec'),
                'facebook' => esc_html__('Facebook', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Disqus Shortname', 'stec'),
            "desc"    => "",
            "name"    => "disqus_shortname",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Reminder feature', 'stec'),
            "desc"    => "",
            "name"    => "reminder",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Disable', 'stec'),
                '1' => esc_html__('Enable', 'stec')
            ),
            "req"     => true
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Default View', 'stec'),
            "desc"    => "",
            "name"    => "view",
            "type"    => "select",
            "value"   => "agenda",
            "default" => "agenda",
            "select"  => array(
                'agenda'  => esc_html__('Agenda', 'stec'),
                'month'   => esc_html__('Month', 'stec'),
                'week'    => esc_html__('Week', 'stec'),
                'day'     => esc_html__('Day', 'stec'),
                'grid'    => esc_html__('Grid', 'stec'),
                'boxgrid' => esc_html__('Box Grid', 'stec'),
                'map'     => esc_html__('Map', 'stec'),
            ),
            "req"     => true
        )
);


Settings::register_admin_setting(
        array(
            "page"     => "stec_menu__general",
            "title"    => esc_html__('Active Views', 'stec'),
            "desc"     => "",
            "name"     => "views",
            "type"     => "select",
            "value"    => array('agenda', 'month', 'week', 'day'),
            "default"  => array('agenda', 'month', 'week', 'day'),
            "select"   => array(
                'agenda'  => esc_html__('Agenda', 'stec'),
                'month'   => esc_html__('Month', 'stec'),
                'week'    => esc_html__('Week', 'stec'),
                'day'     => esc_html__('Day', 'stec'),
                'grid'    => esc_html__('Grid', 'stec'),
                'boxgrid' => esc_html__('Box Grid', 'stec'),
                'map'     => esc_html__('Map', 'stec'),
            ),
            "req"      => true,
            "multiple" => true
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Top Menu', 'stec'),
            "desc"    => "",
            "name"    => "show_top",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Different Views Buttons', 'stec'),
            "desc"    => "",
            "name"    => "show_views",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Search Button', 'stec'),
            "desc"    => "",
            "name"    => "show_search",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Calendar Filter Button', 'stec'),
            "desc"    => "",
            "name"    => "show_calfilter",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Show event category tags', 'stec'),
            "desc"    => "",
            "name"    => "show_event_tags",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Use category color for events', 'stec'),
            "desc"    => "",
            "name"    => "use_cat_color",
            "type"    => "select",
            "value"   => "0",
            "default" => "0",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Show event title on all cells', 'stec'),
            "desc"    => "",
            "name"    => "show_event_title_all_cells",
            "type"    => "select",
            "value"   => "0",
            "default" => "0",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Auto-focus event', 'stec'),
            "desc"    => "",
            "name"    => "event_auto_focus",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Auto-focus event offset (- / +) px', 'stec'),
            "desc"    => "",
            "name"    => "event_auto_focus_offset",
            "type"    => "input",
            "value"   => "0",
            "default" => "0",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Agenda events limit per click', 'stec'),
            "desc"    => "",
            "name"    => "agenda_get_n",
            "type"    => "input",
            "value"   => "3",
            "default" => "3",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Agenda Calendar Display', 'stec'),
            "desc"    => "",
            "name"    => "agenda_cal_display",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Agenda List Display', 'stec'),
            "desc"    => "",
            "name"    => "agenda_list_display",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Agenda List Order', 'stec'),
            "desc"    => "",
            "name"    => "reverse_agenda_list",
            "type"    => "select",
            "value"   => "0",
            "default" => "0",
            "select"  => array(
                '0' => esc_html__('Ascending', 'stec'),
                '1' => esc_html__('Descending', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Event Tooltip', 'stec'),
            "desc"    => "",
            "name"    => "tooltip_display",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Disable', 'stec'),
                '1' => esc_html__('Enable', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Allow export event from front-end', 'stec'),
            "desc"    => "",
            "name"    => "show_export_buttons",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Social Share Links', 'stec'),
            "desc"    => "",
            "name"    => "social_links",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Hide', 'stec'),
                '1' => esc_html__('Show', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Messenger APP ID', 'stec'),
            "desc"    => "",
            "name"    => "messenger_app_id",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Allow embedding', 'stec'),
            "desc"    => "",
            "name"    => "allow_embedding",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general",
            "title"   => esc_html__('Open events in', 'stec'),
            "desc"    => "",
            "name"    => "open_event_in",
            "type"    => "select",
            "value"   => "self",
            "default" => "self",
            "select"  => array(
                'self'     => esc_html__('Calendar', 'stec'),
                'single'   => esc_html__('Single Page', 'stec'),
                'external' => esc_html__('External Link', 'stec'),
                'modal'    => esc_html__('Popup', 'stec'),
            ),
            "req"     => true
        )
);


Settings::register_admin_setting(
        array(
            "page"              => "stec_menu__general_event_submit",
            "title"             => esc_html__('Default form', 'stec'),
            "name"              => "submission_form_id",
            "type"              => "select",
            "value"             => '',
            "default"           => '',
            "select_call_func"  => '\Stachethemes\Stec\Builder::get_projects_list_array',
            "select_call_param" => 'event_submission_form',
            "select"            => array(),
            "req"               => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_event_submit",
            "title"   => esc_html__('Allow submitting expired events', 'stec'),
            "desc"    => "",
            "name"    => "create_event_form_allow_expired",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_event_submit",
            "title"   => esc_html__('Location settings', 'stec'),
            "desc"    => "",
            "name"    => "create_event_form_allow_location_type",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('Allow only predefined locations', 'stec'),
                '1' => esc_html__('Allow only predefined countries and cities', 'stec'),
                '2' => esc_html__('Allow new locations', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_event_submit",
            "title"   => esc_html__('Display event submission form in Calendar', 'stec'),
            "desc"    => "",
            "name"    => "show_create_event_form",
            "type"    => "select",
            "value"   => "1",
            "default" => "1",
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);



Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_google_captcha",
            "title"   => esc_html__('Use Captcha', 'stec'),
            "name"    => "enabled",
            "type"    => "select",
            "value"   => '0',
            "default" => '0',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_google_captcha",
            "title"   => esc_html__('Site Key', 'stec'),
            "name"    => "site_key",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_google_captcha",
            "title"   => esc_html__('Secret Key', 'stec'),
            "name"    => "secret_key",
            "type"    => "input",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_privacy_agreement",
            "title"   => esc_html__('Use GDPR', 'stec'),
            "desc"    => "",
            "name"    => "gdpr_enabled",
            "type"    => "select",
            "value"   => '0',
            "default" => '0',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_privacy_agreement",
            "title"   => esc_html__('Use Privacy Agreement', 'stec'),
            "desc"    => "",
            "name"    => "display_privacy_agreement",
            "type"    => "select",
            "value"   => '0',
            "default" => '0',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_privacy_agreement",
            "title"   => esc_html__('Privacy Agreement Text', 'stec'),
            "name"    => "privacy_agreement_content",
            "type"    => "textarea",
            "value"   => "",
            "default" => "",
            "req"     => false
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Force load calendar scripts', 'stec'),
            "name"    => "force_load_scripts",
            "type"    => "select",
            "value"   => '0',
            "default" => '0',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Load google maps script.', 'stec'),
            "name"    => "load_gmaps",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Load jQuery UI style', 'stec'),
            "name"    => "load_jquery_ui_css",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Load Chart.js', 'stec'),
            "name"    => "load_chart_js",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Load Moment.js', 'stec'),
            "name"    => "load_moment_js",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Load jQuery Mobile', 'stec'),
            "name"    => "load_jmobile_js",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Ajax Events', 'stec'),
            "name"    => "ajax_events",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Preprocess RRule', 'stec'),
            "name"    => "prerrule",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_other",
            "title"   => esc_html__('Keep data upon plugin uninstallation', 'stec'),
            "name"    => "keep_database",
            "type"    => "select",
            "value"   => '1',
            "default" => '1',
            "select"  => array(
                '0' => esc_html__('No', 'stec'),
                '1' => esc_html__('Yes', 'stec')
            ),
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send e-mail when event has been changed', 'stec'),
            "name"    => "send_event_changed_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send e-mail when event has been rejected', 'stec'),
            "name"    => "send_event_rejected_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send e-mail when event has been approved', 'stec'),
            "name"    => "send_event_approved_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send invitation emails', 'stec'),
            "name"    => "send_event_invitations_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Notify admin when new event has been submitted', 'stec'),
            "name"    => "send_event_submitted_admin_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Notify author their event has been submitted', 'stec'),
            "name"    => "send_event_submitted_owner_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Notify author when new attendee has been added via RSVP', 'stec'),
            "name"    => "send_event_author_new_attendee",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send reminds', 'stec'),
            "name"    => "send_event_remind_mail",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Send user GDPR consent request', 'stec'),
            "name"    => "send_gdpr_request_confirmation",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Notify user GDPR consent has been confirmed', 'stec'),
            "name"    => "send_mail_confirmed",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_notifications",
            "title"   => esc_html__('Notify user their RSVP has been accepted', 'stec'),
            "name"    => "send_event_rsvp_accepted",
            "type"    => "checkbox",
            "value"   => '1',
            "default" => '1',
            "req"     => false
        )
);

/*
 * 
 * Email templates 
 *
 */

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_changed_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('Event {{title}} has been changed', 'stec'),
            "default" => esc_html__('Event {{title}} has been changed', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_changed_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("The event {{title}} has been changed. \n\nTo review the changes visit {{permalink}}.", 'stec'),
            "default" => esc_html__("The event {{title}} has been changed. \n\nTo review the changes visit {{permalink}}.", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_rejected_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('Your event has been rejected', 'stec'),
            "default" => esc_html__('Your event has been rejected', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_rejected_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("Your event {{title}} was not approved by our reviewers!", 'stec'),
            "default" => esc_html__("Your event {{title}} was not approved by our reviewers!", 'stec'),
            "req"     => false
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_invitations_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('You are invited to {{title}}', 'stec'),
            "default" => esc_html__('You are invited to {{title}}', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_invitations_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("You are invited to {{title}} \n\nTo accept invitation go to {{accept_link}} \nTo decline invitation go to {{decline_link}}", 'stec'),
            "default" => esc_html__("You are invited to {{title}} \n\nTo accept invitation go to {{accept_link}} \nTo decline invitation go to {{decline_link}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_approved_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('Your event has been approved', 'stec'),
            "default" => esc_html__('Your event has been approved', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_approved_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("Congratulations! Your event has been approved! \n You can You can view your event at {{permalink}}", 'stec'),
            "default" => esc_html__("Congratulations! Your event has been approved! \n You can You can view your event at {{permalink}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_submitted_admin_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('A new event is awaiting your approval', 'stec'),
            "default" => esc_html__('A new event is awaiting your approval', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_submitted_admin_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("A new event has been submitted by {{author}}. \n\nTo review the event visit {{admin_permalink}}", 'stec'),
            "default" => esc_html__("A new event has been submitted by {{author}}. \n\nTo review the event visit {{admin_permalink}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_submitted_owner_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('Your event has been submitted', 'stec'),
            "default" => esc_html__('Your event has been submitted', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_submitted_owner_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__('Your event has been submitted and is awaiting review. You will be notified by email once your event is approved.', 'stec'),
            "default" => esc_html__('Your event has been submitted and is awaiting review. You will be notified by email once your event is approved.', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_remind_mail_subject",
            "type"    => "input",
            "value"   => esc_html__("You have requested remind for {{title}}", 'stec'),
            "default" => esc_html__("You have requested remind for {{title}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_remind_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__("You have requested remind for {{title}}.\n\n"
                    . "Event date: {{start_date}}.\n\n"
                    . "For more info visit {{permalink}}.", "stec"),
            "default" => esc_html__("You have requested remind for {{title}}.\n\n"
                    . "Event date: {{start_date}}.\n\n"
                    . "For more info visit {{permalink}}.", "stec"),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_gdpr_request_confirmation_subject",
            "type"    => "input",
            "value"   => esc_html__('Stachethemes Event Calendar wants you confirm your email', 'stec'),
            "default" => esc_html__('Stachethemes Event Calendar wants you confirm your email', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_gdpr_request_confirmation_content",
            "type"    => "textarea",
            "value"   => esc_html__("Stachethemes Event Calendar requests your consent to send you emails\n\n To accept follow the link below: \n {{gdpr_link}}", 'stec'),
            "default" => esc_html__("Stachethemes Event Calendar requests your consent to send you emails\n\n To accept follow the link below: \n {{gdpr_link}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_mail_confirmed_subject",
            "type"    => "input",
            "value"   => esc_html__('Your email has been confirmed', 'stec'),
            "default" => esc_html__('Your email has been confirmed', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_mail_confirmed_content",
            "type"    => "textarea",
            "value"   => esc_html__('Your email has been confirmed. You will now receive notifications and updates regarding your calendar events.', 'stec'),
            "default" => esc_html__('Your email has been confirmed. You will now receive notifications and updates regarding your calendar events.', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_rsvp_accepted_subject",
            "type"    => "input",
            "value"   => esc_html__('RSVP has been set', 'stec'),
            "default" => esc_html__('RSVP has been set', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_rsvp_accepted_content",
            "type"    => "textarea",
            "value"   => esc_html__("You have been added to the list with attendees for the event {{title}}\n\nTo review the event visit: {{permalink}}", 'stec'),
            "default" => esc_html__("You have been added to the list with attendees for the event {{title}}\n\nTo review the event visit: {{permalink}}", 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_cancelled_mail_subject",
            "type"    => "input",
            "value"   => esc_html__('The event {{title}} has been cancelled', 'stec'),
            "default" => esc_html__('The event {{title}} has been cancelled', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_cancelled_mail_content",
            "type"    => "textarea",
            "value"   => esc_html__('The event {{title}} has been cancelled', 'stec'),
            "default" => esc_html__('The event {{title}} has been cancelled', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Subject', 'stec'),
            "name"    => "send_event_author_new_attendee_subject",
            "type"    => "input",
            "value"   => esc_html__('{{attendee}} joined your event', 'stec'),
            "default" => esc_html__('{{attendee}} joined your event', 'stec'),
            "req"     => false
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__general_email_templates",
            "title"   => esc_html__('Body content', 'stec'),
            "name"    => "send_event_author_new_attendee_content",
            "type"    => "textarea",
            "value"   => esc_html__("{{attendee}} will be attending your event {{title}} on {{attend_date}}", 'stec'),
            "default" => esc_html__("{{attendee}} will be attending your event {{title}} on {{attend_date}}", 'stec'),
            "req"     => false
        )
);












/**
 *  Fonts and Colors TOP
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Button text color & text hover color', 'stec'),
            "desc"    => "",
            "name"    => "top_btn_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "css"     => array(
                'color || body .stec-top .stec-top-dropmenu-layouts > li i',
                'color || body .stec-top .stec-top-menu > li',
                'color || body .stec-top .stec-top-menu li[data-action="today"]:hover .stec-top-menu-count'
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "name"    => "top_btn_text_color_hover",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                'color || body .stec-top .stec-top-menu > li:hover i',
                'color || body .stec-top .stec-top-menu > li.active i',
                'color || body .stec-top .stec-top-menu > li:hover p',
                'color || body .stec-top .stec-top-menu > li.active p',
                'color || body .stec-top .stec-top-menu .stec-top-menu-count',
                'color || body .stec-top .stec-top-dropmenu-layouts > li:hover i'
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Button background color & background hover color', 'stec'),
            "desc"    => "",
            "name"    => "top_btn_bg",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                'background || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li',
                'background || body .stec-mobile .stec-top-dropmenu-layouts > li',
                'background || body .stec-top .stec-top-menu > li',
                'background || body .stec-top .stec-top-menu li[data-action="today"]:hover .stec-top-menu-count',
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => "",
            "desc"    => "",
            "name"    => "top_btn_bg_hover",
            "type"    => "color",
            "value"   => "#f15e6e",
            "default" => "#f15e6e",
            "css"     => array(
                'background || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover',
                'background || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover',
                'background || body .stec-top .stec-top-menu > li:hover',
                'background || body .stec-top .stec-top-menu > li.active',
                'background || body .stec-top .stec-top-menu .stec-top-menu-count',
                'background || body .stec-top .stec-top-dropmenu-layouts > li:hover',
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Dropdown menu text color & text hover color', 'stec'),
            "desc"    => "",
            "name"    => "top_dropdown_text_color",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                'color || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover > ul li p',
                'color || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover > ul li p',
                'color || body .stec-top .stec-top-menu-date-dropdown:hover .stec-top-menu-date-control-up i',
                'color || body .stec-top .stec-top-menu-date-dropdown:hover .stec-top-menu-date-control-down i',
                'color || body .stec-top .stec-top-menu-date-dropdown:hover li p',
                'color || body .stec-top .stec-top-menu-date .mobile-hover .stec-top-menu-date-control-up i',
                'color || body .stec-top .stec-top-menu-date .mobile-hover .stec-top-menu-date-control-down i',
                'color || body .stec-top .stec-top-menu-date .mobile-hover li p',
                'color || body .stec-top-menu-filter-title i, body .stec-top-menu-filter-title span',
                'color || body .stec-top-menu-filter-contents li i, body .stec-top-menu-filter-contents li span',
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => "",
            "desc"    => "",
            "name"    => "top_dropdown_text_color_hover",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                'color || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover > ul li:hover p',
                'color || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover > ul li:hover p',
                'color || body .stec-top .stec-top-menu-date-dropdown:hover .stec-top-menu-date-control-up:hover i',
                'color || body .stec-top .stec-top-menu-date-dropdown:hover .stec-top-menu-date-control-down:hover i',
                'color || body .stec-top .stec-top-menu-date ul li:hover p',
                'color || body .stec-top .stec-top-menu-search .stec-top-search-results li.active i',
                'color || body .stec-top .stec-top-menu-search .stec-top-search-results li:hover i',
                'color || body .stec-top .stec-top-menu-search .stec-top-search-results li.active p',
                'color || body .stec-top .stec-top-menu-search .stec-top-search-results li:hover p',
                'color || body .stec-top-menu-filter-title:hover > i, body .stec-top-menu-filter-title:hover span',
                'color || body .stec-top-menu-filter-contents li:hover i, body .stec-top-menu-filter-contents li:hover span',
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Dropdown menu background color & background hover color', 'stec'),
            "desc"    => "",
            "name"    => "top_dropdown_bg",
            "type"    => "color",
            "value"   => "#f15e6e",
            "default" => "#f15e6e",
            "css"     => array(
                'background || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover > ul li',
                'background || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover > ul li',
                'background || body .stec-top .stec-top-menu-date-control-up',
                'background || body .stec-top .stec-top-menu-date-control-down',
                'background || body .stec-top .stec-top-menu-date ul li',
                'background || body .stec-top .stec-top-menu-search .stec-top-search-dropdown',
                'border-color || body .stec-top .stec-top-menu-filter-dropdown',
                'background   || body .stec-top .stec-top-menu-filter-dropdown',
                'background   || body .stec-top .stec-top-menu-filter-by .stec-top-menu-filter-contents',
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => "",
            "desc"    => "",
            "name"    => "top_dropdown_bg_hover",
            "type"    => "color",
            "value"   => "#e04d5d",
            "default" => "#e04d5d",
            "css"     => array(
                'background || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover > ul li.active',
                'background || body .stec:not(.stec-mobile) .stec-top-dropmenu-layouts > li:hover > ul li:hover',
                'background || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover > ul li.active',
                'background || body .stec-mobile .stec-top-dropmenu-layouts > li.mobile-hover > ul li:hover',
                'background || body .stec-top .stec-top-menu-date-control-up:hover',
                'background || body .stec-top .stec-top-menu-date-control-down:hover',
                'background || body .stec-top .stec-top-menu-date ul li.active',
                'background || body .stec-top .stec-top-menu-date ul li:hover',
                'background || body .stec-top .stec-top-menu-search .stec-top-search-results li.active',
                'background || body .stec-top .stec-top-menu-search .stec-top-search-results li:hover',
                'border-color || body .stec-top .stec-top-menu-filter-by.active .stec-top-menu-filter-title',
                'background || body .stec-top .stec-top-menu-filter-by.active .stec-top-menu-filter-title',
                'background || body .stec-top .stec-top-menu-filter-contents li span',
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Search form background and text color', 'stec'),
            "desc"    => "",
            "name"    => "top_search_bg",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                'background || body .stec-top .stec-top-menu-search .stec-top-search-form'
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => "",
            "desc"    => "",
            "name"    => "top_search_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "css"     => array(
                'color || body .stec-top .stec-top-menu-search .stec-top-search-form input',
                'color || body .stec-top .stec-top-menu-search .stec-top-search-form a i'
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Top navigation Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "top",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                'font || body .stec-top-menu-date-small',
                'font || body .stec-top .stec-top-menu > li p',
                'font || body .stec-top .stec-top-dropmenu-layouts ul p',
                'font || body .stec-top .stec-top-menu-search .stec-top-search-form input',
                'font || body .stec-top .stec-top-menu-filter-dropdown span',
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_top",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "top_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 *  Fonts and Colors AGENDA
 */
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "title"   => esc_html__('Agenda month start cell background, month text color, year text color', 'stec'),
    "desc"    => "",
    "name"    => "layouts_agenda_monthwrap_bg",
    "type"    => "color",
    "value"   => "#e6e8ed",
    "default" => "#e6e8ed",
    "css"     => array(
        "background || body .stec-layout-agenda-monthstart"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_monthwrap_month_text_color",
    "type"    => "color",
    "value"   => "#0c0c0c",
    "default" => "#0c0c0c",
    "css"     => array(
        "color || body .stec-layout-agenda-monthstart-month"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_monthwrap_year_text_color",
    "type"    => "color",
    "value"   => "#999999",
    "default" => "#999999",
    "css"     => array(
        "color || body .stec-layout-agenda-monthstart-year"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "title"   => esc_html__('Agenda cell background, hover color and active color', 'stec'),
    "desc"    => "",
    "name"    => "layouts_agenda_bg",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "background || body .stec-layout-agenda-daycell"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_bg_hover",
    "type"    => "color",
    "value"   => "#f0f1f2",
    "default" => "#f0f1f2",
    "css"     => array(
        "background || body .stec-layout-agenda-daycell:hover"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_bg_active",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-layout-agenda-daycell.active"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "title"   => esc_html__('Agenda day label text color, date color, text active color, text today color', 'stec'),
    "desc"    => "",
    "name"    => "layouts_agenda_daylabel_text_color",
    "type"    => "color",
    "value"   => "#999999",
    "default" => "#999999",
    "css"     => array(
        "color || body .stec-layout-agenda-daycell-label"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_date_text_color",
    "type"    => "color",
    "value"   => "#0c0c0c",
    "default" => "#0c0c0c",
    "css"     => array(
        "color || body .stec-layout-agenda-daycell-num "
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_date_text_color_active",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-agenda-daycell.active .stec-layout-agenda-daycell-label",
        "color || body .stec-layout-agenda-daycell.active .stec-layout-agenda-daycell-num",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_date_text_color_today",
    "type"    => "color",
    "value"   => "#e25261",
    "default" => "#e25261",
    "css"     => array(
        "color || body .stec-layout-agenda-daycell.stec-layout-agenda-daycell-today .stec-layout-agenda-daycell-label",
        "color || body .stec-layout-agenda-daycell.stec-layout-agenda-daycell-today .stec-layout-agenda-daycell-num",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "title"   => esc_html__('Agenda list date title color', 'stec'),
    "desc"    => "",
    "name"    => "layouts_agenda_list_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-agenda-events-all-datetext"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "title"   => esc_html__('"Look for more" button background color, text color, hover background color, text hover color', 'stec'),
    "desc"    => "",
    "name"    => "layouts_agenda_list_btn_bg",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-layout-agenda-events-all-load-more"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_list_btn_text_color",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-agenda-events-all-load-more p"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_list_btn_bg_hover",
    "type"    => "color",
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-layout-agenda-events-all-load-more:hover"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_agenda",
    "name"    => "layouts_agenda_list_btn_text_color_hover",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-agenda-events-all-load-more:hover p"
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('"Look for more" button Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_list_btn",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-events-all-load-more"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Agenda month start cell "Year" Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_monthwrap_year",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "12px"
            ),
            "default" => array(
                "Arial",
                "400",
                "12px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-monthstart-year"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Agenda month start cell "Month" Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_monthwrap_month",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "18px"
            ),
            "default" => array(
                "Arial",
                "400",
                "18px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-monthstart-month"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Daylabel Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_daylabel",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-daycell-label"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Date Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_date",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "30px"
            ),
            "default" => array(
                "Arial",
                "400",
                "30px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-daycell-num"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Agenda list date title Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_agenda_list",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "700",
                "14px"
            ),
            "default" => array(
                "Arial",
                "700",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-agenda-events-all-datetext"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_agenda",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "agenda_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 *  Fonts and Colors MONTH AND WEEK
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Day labels background, text color, today text color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_daylabel_bg",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "background || body .stec-layout-month-daylabel td",
                "background || body .stec-layout-week-daylabel td",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_daylabel_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "css"     => array(
                "color || body .stec-layout-month-daylabel p",
                "color || body .stec-layout-week-daylabel p",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_daylabel_text_today_color",
            "type"    => "color",
            "value"   => "#f6bf64",
            "default" => "#f6bf64",
            "css"     => array(
                "color || body .stec-layout-month-daylabel .stec-layout-month-daylabel-today p",
                "color || body .stec-layout-week-daylabel .stec-layout-week-daylabel-today p"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Grid cells background color, hover color and active color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_bg",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "background || body .stec-layout-month-daycell .stec-layout-month-daycell-wrap",
                "background || body .stec-layout-week-daycell .stec-layout-week-daycell-wrap",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_bg_hover",
            "type"    => "color",
            "value"   => "#f0f1f2",
            "default" => "#f0f1f2",
            "css"     => array(
                "background || body .stec-layout-month-daycell:hover .stec-layout-month-daycell-wrap",
                "background || body .stec-layout-week-daycell:hover .stec-layout-week-daycell-wrap",
                "background || body .stec-layout-week-daycell.stec-layout-week-daycell-inactive:hover .stec-layout-week-daycell-wrap",
                "background || body .stec-layout-month-daycell.stec-layout-month-daycell-inactive:hover .stec-layout-month-daycell-wrap"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_bg_active",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "background || body .stec-layout-month-daycell.active .stec-layout-month-daycell-wrap",
                "background || body .stec-layout-week-daycell.active .stec-layout-week-daycell-wrap"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Grid date text color and active color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_text_color",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "color || body .stec-layout-month-daycell:not(.stec-layout-month-daycell-today) .stec-layout-month-daycell-wrap .stec-layout-month-daycell-num",
                "color || body .stec-layout-week-daycell:not(.stec-layout-week-daycell-today) .stec-layout-week-daycell-wrap .stec-layout-week-daycell-num",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_text_color_active",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "background || body .stec-layout-week-daycell.active .stec-layout-week-daycell-eventmore-count-dot",
                "background || body .stec-layout-month-daycell.active .stec-layout-month-daycell-eventmore-count-dot",
                "color || body .stec-layout-month-daycell.active:not(.stec-layout-month-daycell-today) .stec-layout-month-daycell-wrap .stec-layout-month-daycell-num",
                "color || body .stec-layout-week-daycell.active:not(.stec-layout-week-daycell-today) .stec-layout-week-daycell-wrap .stec-layout-week-daycell-num",
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Today date background and text color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_today_bg",
            "type"    => "color",
            "value"   => "#f15e6e",
            "default" => "#f15e6e",
            "css"     => array(
                "background || body .stec-layout-month-daycell.stec-layout-month-daycell-today .stec-layout-month-daycell-num::before",
                "background || body .stec-layout-week-daycell.stec-layout-week-daycell-today .stec-layout-week-daycell-num::before"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_today_text_color",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "color || body .stec-layout-month-daycell-today .stec-layout-month-daycell-wrap .stec-layout-month-daycell-num",
                "color || body .stec-layout-week-daycell-today .stec-layout-week-daycell-wrap .stec-layout-week-daycell-num"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Inactive cell background and date text color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_inactive_bg",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "background || body .stec-layout-month-daycell.stec-layout-month-daycell-inactive .stec-layout-month-daycell-wrap",
                "background || body .stec-layout-week-daycell.stec-layout-week-daycell-inactive .stec-layout-week-daycell-wrap"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_inactive_text_color",
            "type"    => "color",
            "value"   => "#a2a8b3",
            "default" => "#a2a8b3",
            "css"     => array(
                "color || body .stec-layout-month-daycell:not(.stec-layout-month-daycell-today).stec-layout-month-daycell-inactive .stec-layout-month-daycell-wrap .stec-layout-month-daycell-num",
                "color || body .stec-layout-week-daycell:not(.stec-layout-week-daycell-today).stec-layout-week-daycell-inactive .stec-layout-week-daycell-wrap .stec-layout-week-daycell-num",
            )
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Event name text color dark, text color bright', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_event_text_color_dark",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "background || body .stec-layout-month-daycell-eventmore-count-dot",
                "background || body .stec-layout-week-daycell-eventmore-count-dot",
                "color || body .stec-layout-month-daycell-eventmore-count",
                "color || body .stec-layout-week-daycell-eventmore-count",
                "color || body .stec-layout-month-daycell-events .stec-layout-month-daycell-event.stec-layout-month-daycell-event-bright .stec-layout-month-daycell-event-name",
                "color || body .stec-layout-week-daycell-events .stec-layout-week-daycell-event.stec-layout-week-daycell-event-bright .stec-layout-week-daycell-event-name"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "name"    => "layouts_grid_cell_event_text_color_bright",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "color || body .stec-layout-month-daycell-events .stec-layout-month-daycell-event .stec-layout-month-daycell-event-name",
                "color || body .stec-layout-week-daycell-events .stec-layout-week-daycell-event .stec-layout-week-daycell-event-name"
            )
        )
);


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Top day labels border color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_monthweek_daylabel_border_color",
            "type"    => "color",
            "value"   => "#454e61",
            "default" => "#454e61",
            "css"     => array(
                "border-color || body tr.stec-layout-month-daylabel td",
                "border-color || body tr.stec-layout-week-daylabel td",
            )
        )
);

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_monthweek",
    "title"   => esc_html__('Border color', 'stec'),
    "desc"    => "",
    "name"    => "border_color",
    "type"    => "color",
    "value"   => '#e5e5e5',
    "default" => '#e5e5e5',
    "req"     => true,
    "css"     => array(
        "border-color || body .stec-layout-month td",
        "border-color || body .stec-layout-week td",
        "border-color || body .stec-layout-event-inner-intro-share-and-export",
        "border-color || body .stec-layout-grid .stec-layout-grid-event",
        "border-color || body .stec-layout-grid .stec-layout-grid-event-ul > span",
        "border-color || body .stec-layout-event-inner-intro .stec-layout-event-inner-intro-attachments",
        "border-color || body .stec-layout-event-inner-intro .stec-layout-event-inner-intro-share-and-export",
        "border-color || body .stec-layout-event-inner-schedule .stec-layout-event-inner-schedule-tab",
        "border-color || body .stec-layout-event-inner-guests .stec-layout-event-inner-guests-guest",
        "border-color || body .stec-layout-event-inner-intro .stec-layout-event-inner-intro-organizers .stec-layout-event-inner-intro-organizers-organizer",
        "border-color || body .stec-layout-event-inner-attendance .stec-layout-event-inner-attendance-invited",
        "border-color || body .stec-tooltip",
        "border-color || body .stec-tooltip .stec-tooltip-timespan, body .stec-tooltip .stec-tooltip-location",
        "border-color || body .stec-layout-event-inner-top-tabs",
        "border-bottom-color || body .stec-layout-event-inner-top-tabs li",
        "border-left-color || body .stec-layout-event-inner-top-tabs li.active",
        "border-right-color || body .stec-layout-event-inner-top-tabs li.active",
        "border-color || body .stec-layout-event-inner-intro .stec-layout-event-inner-intro-counter li:not(:first-child)",
        "border-color || body .stec-layout-single .stec-layout-single-counter li:not(:first-child)",
        "border-color || body .stec-layout-single-organizers .stec-layout-single-organizers-organizer",
        "border-color || body .stec-layout-single-share-and-export",
        "border-color || body .stec-layout-single-location",
        "border-color || body .stec-layout-single-tabs-list",
        "border-color || body .stec-layout-single-schedule-tab",
        "border-color || body .stec-layout-single-attendance-invited",
        "border-color || body .stec-layout-event-inner-shop .stec-layout-event-inner-shop-top",
        "border-color || body .stec-layout-event-inner-shop .stec-layout-event-inner-shop-product",
        "border-color || body .stec-builder-form .stec-builder-add-media-photo",
        "border-color || body .stec-booking-section",
        "border-color || body .stec-booking-popup-wrapper .stec-booking-item",
        "border-color || body .stec-booking-popup-wrapper .stec-booking-popup-summary",
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Day label Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_daylabel",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-month-daylabel p",
                "font || body .stec-layout-week-daylabel p",
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Grid cell date Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "700",
                "16px"
            ),
            "default" => array(
                "Arial",
                "700",
                "16px"
            ),
            "css"     => array(
                "font || body .stec-layout-month-daycell .stec-layout-month-daycell-wrap .stec-layout-month-daycell-num",
                "font || body .stec-layout-week-daycell .stec-layout-week-daycell-wrap .stec-layout-week-daycell-num"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Event name text Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_cell_event",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "10px"
            ),
            "default" => array(
                "Arial",
                "400",
                "10px"
            ),
            "css"     => array(
                "font || body .stec-layout-week-daycell-eventmore-count",
                "font || body .stec-layout-month-daycell-eventmore-count",
                "font || body .stec-layout-month-daycell-events .stec-layout-month-daycell-event .stec-layout-month-daycell-event-name",
                "font || body .stec-layout-week-daycell-events .stec-layout-week-daycell-event .stec-layout-week-daycell-event-name",
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_monthweek",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "monthweek_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);

/**
 *  Fonts and Colors BOXGRID
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Title Color, Icon & Date color, Text Color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_boxgrid_title_color",
            "type"    => "color",
            "value"   => "#fff",
            "default" => "#fff",
            "css"     => array(
                "background || body .stec-layout-boxgrid .stec-layout-boxgrid-event",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "name"    => "layouts_boxgrid_date_color",
            "type"    => "color",
            "value"   => "#fff",
            "default" => "#fff",
            "desc"    => esc_html__('Text color', 'stec'),
            "css"     => array(
                "color || body .stec-layout-boxgrid .stec-layout-boxgrid-event-timespan-big",
                "color || body .stec-layout-boxgrid .stec-layout-boxgrid-event-timespan",
                "color || body .stec-layout-boxgrid .stec-layout-boxgrid-event-icon"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "name"    => "layouts_boxgrid_text_color",
            "type"    => "color",
            "value"   => "#fff",
            "default" => "#fff",
            "desc"    => esc_html__('Text color', 'stec'),
            "css"     => array(
                "color || body .stec-layout-boxgrid .stec-layout-boxgrid-event-short-desc",
            )
        )
);

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_boxgrid",
    "title"   => esc_html__('"Look for more" button background color, text color, hover background color, text hover color', 'stec'),
    "desc"    => "",
    "name"    => "layout_boxgrid_lfm_btn_bg",
    "desc"    => esc_html__('Button background color', 'stec'),
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-layout-boxgrid-events-all-load-more",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_boxgrid",
    "name"    => "layout_boxgrid_lfm_btn_text_color",
    "type"    => "color",
    "desc"    => esc_html__('Button text color', 'stec'),
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-boxgrid-events-all-load-more p",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_boxgrid",
    "name"    => "layout_boxgrid_lfm_btn_bg_hover",
    "type"    => "color",
    "desc"    => esc_html__('Button background hover color', 'stec'),
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-layout-boxgrid-events-all-load-more:hover"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_boxgrid",
    "name"    => "layout_boxgrid_lfm_btn_text_color_hover",
    "type"    => "color",
    "desc"    => esc_html__('Button text hover color', 'stec'),
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-boxgrid-events-all-load-more:hover p"
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Title Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_boxgrid_event_title",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "24px",
                "1.2",
            ),
            "default" => array(
                "Arial",
                "400",
                "24px",
                "1.2"
            ),
            "css"     => array(
                "font || body .stec-layout-boxgrid .stec-layout-boxgrid-event-title"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Date Font-Family', 'stec'),
            "desc"    => "",
            "name"    => "layouts_boxgrid_event_shortdesc",
            "type"    => "fontfamily",
            "value"   => "Arial",
            "default" => "Arial",
            "css"     => array(
                "font-family || body .stec-layout-boxgrid .stec-layout-boxgrid-event-timespan-big",
                "font-family || body .stec-layout-boxgrid .stec-layout-boxgrid-event-timespan"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Short Description Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_boxgrid_event_shortdesc",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px",
                "1.6",
            ),
            "default" => array(
                "Arial",
                "400",
                "14px",
                "1.6",
            ),
            "css"     => array(
                "font || body .stec-layout-boxgrid .stec-layout-boxgrid-event-short-desc"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('"Look for more" button Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layout_grid_lfm_btn",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-boxgrid-events-all-load-more"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Grid columns', 'stec'),
            "desc"    => "",
            "name"    => "boxgrid_columns",
            "type"    => "input",
            "value"   => "4",
            "default" => "4",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Events per click', 'stec'),
            "desc"    => "",
            "name"    => "boxgrid_per_click",
            "type"    => "input",
            "value"   => "4",
            "default" => "4",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_boxgrid",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "boxgrid_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 *  Fonts and Colors GRID
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Grid background color, Title Color, Text Color', 'stec'),
            "desc"    => esc_html__('Grid background color', 'stec'),
            "name"    => "layouts_grid_bg",
            "type"    => "color",
            "value"   => "#fff",
            "default" => "#fff",
            "css"     => array(
                "background || body .stec-layout-grid .stec-layout-grid-event",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "name"    => "layouts_grid_title_color",
            "type"    => "color",
            "desc"    => esc_html__('Title color', 'stec'),
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "color || body .stec-layout-grid .stec-layout-grid-event-title a"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "name"    => "layouts_grid_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "desc"    => esc_html__('Text color', 'stec'),
            "css"     => array(
                "color || body .stec-layout-grid .stec-layout-grid-event span",
                "color || body .stec-layout-grid .stec-layout-grid-event span i",
            )
        )
);



Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_grid",
    "title"   => esc_html__('"Look for more" button background color, text color, hover background color, text hover color', 'stec'),
    "desc"    => "",
    "name"    => "layout_grid_lfm_btn_bg",
    "desc"    => esc_html__('Button background color', 'stec'),
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-layout-grid-events-all-load-more",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_grid",
    "name"    => "layout_grid_lfm_btn_text_color",
    "type"    => "color",
    "desc"    => esc_html__('Button text color', 'stec'),
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-grid-events-all-load-more p",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_grid",
    "name"    => "layout_grid_lfm_btn_bg_hover",
    "type"    => "color",
    "desc"    => esc_html__('Button background hover color', 'stec'),
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-layout-grid-events-all-load-more:hover",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_grid",
    "name"    => "layout_grid_lfm_btn_text_color_hover",
    "type"    => "color",
    "desc"    => esc_html__('Button text hover color', 'stec'),
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-grid-events-all-load-more:hover p",
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Title Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_event_title",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "600",
                "18px"
            ),
            "default" => array(
                "Arial",
                "400",
                "18px"
            ),
            "css"     => array(
                "font || body .stec-layout-grid .stec-layout-grid-event-title a"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Short Description Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_event_shortdesc",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px",
                "1.3"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px",
                "1.3"
            ),
            "css"     => array(
                "font || body .stec-layout-grid .stec-layout-grid-event-short-desc"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Text Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_grid_event_text",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-grid .stec-layout-grid-event span:not(.stec-layout-grid-event-short-desc)",
                "font || body .stec-layout-grid .stec-layout-grid-event .stec-layout-grid-invited",
                "font || body .stec-layout-grid-event-status-expired",
                "font || body .stec-layout-grid-event-status-progress"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('"Look for more" button Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layout_grid_lfm_btn",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-grid-events-all-load-more"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Grid columns', 'stec'),
            "desc"    => "",
            "name"    => "grid_columns",
            "type"    => "input",
            "value"   => "4",
            "default" => "4",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Grid gutter (px)', 'stec'),
            "desc"    => "",
            "name"    => "grid_gutter",
            "type"    => "input",
            "value"   => "10",
            "default" => "10",
            "req"     => true
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Events per click', 'stec'),
            "desc"    => "",
            "name"    => "grid_per_click",
            "type"    => "input",
            "value"   => "4",
            "default" => "4",
            "req"     => true
        )
);



Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Grid border', 'stec'),
            "desc"    => "",
            "name"    => "grid_border",
            "type"    => "checkbox",
            "value"   => 1,
            "default" => 1
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_grid",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "grid_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 *  Fonts and Colors DAY
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_day",
            "title"   => esc_html__('Misc text color', 'stec'),
            "desc"    => "",
            "name"    => "layouts_day_misc_text_color",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "color || body .stec-layout-day-noevents"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_day",
            "title"   => esc_html__('Misc text Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "layouts_day_misc",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "700",
                "14px"
            ),
            "default" => array(
                "Arial",
                "700",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-day-noevents"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_day",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "day_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);

/**
 *  Fonts and Colors EVENT PREVIEW
 */
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Background color, Background hover color', 'stec'),
            "desc"    => "",
            "name"    => "preview_bg",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "background || body .stec-layout-agenda-eventholder-form .stec-layout-event-preview.stec-layout-event-preview-animate-complete",
                "background || body .stec-event-holder .stec-layout-event-preview.stec-layout-event-preview-animate-complete",
                "background || body .stec-layout-agenda-eventholder-form .stec-layout-event-preview.stec-layout-event-preview-animate",
                "background || body .stec-event-holder .stec-layout-event-preview.stec-layout-event-preview-animate",
                "background || body .stec-layout-agenda-events-all-list .stec-layout-event-preview.stec-layout-event-preview-animate",
                "background || body .stec-layout-agenda-events-all-list .stec-layout-event-preview.stec-layout-event-preview-animate-complete"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "name"    => "preview_bg_hover",
            "type"    => "color",
            "value"   => "#f0f1f2",
            "default" => "#f0f1f2",
            "css"     => array(
                "background || body .stec-layout-event-preview:hover",
                "background || body .stec-event-holder .stec-layout-event-preview.stec-layout-event-preview-animate-complete:hover",
                "background || body .stec-layout-agenda-eventholder-form .stec-layout-event-preview.stec-layout-event-preview-animate-complete:hover",
                "background || body .stec-layout-agenda-events-all-list .stec-layout-event-preview.stec-layout-event-preview-animate-complete:hover",
                "background || body .stec-layout-agenda-events-all-list .stec-layout-event-preview.stec-layout-event-preview-animate-complete:hover",
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Title color, Date color', 'stec'),
            "desc"    => "",
            "name"    => "preview_title_text_color",
            "type"    => "color",
            "value"   => "#4d576c",
            "default" => "#4d576c",
            "css"     => array(
                "color || body .stec-layout-event-preview-left-text-title",
                "color || body .stec-layout-single-preview-left-text-title"
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "name"    => "preview_date_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "css"     => array(
                "color || body .stec-layout-single-organizers-organizer-sub-title",
                "color || body .stec-layout-event-inner-intro-organizers-organizer-sub-title",
                "color || body .stec-layout-event-preview-left-text-secondary",
                "color || body .stec-layout-event-preview-left-text-sub",
                "color || body .stec-layout-single-preview-left-text-date"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Reminder button icon/text color and icon/text hover color', 'stec'),
            "desc"    => "",
            "name"    => "preview_reminder_btn_text_color",
            "type"    => "color",
            "value"   => "#bdc1c8",
            "default" => "#bdc1c8",
            "css"     => array(
                "color || body .stec-layout-event-preview-right-menu",
                "color || body .stec-layout-event-preview-left-awaiting-approval-cancel",
                "color || body .stec-layout-event-preview-left-event-edit",
                "color || body .stec-layout-event-preview-left-reminder-toggle:not(.stec-layout-event-preview-left-reminder-success)",
                "color || body .stec-layout-single-preview-right-reminder",
                "color || body .stec-layout-single-preview-right-edit",
                "color || body .stec-layout-single-preview-left-edit",
                "color || body .stec-layout-single-preview-left-reminder-toggle",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "name"    => "preview_reminder_btn_text_color_hover",
            "type"    => "color",
            "value"   => "#343d46",
            "default" => "#343d46",
            "css"     => array(
                "color || body .stec-layout-event-preview-right-menu:hover",
                "color || body .stec-layout-event-preview-right-menu.active",
                "color || body .stec-layout-event-preview-left-awaiting-approval-cancel:hover",
                "color || body .stec-layout-event-preview-left-event-edit:hover",
                "color || body .stec-layout-single-preview-left-edit:hover",
                "color || body .stec-layout-single-preview-left-reminder-toggle:hover",
            )
        )
);

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_preview",
    "title"   => esc_html__('Expand button icon color and icon hover color', 'stec'),
    "desc"    => "",
    "name"    => "preview_expand_btn_text_color",
    "type"    => "color",
    "value"   => "#bdc1c8",
    "default" => "#bdc1c8",
    "css"     => array(
        "color || body .stec-layout-event-awaiting-approval-cancel",
        "color || body .stec-layout-event-preview-right-event-edit",
        "color || body .stec-layout-event-preview-right-event-toggle",
        "color || body .stec-layout-event-inner-intro-exports-toggle",
        "color || body .stec-layout-event-inner-intro-attachments-toggle",
        "color || body .stec-layout-single-attachments-toggle",
        "color || body .stec-layout-event-inner-schedule-tab-toggle",
        "color || body .stec-layout-single-schedule-tab-toggle",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_preview",
    "name"    => "preview_expand_btn_text_color_hover",
    "type"    => "color",
    "value"   => "#343d46",
    "default" => "#343d46",
    "css"     => array(
        "color || body .stec-layout-event-inner-intro-exports-toggle:hover",
        "color || body .stec-layout-event-inner-intro-exports-toggle.active",
        "color || body .stec-layout-event-inner-intro-attachments-toggle:hover",
        "color || body .stec-layout-event-inner-intro-attachments-toggle.active",
        "color || body .stec-layout-single-attachments-toggle:hover",
        "color || body .stec-layout-single-attachments-toggle.active",
        "color || body .stec-layout-event-preview-right-event-toggle.active",
        "color || body .stec-layout-event-preview-right-event-toggle:hover",
        "color || body .stec-layout-single-preview-right-edit:hover",
        "color || body .stec-layout-single-preview-right-reminder:hover",
        "color || body .stec-layout-event-preview-right-event-edit:hover",
        "color || body .stec-layout-event-awaiting-approval-cancel:hover",
        "color || body .stec-layout-event-inner-schedule-tab-toggle:hover",
        "color || body .stec-layout-event-inner-schedule-tab.open .stec-layout-event-inner-schedule-tab-toggle",
        "color || body .stec-layout-single-schedule-tab-toggle:hover",
        "color || body .stec-layout-single-schedule-tab.open .stec-layout-single-schedule-tab-toggle"
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Featured tag background color, text color', 'stec'),
            "desc"    => "",
            "name"    => "featured_bg",
            "type"    => "color",
            "value"   => "#f15e6e",
            "default" => "#f15e6e",
            "css"     => array(
                "background || body .stec-layout-event-preview-left-text-featured span",
                "color || body .stec-layout-event-preview-left-text-featured i",
                "background || body .stec-layout-single-preview-left-text-featured span",
                "color || body .stec-layout-single-preview-left-text-featured i",
                "background || body .stec-featured-tag",
            )
        )
);
Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "name"    => "featured_text_color",
            "type"    => "color",
            "value"   => "#ffffff",
            "default" => "#ffffff",
            "css"     => array(
                "color || body .stec-layout-event-preview-left-text-featured span",
                "color || body .stec-layout-single-preview-left-text-featured span"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Title Font, Weight, Size and Line-Height', 'stec'),
            "desc"    => "",
            "name"    => "preview_title",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "18px",
                "1.2"
            ),
            "default" => array(
                "Arial",
                "400",
                "18px",
                "1.2"
            ),
            "css"     => array(
                "font || body .stec-layout-event-preview-left-text-title",
                "font || body .stec-layout-single-preview-left-text-title"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Date Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "preview_date",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "14px"
            ),
            "default" => array(
                "Arial",
                "400",
                "14px"
            ),
            "css"     => array(
                "font || body .stec-layout-single-organizers-organizer-sub-title",
                "font || body .stec-layout-event-inner-intro-organizers-organizer-sub-title",
                "font || body .stec-layout-event-preview-left-text-secondary",
                "font || body .stec-layout-single-preview-left-text-date",
                "font || body .stec-layout-event-preview-left-text-sub"
            )
        )
);

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Featured tag Font, Weight and Size', 'stec'),
            "desc"    => "",
            "name"    => "featured_font",
            "type"    => "font",
            "value"   => array(
                "Arial",
                "400",
                "10px"
            ),
            "default" => array(
                "Arial",
                "400",
                "10px"
            ),
            "css"     => array(
                "font || body .stec-layout-event-preview-left-text-featured span",
                "font || body .stec-layout-single-preview-left-text-featured span"
            )
        )
);


Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_preview",
    "title"   => esc_html__('Display location', 'stec'),
    "desc"    => "",
    "name"    => "preview_location",
    "type"    => "select",
    "value"   => '1',
    "default" => '1',
    "select"  => array(
        '0'   => esc_html__('Hide', 'stec'),
        '1' => esc_html__('Show', 'stec'),
    ),
    "req"     => true
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_preview",
    "title"   => esc_html__('Display short description', 'stec'),
    "desc"    => "",
    "name"    => "preview_desc",
    "type"    => "select",
    "value"   => '1',
    "default" => '1',
    "select"  => array(
        '0'   => esc_html__('Hide', 'stec'),
        '1' => esc_html__('Show', 'stec'),
    ),
    "req"     => true
));


Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_preview",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "preview_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);

/**
 *  Fonts and Colors EVENT INNER
 */
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Tab background color and text color, background active color, text active color', 'stec'),
    "desc"    => "",
    "name"    => "event_tab_bg",
    "type"    => "color",
    "value"   => "#f8f9fa",
    "default" => "#f8f9fa",
    "css"     => array(
        "background || body .stec-layout-event-inner-top-tabs"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_tab_text_color",
    "type"    => "color",
    "value"   => "#bdc1c8",
    "default" => "#bdc1c8",
    "css"     => array(
        "color || body .stec-layout-event-inner-top-tabs p",
        "color || body .stec-layout-event-inner-top-tabs i"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_tab_bg_active",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "background || body .stec-layout-event-inner-top-tabs li.active"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_tab_text_color_active",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-inner-top-tabs li.active p",
        "color || body .stec-layout-event-inner-top-tabs li.active i"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Wrapper Background Color', 'stec'),
    "desc"    => "",
    "name"    => "event_bg",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "background || body .stec-layout-event-inner",
        "background || body .stec-layout-single",
        "background || body .stec-layout-single-preview",
        "background || body .stec-builder-form",
        "background || body .stec-page-organizer-person",
        "background || body .stec-page-organizer-organizers-organizer",
        "background || body .stec-booking-popup",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Buttons background color, buttons text color, background hover color, text hover color', 'stec'),
    "desc"    => "",
    "name"    => "event_btn_bg",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-style-button",
        "background || body .stec-layout-event-btn-fontandcolor",
        "background || body .stec-layout-single-btn-fontandcolor",
        "background || body .stec-builder-element-content-submit-style input",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_text_color",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-style-button",
        "color || body .stec-layout-event-btn-fontandcolor",
        "color || body .stec-layout-single-btn-fontandcolor",
        "color || body .stec-builder-element-content-submit-style input",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_bg_hover",
    "type"    => "color",
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-style-button:hover",
        "background || body .stec-style-button.active",
        "background || body .stec-layout-event-btn-fontandcolor.active",
        "background || body .stec-layout-event-btn-fontandcolor:hover",
        "background || body .stec-layout-single-btn-fontandcolor.active",
        "background || body .stec-layout-single-btn-fontandcolor:hover",
        "background || body .stec-builder-element-content-submit-style input.active",
        "background || body .stec-builder-element-content-submit-style input:hover",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_text_color_hover",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-style-button.active",
        "color || body .stec-style-button:hover",
        "color || body .stec-layout-event-btn-fontandcolor.active",
        "color || body .stec-layout-event-btn-fontandcolor:hover",
        "color || body .stec-layout-single-btn-fontandcolor.active",
        "color || body .stec-layout-single-btn-fontandcolor:hover",
        "color || body .stec-builder-element-content-submit-style input.active",
        "color || body .stec-builder-element-content-submit-style input:hover"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Secondary buttons background color, border color, text color, background hover color, border hover color, text hover color', 'stec'),
    "desc"    => "",
    "name"    => "event_btn_sec_bg",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "background || body .stec-layout-event-btn-sec-fontandcolor",
        "background || body .stec-layout-single-btn-sec-fontandcolor"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_sec_border_color",
    "type"    => "color",
    "value"   => "#e5e5e5",
    "default" => "#e5e5e5",
    "css"     => array(
        "border-color || body .stec-layout-event-btn-sec-fontandcolor",
        "border-color || body .stec-layout-single-btn-sec-fontandcolor"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_sec_text_color",
    "type"    => "color",
    "value"   => "#999da2",
    "default" => "#999da2",
    "css"     => array(
        "color || body .stec-layout-event-btn-sec-fontandcolor",
        "color || body .stec-layout-single-btn-sec-fontandcolor"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_sec_bg_hover",
    "type"    => "color",
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-layout-event-btn-sec-fontandcolor.active",
        "background || body .stec-layout-event-btn-sec-fontandcolor:hover",
        "background || body .stec-layout-single-btn-sec-fontandcolor.active",
        "background || body .stec-layout-single-btn-sec-fontandcolor:hover"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_sec_border_color_hover",
    "type"    => "color",
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "border-color || body .stec-layout-event-btn-sec-fontandcolor.active",
        "border-color || body .stec-layout-event-btn-sec-fontandcolor:hover",
        "border-color || body .stec-layout-single-btn-sec-fontandcolor.active",
        "border-color || body .stec-layout-single-btn-sec-fontandcolor:hover"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_btn_sec_text_color_hover",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-layout-event-btn-sec-fontandcolor.active",
        "color || body .stec-layout-event-btn-sec-fontandcolor:hover",
        "color || body .stec-layout-single-btn-sec-fontandcolor.active",
        "color || body .stec-layout-single-btn-sec-fontandcolor:hover"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Titles text color, secondary titles text color, normal text color, links text color, links text hover color', 'stec'),
    "desc"    => "",
    "name"    => "event_title_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-title-fontandcolor",
        "color || body .stec-style-title",
        "color || body .stec-builder-element-content-header-style",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_title2_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-title2-fontandcolor",
        "color || body .stec-layout-event-title2-fontandcolor a",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_text_color",
    "type"    => "color",
    "value"   => "#999da2",
    "default" => "#999da2",
    "css"     => array(
        "color || body .stec-repeater-content",
        "color || body .stec-builder-element-content-p-style",
        "color || body .stec-layout-event-text-fontandcolor",
        "color || body .stec-style-text",
        "color || body .stec-builder-element-content-privacy-style",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_link_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-inner-intro-exports form button",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_link_text_color_hover",
    "type"    => "color",
    "value"   => "#f15e6f",
    "default" => "#f15e6f",
    "css"     => array(
        "color || body .stec-layout-event-inner-intro-attachment a:hover",
        "color || body .stec-layout-single-attachment a:hover",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Input background color, text color', 'stec'),
    "desc"    => "",
    "name"    => "event_input_bg",
    "type"    => "color",
    "value"   => "#f1f1f1",
    "default" => "#f1f1f1",
    "css"     => array(
        "background || body .stec-style-input",
        "background || body .stec-layout-event-input-fontandcolor",
        "background || body .stec-builder-element-content-input-style",
        "background || body .stec-builder-element-content-select-style",
        "background || body .stec-builder-element-content-textarea-style",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_input_text_color",
    "type"    => "color",
    "value"   => "#999da2",
    "default" => "#999da2",
    "css"     => array(
        "color || body .stec-layout-event-input-fontandcolor",
        "color || body .stec-layout-event-input-fontandcolor::placeholder",
        "color || body .stec-style-input",
        "color || body .stec-builder-element-content-input-style",
        "color || body .stec-builder-element-content-input-style::placeholder",
        "color || body .stec-builder-element-content-select-style",
        "color || body .stec-builder-element-content-select-style::placeholder",
        "color || body .stec-builder-element-content-textarea-style",
        "color || body .stec-builder-element-content-textarea-style::placeholder",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Counter numbers color, text color', 'stec'),
    "desc"    => "",
    "name"    => "event_counter_num_text_color",
    "type"    => "color",
    "value"   => "#202020",
    "default" => "#202020",
    "css"     => array(
        "color || body .stec-layout-event-inner-intro-counter-num",
        "color || body .stec-layout-single-counter-num",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_counter_text_color",
    "type"    => "color",
    "value"   => "#999da2",
    "default" => "#999da2",
    "css"     => array(
        "color || body .stec-layout-event-inner-intro-counter-label",
        "color || body .stec-layout-single-counter-label",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Schedule Title text color, Date text color', 'stec'),
    "desc"    => esc_html__('Schedule title text color', 'stec'),
    "name"    => "event_schedule_title_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-inner-schedule-tab-right-title span",
        "color || body .stec-layout-single-schedule-tab-right-title span",
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "desc"    => esc_html__('Schedule date text color', 'stec'),
    "name"    => "event_schedule_date_text_color",
    "type"    => "color",
    "value"   => "#bdc1c8",
    "default" => "#bdc1c8",
    "css"     => array(
        "color || body .stec-layout-event-inner-schedule-tab-left span",
        "color || body .stec-layout-single-schedule-tab-left span",
    )
));


Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast section titles color, Summary text color, Today temperature text color, Table header background, General text color', 'stec'),
    "desc"    => esc_html__('Forecast section titles color', 'stec'),
    "name"    => "event_forecast_section_title_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-inner-forecast-top-title",
        "color || body .stec-layout-event-inner-forecast-details > div > p",
        "color || body .stec-layout-single-forecast-top-title",
        "color || body .stec-layout-single-forecast-details > div > p"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "desc"    => esc_html__('Summary text color', 'stec'),
    "name"    => "event_forecast_summary_text_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-layout-event-inner-forecast-today-left-current-text",
        "color || body .stec-layout-single-forecast-today-left-current-text",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "desc"    => esc_html__('Today temperature text color', 'stec'),
    "name"    => "event_forecast_current_temp_text_color",
    "type"    => "color",
    "value"   => "#999da2",
    "default" => "#999da2",
    "css"     => array(
        "color || body .stec-layout-event-inner-forecast-today-left-current-temp",
        "color || body .stec-layout-single-forecast-today-left-current-temp",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "desc"    => esc_html__('Table header background', 'stec'),
    "name"    => "event_forecast_table_header_bg",
    "type"    => "color",
    "value"   => "#f8f9fa",
    "default" => "#f8f9fa",
    "css"     => array(
        "background || body .stec-layout-event-inner-forecast-details-left-forecast-top",
        "background || body .stec-layout-single-forecast-details-left-forecast-top",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "desc"    => esc_html__('General text color', 'stec'),
    "name"    => "event_forecast_text_color",
    "type"    => "color",
    "value"   => "#bdc1c8",
    "default" => "#bdc1c8",
    "css"     => array(
        "color || body .stec-layout-event-inner-forecast-details-left-forecast-top p",
        "color || body .stec-layout-event-inner-forecast-details-left-forecast-day p",
        "color || body .stec-layout-event-inner-forecast-today-right, body .stec-layout-event-inner-forecast-top-date",
        "color || body .stec-layout-event-inner-forecast-top-date",
        "color || body .stec-layout-single-forecast-details-left-forecast-top p",
        "color || body .stec-layout-single-forecast-details-left-forecast-day p",
        "color || body .stec-layout-single-forecast-today-right, body .stec-layout-single-forecast-top-date",
        "color || body .stec-layout-single-forecast-top-date"
    )
));



Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Title Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_title",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "30px"
    ),
    "default" => array(
        "Arial",
        "400",
        "30px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-title-fontandcolor",
        "font || body .stec-style-title",
        "font || body .stec-builder-element-content-header-style",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Secondary Title Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_title2",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "16px"
    ),
    "default" => array(
        "Arial",
        "400",
        "16px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-intro-media-content-subs p",
        "font || body .stec-layout-event-inner-intro-media-content > div div p",
        "font || body .stec-layout-event-title2-fontandcolor",
        "font || body .stec-layout-event-inner-top-tabs p"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Buttons Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_btn",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "16px"
    ),
    "default" => array(
        "Arial",
        "400",
        "16px"
    ),
    "css"     => array(
        "font || body .stec-style-button",
        "font || body .stec-layout-event-btn-fontandcolor",
        "font || body .stec-layout-single-btn-fontandcolor",
        "font || body .stec-layout-single-btn-fontandcolor",
        "font || body .stec-builder-element-content-submit-style input",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Secondary buttons Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_btn_sec",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "16px"
    ),
    "default" => array(
        "Arial",
        "400",
        "14px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-btn-sec-fontandcolor",
        "font || body .stec-layout-single-btn-sec-fontandcolor"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Normal text Font, Weight, Size and Line-Height', 'stec'),
    "desc"    => "",
    "name"    => "event_text",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "16px",
        "1.6",
    ),
    "default" => array(
        "Arial",
        "400",
        "16px",
        "1.6"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-intro-media-content > div div span",
        "font || body .stec-layout-event-inner-intro-media-content-subs span",
        "font || body .stec-layout-event-text-fontandcolor",
        "font || body .stec-style-text",
        "font || body .stec-style-text p",
        "font || body .stec-repeater-content",
        "font || body .stec-builder-element-content-p-style",
        "font || body .stec-layout-event-text-fontandcolor p",
        "font || body .stec-layout-event-input-fontandcolor",
        "font || body .stec-style-input",
        "font || body .stec-builder-element-content-input-style",
        "font || body .stec-builder-element-content-select-style",
        "font || body .stec-builder-element-content-textarea-style",
        "font || body .stec-builder-element-content-privacy-style",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Event counter numbers Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_counter_num",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "700",
        "40px"
    ),
    "default" => array(
        "Arial",
        "700",
        "40px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-intro-counter-num",
        "font || body .stec-layout-single-counter-num",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Event counter text Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_counter_text",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "14px"
    ),
    "default" => array(
        "Arial",
        "400",
        "14px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-intro-counter-label",
        "font || body .stec-layout-single-counter-label",
    )
));


Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Schedule Title Font, Weight and Size', 'stec'),
    "desc"    => esc_html__('Schedule Title Font, Weight and Size', 'stec'),
    "name"    => "event_schedule_title",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "500",
        "18px"
    ),
    "default" => array(
        "Arial",
        "500",
        "18px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-schedule-tab-right-title span",
        "font || body .stec-layout-single-schedule-tab-right-title span",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Schedule date Font, Weight and Size', 'stec'),
    "desc"    => esc_html__('Schedule date Font, Weight and Size', 'stec'),
    "name"    => "event_schedule_date",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "14px"
    ),
    "default" => array(
        "Arial",
        "400",
        "14px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-schedule-tab-left span",
        "font || body .stec-layout-single-schedule-tab-left span",
    )
));


Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast section titles Font, Weight and Size', 'stec'),
    "desc"    => "",
    "name"    => "event_forecast_section_title",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "500",
        "24px"
    ),
    "default" => array(
        "Arial",
        "500",
        "24px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-forecast-top-title",
        "font || body .stec-layout-event-inner-forecast-details > div > p",
        "font || body .stec-layout-single-forecast-top-title",
        "font || body .stec-layout-single-forecast-details > div > p"
    )
));



Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast Summary Font, Weight and Size ', 'stec'),
    "desc"    => esc_html__('Forecast Summary Font, Weight and Size', 'stec'),
    "name"    => "event_forecast_summary",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "500",
        "20px"
    ),
    "default" => array(
        "Arial",
        "500",
        "20px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-forecast-today-left-current-text",
        "font || body .stec-layout-single-forecast-today-left-current-text",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast Today temperature Font, Weight and Size', 'stec'),
    "desc"    => esc_html__('Forecast Today temperature Font, Weight and Size', 'stec'),
    "name"    => "event_forecast_current_temp",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "43px"
    ),
    "default" => array(
        "Arial",
        "400",
        "43px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-forecast-today-left-current-temp",
        "font || body .stec-layout-single-forecast-today-left-current-temp",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast Table header Font, Weight and Size', 'stec'),
    "desc"    => esc_html__('Forecast Table header Font, Weight and Size', 'stec'),
    "name"    => "event_forecast_table_header",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "500",
        "12px"
    ),
    "default" => array(
        "Arial",
        "500",
        "12px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-forecast-details-left-forecast-top p",
        "font || body .stec-layout-single-forecast-details-left-forecast-top p",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Forecast General text Font, Weight and Size', 'stec'),
    "desc"    => esc_html__('Forecast General text Font, Weight and Size', 'stec'),
    "name"    => "event_forecast_text",
    "type"    => "font",
    "value"   => array(
        "Arial",
        "400",
        "16px"
    ),
    "default" => array(
        "Arial",
        "400",
        "16px"
    ),
    "css"     => array(
        "font || body .stec-layout-event-inner-forecast-details-left-forecast-day p",
        "font || body .stec-layout-event-inner-forecast-today-right p",
        "font || body .stec-layout-event-inner-forecast-top-date",
        "font || body .stec-layout-single-forecast-details-left-forecast-day p",
        "font || body .stec-layout-single-forecast-today-right p",
        "font || body .stec-layout-single-forecast-top-date"
    )
));





Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "title"   => esc_html__('Event info title and text align', 'stec'),
    "desc"    => "",
    "name"    => "event_intro_title_align",
    "type"    => "select",
    "value"   => 'left',
    "default" => 'left',
    "select"  => array(
        'left'   => esc_html__('Left', 'stec'),
        'center' => esc_html__('Center', 'stec'),
        'right'  => esc_html__('Right', 'stec')
    ),
    "req"     => true,
    "css"     => array(
        "text-align || body .stec-layout-event-inner-intro .stec-layout-event-inner-intro-title"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_event",
    "name"    => "event_intro_text_align",
    "type"    => "select",
    "value"   => 'left',
    "default" => 'left',
    "select"  => array(
        'left'   => esc_html__('Left', 'stec'),
        'center' => esc_html__('Center', 'stec'),
        'right'  => esc_html__('Right', 'stec')
    ),
    "req"     => true,
    "css"     => array(
        "text-align || body .stec-layout-event-inner-intro-desc"
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_event",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "event_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 * Tooltip css tab
 */
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Title Color, Text Color, Background Color', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_title_color",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "color || body .stec-tooltip-title"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "desc"    => "",
    "name"    => "tooltip_text_color",
    "type"    => "color",
    "value"   => "#9599a2",
    "default" => "#9599a2",
    "css"     => array(
        "color || body .stec-tooltip-desc",
        "color || body .stec-tooltip-location",
        "color || body .stec-tooltip-timespan"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "desc"    => "",
    "name"    => "tooltip_bg",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "background || body .stec-tooltip"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Counter Text Color & Background Color', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_clock_color",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-tooltip-counter"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "desc"    => "",
    "name"    => "tooltip_clock_bg",
    "type"    => "color",
    "value"   => "#4d576c",
    "default" => "#4d576c",
    "css"     => array(
        "background || body .stec-tooltip-counter"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Expired Text Color & Background Color', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_expired_color",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-tooltip-expired"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "desc"    => "",
    "name"    => "tooltip_expired_bg",
    "type"    => "color",
    "value"   => "#f15e6e",
    "default" => "#f15e6e",
    "css"     => array(
        "background || body .stec-tooltip-expired"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('In Progress Text Color & Background Color', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_prog_color",
    "type"    => "color",
    "value"   => "#ffffff",
    "default" => "#ffffff",
    "css"     => array(
        "color || body .stec-tooltip-progress"
    )
));
Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "desc"    => "",
    "name"    => "tooltip_prog_bg",
    "type"    => "color",
    "value"   => "#53b32b",
    "default" => "#53b32b",
    "css"     => array(
        "background || body .stec-tooltip-progress"
    )
));


Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Title Font', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_title_font",
    "type"    => "font",
    "value"   => array(
        'Arial',
        '400',
        '20px'
    ),
    "default" => array(
        'Arial',
        '400',
        '20px'
    ),
    "css"     => array(
        "font || body .stec-tooltip-title"
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Text Font', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_text_font",
    "type"    => "font",
    "value"   => array(
        'Arial',
        '400',
        '14px',
        '1.3'
    ),
    "default" => array(
        'Arial',
        '400',
        '14px',
        '1.3'
    ),
    "css"     => array(
        "font || body .stec-tooltip-desc",
        "font || body .stec-tooltip-location",
        "font || body .stec-tooltip-timespan",
        "font || body .stec-tooltip-icon span",
    )
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__fontsandcolors_tooltip",
    "title"   => esc_html__('Status and Counter Font', 'stec'),
    "desc"    => "",
    "name"    => "tooltip_status_clock_font",
    "type"    => "font",
    "value"   => array(
        'Arial',
        '400',
        '10px'
    ),
    "default" => array(
        'Arial',
        '400',
        '10px'
    ),
    "css"     => array(
        "font || body .stec-tooltip-status",
        "font || body .stec-tooltip-counter"
    )
));

Settings::register_admin_setting(
        array(
            "page"    => "stec_menu__fontsandcolors_tooltip",
            "title"   => esc_html__('Add !important rule', 'stec'),
            "desc"    => "",
            "name"    => "tooltip_important",
            "type"    => "checkbox",
            "value"   => 0,
            "default" => 0
        )
);


/**
 * Custom css Tab
 */
Settings::register_admin_setting(array(
    "page"  => "stec_menu__fontsandcolors_custom",
    "title" => esc_html__('Custom Style', 'stec'),
    "desc"  => "",
    "name"  => "custom_css",
    "type"  => "textarea"
));


/**
 * Cache settings
 */
Settings::register_admin_setting(array(
    "page"    => "stec_menu__cache",
    "title"   => esc_html__('Cache', 'stec'),
    "desc"    => "",
    "name"    => "cache",
    "type"    => "select",
    "value"   => "0",
    "default" => "0",
    "select"  => array(
        '0' => esc_html__('No', 'stec'),
        '1' => esc_html__('Yes', 'stec'),
    ),
    "req"     => true
));

Settings::register_admin_setting(array(
    "page"    => "stec_menu__cache",
    "title"   => esc_html__('Assets compression (beta)', 'stec'),
    "desc"    => "",
    "name"    => "ac",
    "type"    => "select",
    "value"   => "0",
    "default" => "0",
    "select"  => array(
        '0' => esc_html__('No', 'stec'),
        '1' => esc_html__('Yes', 'stec'),
    ),
    "req"     => false
));

Settings::delete_admin_settings('stec_menu__cache', array(
    'cache_events', 'cache_forecast'
));

Settings::delete_admin_settings('stec_menu__general', array(
    'date_in_user_local_time'
));

Settings::delete_admin_settings('stec_menu__fontsandcolors_preview', array(
    'preview_reminder_bg', 'preview_reminder_input_bg', 'preview_reminder_input_text_color',
    'preview_remind_me_btn_bg', 'preview_remind_me_btn_text_color', 'preview_remind_me_btn_bg_hover',
    'preview_remind_me_btn_text_color_hover', 'preview_reminder_dropdown_bg', 'preview_reminder_dropdown_text_color',
    'preview_reminder_dropdown_bg_hover', 'preview_reminder_dropdown_text_color_hover',
    'preview_reminder', 'preview_reminder_small'
));

Settings::delete_admin_settings('stec_menu__general', array(
    'create_event_form_allow_expired', 'show_create_event_form'
));
