<?php

namespace Stachethemes\Stec;

class Event_Meta_Schedule implements Event_Meta_Object {

    private $start_date;
    private $title;
    private $icon;
    private $icon_color;
    private $details;

    public function get_data() {
        return (object) array(
                    'title'      => $this->get_title(),
                    'icon'       => $this->get_icon(),
                    'icon_color' => $this->get_icon_color(),
                    'details'    => $this->get_details(),
                    'start_date' => $this->get_start_date(),
        );
    }

    public function get_start_date() {
        return $this->start_date;
    }

    public function get_title() {
        return $this->title;
    }

    public function get_icon() {
        return $this->icon;
    }

    public function get_icon_color() {
        return $this->icon_color;
    }

    public function get_details() {
        return $this->details;
    }

    public function set_start_date($start_date) {
        try {
            $date             = new \DateTime($start_date, new \DateTimeZone('UTC'));
            $this->start_date = $date->format('Y-m-d H:i:s');
        } catch (\Exception $ex) {
            throw new Stec_Exception(sprintf(esc_html__('Invalid date %s', 'stec'), $start_date));
        }

        $this->start_date = $start_date;
    }

    public function set_title($title) {
        $this->title = sanitize_text_field($title);
    }

    public function set_icon($icon) {
        $this->icon = sanitize_text_field($icon);
    }

    public function set_icon_color($icon_color) {
        $this->icon_color = sanitize_hex_color($icon_color);
    }

    public function set_details($details) {
        $this->details = sanitize_textarea_field($details);
    }

}
