<?php

namespace Stachethemes\Stec;

class Remind_Object {

    private $uid = null;

    public function __construct($eventid, $repeat_offset, $email, $date) {

        $this->uid = serialize(array(
            'eventid'       => (int) $eventid,
            'repeat_offset' => (int) $repeat_offset,
            'email'         => filter_var($email, FILTER_VALIDATE_EMAIL, FILTER_NULL_ON_FAILURE),
            'date'          => sanitize_text_field($date)
        ));
    }

    public function get_uid() {
        return $this->uid;
    }

    public function get_data() {
        if (!$this->uid) {
            return null;
        }
        
        $data = maybe_unserialize($this->uid);

        return array(
            'eventid'       => (int) $data['eventid'],
            'repeat_offset' => (int) $data['repeat_offset'],
            'email'         => filter_var($data['email'], FILTER_VALIDATE_EMAIL, FILTER_NULL_ON_FAILURE),
            'date'          => sanitize_text_field($data['date'])
        );
    }
}
