<?php

// File must be outside namespace in order for WC_Product_Stec_Bookable to be found...

if (!class_exists('WC_Product_Simple')) {
    return;
}

/**
 * Register new custom WC Product (Stec_Bookable)
 */
class WC_Product_Stec_Bookable extends \WC_Product_Simple {

    public function __construct($product = null) {

        $this->product_type = 'stec_bookable';

        parent::__construct($product);

        $this->set_virtual(true);

        $this->add_meta_data('stec_bookable', 1);
    }

    public function get_type() {
        return $this->product_type;
    }

    public function get_quantity_limit_per_event() {
        return $this->get_meta('stec_qty_limit_per_event', true);
    }

    public function set_quantity_limit_per_event($qty) {
        if (false === filter_var($qty, FILTER_VALIDATE_INT)) {
            $qty = null;
        }
        return $this->update_meta_data('stec_qty_limit_per_event', $qty);
    }

    public function get_admin_visibility() {
        $visibility = $this->get_meta('stec_admin_visibility', true);
        return $visibility ?: 'private';
    }

    public function set_admin_visibility($visibility) {
        $accept = array('private', 'public');

        if (false === in_array($visibility, $accept)) {
            $visibility = 'private';
        }

        $this->update_meta_data('stec_admin_visibility', $visibility);
    }

    public function get_stop_before() {
        $value = $this->get_meta('stec_stop_before', true);
        return (int) $value ?: 0;
    }

    public function set_stop_before($seconds) {
        if (false !== filter_var($seconds, FILTER_VALIDATE_INT)) {
            $this->update_meta_data('stec_stop_before', $seconds);
        }
    }

}
