<?php

namespace Stachethemes\Stec;

add_shortcode('stachethemes_ec_export', function($atts = array()) {

    ob_start();

    if (true === Admin_Helper::check_migration_required()) {
        printf(esc_html__('<p>Stachethemes Event Calendar requires database update. To update go to %s</p>', 'stec'), '<a href="' . esc_url(admin_url('admin.php?page=stec_menu__migrate')) . '">Dashboard -> Stachethemes Event Calendar -> Migrate</a>');
        return;
    }

    $stachethemes_ec_main = Stachethemes_Event_Calendar::get_instance();
    $id                   = uniqid('stec-export-button-');
    $calendar_id          = isset($atts['cal']) ? $atts['cal'] : null;
    $text                 = isset($atts['text']) && trim($atts['text']) ? $atts['text'] : esc_html__('Export calendar', 'stec');

    $calendar = new Calendar_Post($calendar_id);

    if (!$calendar->get_id()) {
        return '';
    }

    if (false === Calendars::can_export($calendar)) {
        return '';
    }

    $export_url = site_url('?task=stec_public_export_to_ics&calendar_id=' . $calendar_id);

    if ($stachethemes_ec_main->lcns() !== false) {
        include ($stachethemes_ec_main->get_path('VIEW') . 'front/buttons/export.php');
    } else {
        printf('<p>' . esc_html__('Stachethemes Event Calendar is not activated. To activate it go to %s', 'stec') . '</p>',
                '<a href="' . esc_url(admin_url('admin.php?page=stec_menu__license')) . '">Dashboard -> Stachethemes Event Calendar -> Activator</a>');
    }

    return ob_get_clean();
});
