<?php

namespace Stachethemes\Stec;
?>
<div class="stec-builder-settings stec-builder-modal">
    <div>
        <p><?php esc_html_e('Element Settings', 'stec'); ?></p>
        <span><i class="fa fa-times"></i></span>
    </div>
    <ul>
        <li data-setting='padding'>
            <label><?php esc_html_e('Padding', 'stec'); ?><span><?php esc_html_e('PX', 'stec'); ?></span></label>
            <div>
                <div>
                    <input min="0" type="number" name="padding_top" value="" />
                    <span><?php esc_html_e('Top', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_right" value="" />
                    <span><?php esc_html_e('Right', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_bottom" value="" />
                    <span><?php esc_html_e('Bottom', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_left" value="" />
                    <span><?php esc_html_e('Left', 'stec'); ?></span>
                </div>
            </div>
        </li>
        <li data-setting='margin'>
            <label><?php esc_html_e('Margin', 'stec'); ?><span><?php esc_html_e('PX', 'stec'); ?></span></label>
            <div>
                <div>
                    <input min="0" type="number" name="margin_top" value="" />
                    <span><?php esc_html_e('Top', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_right" value="" />
                    <span><?php esc_html_e('Right', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_bottom" value="" />
                    <span><?php esc_html_e('Bottom', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_left" value="" />
                    <span><?php esc_html_e('Left', 'stec'); ?></span>
                </div>
            </div>
        </li>
        <li data-setting='height'>
            <br>
            <label><?php esc_html_e('Height', 'stec'); ?><span><?php esc_html_e('px', 'stec'); ?></span></label>

            <div>
                <label>
                    <div>
                        <input min="0" type="number" name="height" value="" />
                    </div>
                </label>
            </div>
        </li>
        <li data-setting='align'>
            <br>
            <label><?php esc_html_e('Align', 'stec'); ?></label>
            <div>
                <div>
                    <div>
                        <span data-align='left' class="img-align-left"></span>
                    </div>
                    <div>
                        <span data-align='center' class="img-align-center"></span>
                    </div>
                    <div>
                        <span data-align='right' class="img-align-right"></span>
                    </div>
                    <div>
                        <span data-align='justify' class="img-align-justify"></span>
                    </div>
                </div>
            </div>
        </li>
        <li data-setting='conditions'>
            <br>
            <label><?php esc_html_e('Conditions', 'stec'); ?></label>
            <div>
                <label>
                    <div>
                        <input type="checkbox" name="required" />
                        <span><?php esc_html_e('Required field', 'stec'); ?></span>
                    </div>
                </label>
            </div>
        </li>
    </ul>
</div>

<div class="stec-builder-plot-settings stec-builder-modal">
    <div>
        <p><?php esc_html_e('Workflow Settings', 'stec'); ?></p>
        <span><i class="fa fa-times"></i></span>
    </div>
    <ul>
        <li data-setting='padding'>
            <label><?php esc_html_e('Padding', 'stec'); ?><span><?php esc_html_e('PX', 'stec'); ?></span></label>
            <div>
                <div>
                    <input min="0" type="number" name="padding_top" value="" />
                    <span><?php esc_html_e('Top', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_right" value="" />
                    <span><?php esc_html_e('Right', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_bottom" value="" />
                    <span><?php esc_html_e('Bottom', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="padding_left" value="" />
                    <span><?php esc_html_e('Left', 'stec'); ?></span>
                </div>
            </div>
        </li>
        <li data-setting='margin'>
            <label><?php esc_html_e('Margin', 'stec'); ?><span><?php esc_html_e('PX', 'stec'); ?></span></label>
            <div>
                <div>
                    <input min="0" type="number" name="margin_top" value="" />
                    <span><?php esc_html_e('Top', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_right" value="" />
                    <span><?php esc_html_e('Right', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_bottom" value="" />
                    <span><?php esc_html_e('Bottom', 'stec'); ?></span>
                </div>
                <div>
                    <input min="0" type="number" name="margin_left" value="" />
                    <span><?php esc_html_e('Left', 'stec'); ?></span>
                </div>
            </div>
        </li>
    </ul>
</div>