<?php

namespace Stachethemes\Stec;

global $plugin_page;
$stachethemes_ec_main = Stachethemes_Event_Calendar::get_instance();


// GET
switch (Admin_Helper::get("task")) :

    case 'delete_cache' :

        Admin_Helper::verify_nonce('', 'GET');

        $result = Admin_Helper::delete_cache();

        if ($result) {
            Admin_Helper::set_message(esc_html__('Cache files deleted', 'stec'));
        } else {
            Admin_Helper::set_message(esc_html__('Unable to delete cache fiels!', 'stec'), 'error');
        }

        break;

    case 'delete_ac' :

        Admin_Helper::verify_nonce('', 'GET');

        try {
            AssetsCompressor::purge();

            Admin_Helper::set_message(esc_html__('Assets files deleted', 'stec'));
        } catch (Exception $ex) {
            Admin_Helper::set_message($ex->getMessage());
        }

        break;

endswitch;

// POST
switch (Admin_Helper::post("task")) :

    case 'save' :

        Admin_Helper::verify_nonce("?page={$plugin_page}");

        Settings::update_admin_settings($plugin_page);

        Admin_Helper::set_message(esc_html__('Settings updated', 'stec'));

        break;

endswitch;

// VIEW
switch (Admin_Helper::get("view")) :

    case "cache":
    default:
        
        include $stachethemes_ec_main->get_path('VIEW') . 'admin/cache/cache.php';

endswitch;
