<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">

    <h1><?php esc_html_e('Calendars Management / Edit', 'stec'); ?></h1>

    <?php if (isset($calendar) && $calendar instanceof Calendar_Post) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Edit calendar', 'stec'); ?></h2>

            <?php
            Admin_Html::html_form_start("?page=$plugin_page", "POST");

            Admin_Html::html_info(esc_html__('Desired name of the calendar:', 'stec'));
            Admin_Html::html_input('calendar_name', $calendar->get_title(), '', esc_html__('Calendar Name', 'stec'), true);

            Admin_Html::html_info(esc_html__('Desired color. This will be the default color of the events. Can be changed later.', 'stec'));
            Admin_Html::html_color('calendar_color', $calendar->get_color(), '#f15e6e');

            Admin_Html::html_info(esc_html__('Default Icon', 'stec'));
            Admin_Html::html_hidden('calendar_icon', $calendar->get_icon());
            ?>
            <div class="stec-icons-list calendar">
                <ul>
                    <?php
                    $icons = Admin_Helper::get_icon_list();
                    foreach ($icons as $key => $value) {
                        ?><li data-icon="<?php esc_attr_e($key) ?>"><i class="<?php esc_attr_e($key) ?>"></i></li><?php
                    }
                    ?>
                </ul>

                <?php
                Admin_Html::html_info(esc_html__('Add icon from Font-Awesome', 'stec'));
                Admin_Html::html_input('add_fa_icon', '', '', 'Icon class name');
                Admin_Html::html_button(esc_html__('Add to the list', 'stec'), '', true, 'blue-button add-fa-icon');
                ?>
            </div>
            <?php
            Admin_Html::html_info(esc_html__('Timezone', 'stec'));
            Admin_Html::html_select('calendar_timezone', Admin_Helper::timezones_list(), $calendar->get_timezone(), esc_html__('Calendar Timezone', 'stec'));

            Admin_Html::html_info(esc_html__('Front-End Visibility', 'stec'));
            Admin_Html::html_select('calendar_visibility', Admin_Helper::calendar_visibility_list(), $calendar->get_visibility(), true, true);

            Admin_Html::html_info(esc_html__('Back-End Visibility', 'stec'));
            Admin_Html::html_select('calendar_back_visibility', Admin_Helper::calendar_visibility_list(), $calendar->get_back_visibility(), true, true);

            Admin_Html::html_info(esc_html__('Who can add events from the front-end', 'stec'));
            Admin_Html::html_select('calendar_writable', Admin_Helper::calendar_writable_list(), $calendar->get_writable(), false, true);

            Admin_Html::html_checkbox('calendar_req_approval', $calendar->get_req_approval() ? true : false, true, esc_html__('Require approval by admin for events added from font-end', 'stec'), false);

            Admin_Html::html_hidden('calendar_id', $calendar->get_id());
            Admin_Html::html_hidden('task', 'stec_update_calendar');
            Admin_Html::html_button(esc_html__('Update Calendar', 'stec'));
            Admin_Html::html_button(esc_html__('Go Back', 'stec'), "?page={$plugin_page}", true);

            Admin_Html::html_form_end();
            ?>

        </div>

    <?php endif; ?>

</div>
