<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">


    <h1>
        <?php
        esc_html_e('Categories Management', 'stec');

        if ($category) {
            echo ' / ' . esc_html__('Edit Category', 'stec');
        } else {
            echo ' / ' . esc_html__('Add Category', 'stec');
        }
        ?>
    </h1>

    <div class="stachethemes-admin-section">

        <h2><?php esc_html_e('Category', 'stec'); ?></h2>

        <?php
        Admin_Html::html_form_start("?page=$plugin_page", "POST");

        Admin_Html::html_info(esc_html__('Title', 'stec'));
        Admin_Html::html_input('title', $category ? $category->get_title() : null, '', esc_html__('Category Title', 'stec'), true);

        Admin_Html::html_info(esc_html__('Category color.', 'stec'));
        Admin_Html::html_color('color', $category ? $category->get_color() : '#000');

        Admin_Html::html_info(esc_html__('Visibility', 'stec'));
        Admin_Html::html_select('visibility', array(
            'private' => esc_html__('Private', 'stec'),
            'public'  => esc_html__('Public', 'stec')
                ), $category ? $category->get_visibility() : 'public', true);

        Admin_Html::html_info(esc_html__('Admin notes (optional)', 'stec'));
        Admin_Html::html_textarea('notes', $category ? $category->get_notes() : '');
        ?>

        <div class="stachethemes-admin-separator"></div>
        <?php
        if ($category_id !== false) {
            Admin_Html::html_hidden('category_id', $category_id);
            Admin_Html::html_hidden('task', 'update');
            Admin_Html::html_button(esc_html__('Update Category', 'stec'));
        } else {
            Admin_Html::html_button(esc_html__('Add Category', 'stec'));
            Admin_Html::html_hidden('task', 'create');
        }

        Admin_Html::html_button(esc_html__('Back', 'stec'), "?page={$plugin_page}", true);

        Admin_Html::html_form_end();
        ?>

    </div>

</div>