<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <h1>
        <?php
        esc_html_e('Categories Management', 'stec');
        ?>
    </h1>

    <?php if (isset($categories)) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Add Category', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Add new category', 'stec'));
            Admin_Html::html_button(esc_html__('Add Category', 'stec'), "?page={$plugin_page}&view=add");
            ?>

        </div>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Manage Categories', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('List of your created categories', 'stec'));

            if (empty($categories)) :

                Admin_Html::html_info(esc_html__('(No categories to display)', 'stec'));

            else :
                ?>
                <div class="stec-list-bulk">
                    <div>
                        <input type="checkbox" name="all_categories" value="1" /> <?php esc_html__('Select all categories', 'stec'); ?>
                        <p><?php esc_html_e('Selected all categories', 'stec'); ?></p>

                        <?php Admin_Html::html_form_start("?page=$plugin_page"); ?>

                        <button class='delete-all-items' data-confirm='<?php esc_html_e('Delete all items?', 'stec'); ?>'><p><i class="fas fa-trash"></i><?php esc_html_e('Delete selected categories', 'stec'); ?></p></button>

                        <?php
                        Admin_Html::html_hidden('task', 'delete_bulk');
                        ?>

                        <?php Admin_Html::html_form_end(); ?>

                    </div>   
                </div>
                <?php
                echo '<ul class="stec-list">';

                foreach ($categories as $category) :
                    $count = (int) $category->get_events_count();
                    ?>
                    <li>
                        <div class='calinfo'>
                            <input type="checkbox" name="categoryid" value="<?php echo (int) $category->get_id(); ?>" />
                            <p class='color' style='background: <?php esc_attr_e($category->get_color()); ?>'></p>
                            <p class='title'>
                                <a href='<?php echo "?page={$plugin_page}&view=edit&category_id=" . (int) $category->get_id(); ?>'>
                                    <?php esc_html_e($category->get_title()); ?> (id#<?php echo (int) $category->get_id(); ?>)</a> 

                                <span class="stec-list-sub-title">
                                    <?php
                                    printf(esc_html__('Used by %d %s', 'stec'), $count, _n('event', 'events', $count, 'stec'));
                                    ?>
                                </span>
                            </p>
                        </div>
                        <div class='ctrl'>
                            <?php if ($count) : ?>
                                <a href='<?php echo ("?page=stec_menu__events&view=list&category_id={$category->get_id()}"); ?>'><?php esc_html_e('View events', 'stec'); ?></a>
                            <?php endif; ?>
                            <a href='<?php echo ("?page={$plugin_page}&view=edit&category_id={$category->get_id()}"); ?>'><?php esc_html_e('Edit', 'stec'); ?></a>
                            <a class='delete-item' data-confirm='<?php esc_html_e('Delete item?', 'stec'); ?>' href='<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=delete&category_id={$category->get_id()}")); ?>'><?php esc_html_e('Delete', 'stec'); ?></a>
                        </div>
                    </li>
                    <?php
                endforeach;

                echo '</ul>';
            endif;
            ?>

        </div>

    <?php endif; ?>

</div>