<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">

    <?php if ($calendar) : ?>

        <h1>
            <?php
            esc_html_e('Events Management', 'stec');

            if ($event) {
                echo " / " . $calendar->get_title() . " / " . $event->get_title() . " - " . esc_html__('Edit Event', 'stec');
            } else {
                echo " / " . $calendar->get_title() . " - " . esc_html__('Add Event', 'stec');
            }
            ?>
        </h1>

    <?php endif; ?>

    <ul class="stachethemes-admin-tabs-list">

        <?php if ($event) : ?>
            <li data-tab="author"><?php esc_html_e('Author Info', 'stec'); ?></li>
        <?php endif; ?>

        <li data-tab="general"><?php esc_html_e('General', 'stec'); ?></li>
        <li data-tab="introduction"><?php esc_html_e('Introduction', 'stec'); ?></li>
        <li data-tab="location"><?php esc_html_e('Location', 'stec'); ?></li>
        <li data-tab="schedule"><?php esc_html_e('Schedule', 'stec'); ?></li>
        <li data-tab="guests"><?php esc_html_e('Guests', 'stec'); ?></li>
        <li data-tab="organizers"><?php esc_html_e('Organizers', 'stec'); ?></li>
        <li data-tab="attendance"><?php esc_html_e('Attendance', 'stec'); ?></li>

        <?php if (class_exists('WooCommerce')) : ?>
            <li data-tab="booking"><?php esc_html_e('Booking', 'stec'); ?></li>
            <li data-tab="shop"><?php esc_html_e('Shop', 'stec'); ?></li>
        <?php endif; ?>

        <li data-tab="attachments"><?php esc_html_e('Attachments', 'stec'); ?></li>

        <?php do_action('stec_admin_addedit_event_tab', $event); ?>
    </ul>

    <div class="stachethemes-admin-section">

        <?php
        Admin_Html::html_form_start("?page=$plugin_page&calendar_id={$calendar_id}", "POST");

        if ($event) {
            include('tabs/author.php');
        }
        include('tabs/general.php');
        include('tabs/location.php');
        include('tabs/introduction.php');
        include('tabs/schedule.php');
        include('tabs/guests.php');
        include('tabs/organizers.php');
        include('tabs/attendance.php');

        if (class_exists('WooCommerce')) :
            include('tabs/booking.php');
            include('tabs/shop.php');
        endif;

        include('tabs/attachments.php');

        do_action('stec_admin_addedit_event_tab_content', $event);
        ?>

        <div class="stachethemes-admin-separator"></div>
        <?php
        Admin_Html::html_hidden('calendar_id', $calendar_id);
        Admin_Html::html_hidden('approved', '1');

        if ($event_id !== false) {
            Admin_Html::html_hidden('event_id', $event_id);
            Admin_Html::html_hidden('task', 'stec_update_event');

            if ((int) $event->get_approved() === 0) {
                Admin_Html::html_hidden('send_approved_mail', 1);
                Admin_Html::html_button(esc_html__('Approve Event', 'stec'));
            } else {
                Admin_Html::html_button(esc_html__('Update Event', 'stec'));
            }
        } else {
            Admin_Html::html_button(esc_html__('Add Event', 'stec'));
            Admin_Html::html_hidden('task', 'stec_create_event');
        }

        Admin_Html::html_button(esc_html__('Back', 'stec'), "?page={$plugin_page}&calendar_id={$calendar_id}", true);

        Admin_Html::html_form_end();
        ?>

    </div>
</div>