<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="attachments">
    
    <h2><?php esc_html_e('Attachments', 'stec'); ?></h2>

    <?php Admin_Html::html_info(esc_html__('Attachments List', 'stec')); ?>

    <?php if ($event) : foreach ($event->get_attachments() as $attachment) :
            
            if (false === ($attachment instanceof Event_Meta_Attachment)) {
                continue;
            }
            ?>

            <?php $filename = basename(get_attached_file($attachment->get_id(), true)); ?>

            <div class="stachethemes-admin-attachments-attachment">

                <div class="stachethemes-admin-attachments-attachment-head">
                    <p class="stachethemes-admin-attachments-attachment-title"><span><?php esc_html_e($filename); ?></span></p>

                    <div>
                        <?php
                        Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                        ?>
                    </div>
                </div>
                <?php Admin_Html::html_hidden('attachment[][id]', $attachment->get_id()); ?>
            </div>

            <?php
        endforeach;
    endif;
    ?>

    <div class="stachethemes-admin-attachments-attachment stachethemes-admin-attachments-attachment-template">

        <div class="stachethemes-admin-attachments-attachment-head">
            <p class="stachethemes-admin-attachments-attachment-title"><span>%title%</span></p>

            <div>
                <?php
                Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                ?>
            </div>
        </div>

        <?php
        Admin_Html::html_hidden('attachment[0][id]', '%id%');
        ?>
    </div>

    <?php
    Admin_Html::html_button(esc_html__('Add Attachment', 'stec'), false, false, 'add-attachments-attachment');
    ?>

</div>
