<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="attendance">

    <h2><?php esc_html_e('RSVP Settings', 'stec'); ?></h2>

    <?php
    Admin_Html::html_info(esc_html__('RSVP to Event', 'stec'));
    Admin_Html::html_select('rsvp', array(
        '0' => esc_html__('Disable', 'stec'),
        '1' => esc_html__('Enable', 'stec')
            )
            , $event ? $event->get_rsvp() : 0, true);

    Admin_Html::html_info(esc_html__('Attendees limit', 'stec'));
    Admin_Html::html_input('rsvp_limit', $event ? $event->get_rsvp_limit() : 0, 0, esc_attr__('Limit', 'stec'), false, 'number');

    Admin_Html::html_info(esc_html__('Attendees front-end visibility', 'stec'));
    Admin_Html::html_select('attendance_visibility', array(
        'public'  => esc_attr__('Public', 'stec'),
        'private' => esc_attr__('Private', 'stec')),
            $event ? $event->get_attendance_visibility() : 'public');
    ?>

    <div class="stachethemes-admin-separator"></div>

    <h2><?php esc_html_e('Add Attendees', 'stec'); ?></h2>

    <div class="stachethemes-admin-attendance-add-form">
        <?php
        Admin_Html::html_info(esc_html__('Add attendee by', 'stec'));
        Admin_Html::html_select('invite_by', array(
            'name' => esc_html__('Name & E-mail', 'stec'),
            'user' => esc_html__('Existing User', 'stec'),
            'role' => esc_html__('User Role', 'stec')
                ), 'name', true, false);
        ?>
        <div class="stachethemes-admin-separator"></div>

        <div class="stachethemes-admin-attendance-by-name">
            <?php
            Admin_Html::html_info(esc_html__('Name', 'stec'));
            Admin_Html::html_input('attendee_name', '');

            Admin_Html::html_info(esc_html__('E-Mail', 'stec'));
            Admin_Html::html_input('attendee_email', '', '', '', false, 'email');
            ?>
        </div>

        <div class="stachethemes-admin-attendance-by-user">
            <?php
            Admin_Html::html_info(esc_html__('User', 'stec'));
            ?>
            <select class="stachethemes-admin-select" name="attendee_wp_users" autocomplete="off">
                <?php
                foreach ($users as $user) {
                    printf('<option value="%d" data-email="%s">%s</option>', esc_attr($user->ID), esc_attr($user->user_email), esc_attr($user->display_name));
                }
                ?>
            </select>
        </div>

        <div class="stachethemes-admin-attendance-by-role">
            <?php
            Admin_Html::html_info(esc_html__('Pick user roles', 'stec'));
            Admin_Html::html_select('attendance_roles', Admin_Helper::get_wp_roles_list(), '', false, true);
            ?>
        </div>

        <?php
        Admin_Html::html_info(sprintf(esc_html__('RSVP Status for %s', 'stec'), '<i class="rsvp-date"></i>'));
        Admin_Html::html_select('attendee_status', array(
            1 => esc_html__('Attending', 'stec'),
            2 => esc_html__('Declined', 'stec'),
            0 => esc_html__('No response', 'stec'),
                ), 0);

        Admin_Html::html_checkbox('attendee_send_rsvp', true, true, esc_html__('Send invitation e-mail', 'stec'), false);

        Admin_Html::html_button(esc_html__('Add Attendee'), 'javascript:void(0);', false, 'blue-button plus-button', 'id=add-attendance');
        ?>
    </div>

    <div class="stachethemes-admin-attendance-list">

        <h2><?php esc_html_e('Manage Attendees', 'stec'); ?></h2>

        <?php
        Admin_Html::html_info(esc_html__("Attendees List", 'stec'));
        ?>

        <ul>
        </ul>

        <?php
        Admin_Html::html_hidden('attendees_rsvp_date', '');
        ?>

    </div>

    <li class="stachethemes-admin-attendance-list-attendee stachethemes-admin-attendance-list-attendee-template"> 
        <div class="preview">
            <div>
                <input type="checkbox" /> 
                <span class="status"><i class="stec_replace_status_class"></i></span> 
                <p>
                    <span class="name">stec_replace_name</span> - <i class="email">stec_replace_email</i>
                    <br>
                    <span class="people"><span>stec_replace_people</span> <?php esc_html_e('person(s)', 'stec'); ?></span>
                </p> 
            </div>
            <div>
                <button data-action="edit" type="button"><?php esc_html_e('Edit', 'stec'); ?></button>
                <button data-action="remove" type="button"><?php esc_html_e('Remove', 'stec'); ?></button>
            </div>
        </div>

        <div class="edit">

            <div>
                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('Name', 'stec'));
                    Admin_Html::html_input('attendee[0][name]', '', '', '', false, 'text');
                    ?>
                </div>
                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('E-Mail', 'stec'));
                    Admin_Html::html_input('attendee[0][email]', '', '', '', false, 'email');
                    ?>
                </div>
                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('Number of persons', 'stec'));
                    Admin_Html::html_input('attendee[0][people]', '', '1', '1', false, 'number', 'min=1');
                    ?>
                </div>
                <div>
                    <?php
                    Admin_Html::html_info(sprintf(esc_html__('RSVP Status for %s', 'stec'), '<i class="rsvp-date"></i>'));
                    Admin_Html::html_select('attendee[0][status]', array(
                        1 => esc_html__('Attending', 'stec'),
                        2 => esc_html__('Declined', 'stec'),
                        0 => esc_html__('No response', 'stec'),
                            ), 0, false, false);
                    ?>
                </div>

                <input type="hidden" name="attendee[0][userid]" />
                <input type="hidden" name="attendee[0][role]" />
                <input type="hidden" name="attendee[0][type]" />
            </div>
            <?php
            Admin_Html::html_checkbox('attendee[0][send]', true, true, esc_html__('Send invitation e-mail', 'stec'), false);
            Admin_Html::html_button(esc_html__('Update attendee', 'stec'), 'javascript:void(0);', false, 'blue-button', 'data-action=update-attendee');
            Admin_Html::html_button(esc_html__('Cancel', 'stec'), 'javascript:void(0);', true, 'blue-button', 'data-action=cancel-update-attendee');
            ?>
        </div>

    </li>

    <textarea id="db-attendees"><?php
        if ($event) {
            $parsed_attendees_data = array();
            $attendees             = $event->get_attendance(true);

            if ($attendees) {
                foreach ($attendees as $attendee) {
                    $parsed_attendees_data[] = $attendee->get_data();
                }
            }

            echo wp_json_encode($parsed_attendees_data);
        }
        ?></textarea>

</div>