<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="guests">
    
    <h2><?php esc_html_e('Guests', 'stec'); ?></h2>

    <?php
    Admin_Html::html_info(esc_html__('Guests List', 'stec'));

    if ($event) : foreach ($event->get_guests() as $guest) :
            
            if (false === ($guest instanceof Event_Meta_Guest)) {
                continue;
            }
            
            
            ?>

            <div class="stachethemes-admin-guests-guest">

                <div class="stachethemes-admin-guests-guest-head">
                    <p class="stachethemes-admin-guests-guest-title"><span></span><span><?php esc_html_e('Add Guest (optional)', 'stec'); ?></span></p>

                    <div>
                        <?php
                        Admin_Html::html_button(esc_html__('Expand', 'stec'), '', true, "light-btn expand");
                        Admin_Html::html_button(esc_html__('Collapse', 'stec'), '', true, "light-btn collapse");
                        Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                        ?>
                    </div>
                </div>

                <div class="stachethemes-admin-guests-toggle-wrap">

                    <?php
                    Admin_Html::html_info(esc_html__('Photo', 'stec'));
                    Admin_Html::html_add_image('guests[0][photo]', $guest->get_photo(), esc_html__('Add Photo', 'stec'), false, true);

                    Admin_Html::html_info(esc_html__('Name', 'stec'));
                    Admin_Html::html_input('guests[0][name]', $guest->get_name(), '', esc_html__('Name', 'stec'), false);

                    Admin_Html::html_info(esc_html__('About', 'stec'));
                    Admin_Html::html_textarea('guests[0][about]', $guest->get_about(), '', esc_html__('About your guest', 'stec'), false);

                    Admin_Html::html_info(esc_html__('Social Links', 'stec'));
                    
                    foreach ($guest->get_links() as $link) :

                        if ($link['link'] === "") {
                            continue;
                        }
                        ?>
                        <div class="stachethemes-admin-section-flex-guest-social">
                            <?php
                            Admin_Html::html_select('guests[0][social][0][ico]', Admin_Helper::social_array(), $link['ico']);
                            Admin_Html::html_input('guests[0][social][0][link]', $link['link'], '', esc_html__('Link', 'stec'));
                            ?>
                            <i class="stachethemes-admin-guests-social-remove fa fa-times"></i>
                        </div>
                        <?php
                    endforeach;
                    ?>

                    <div class="stachethemes-admin-section-flex-guest-social">
                        <?php
                        Admin_Html::html_select('guests[0][social][0][ico]', Admin_Helper::social_array(), '');
                        Admin_Html::html_input('guests[0][social][0][link]', '', '', esc_html__('Link', 'stec'));
                        ?>
                        <i class="stachethemes-admin-guests-social-remove fa fa-times"></i>
                    </div>

                    <?php
                    Admin_Html::html_button(esc_html__('Add social link', 'stec'), false, false, 'light-btn add-guests-soclink');
                    ?>

                </div>

            </div>

            <?php
        endforeach;
    endif;
    ?>

    <!-- guest template --> 
    <div class="stachethemes-admin-guests-guest stachethemes-admin-guests-guest-template">

        <div class="stachethemes-admin-guests-guest-head">
            <p class="stachethemes-admin-guests-guest-title"><span></span><span><?php esc_html_e('Add Guest (optional)', 'stec'); ?></span></p>

            <div>
                <?php
                Admin_Html::html_button(esc_html__('Expand', 'stec'), '', true, "light-btn expand");
                Admin_Html::html_button(esc_html__('Collapse', 'stec'), '', true, "light-btn collapse");
                Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                ?>
            </div>
        </div>

        <div class="stachethemes-admin-guests-toggle-wrap">

            <?php
            Admin_Html::html_info(esc_html__('Photo', 'stec'));
            Admin_Html::html_add_image('guests[0][photo]', false, esc_html__('Add Photo', 'stec'), false, true);

            Admin_Html::html_info(esc_html__('Name', 'stec'));
            Admin_Html::html_input('guests[0][name]', '', '', esc_html__('Name', 'stec'), false);

            Admin_Html::html_info(esc_html__('About', 'stec'));
            Admin_Html::html_textarea('guests[0][about]', '', '', esc_html__('About your guest', 'stec'), false);

            Admin_Html::html_info(esc_html__('Social Links', 'stec'));
            ?>
            <div class="stachethemes-admin-section-flex-guest-social">
                <?php
                Admin_Html::html_select('guests[0][social][0][ico]', Admin_Helper::social_array(), '', true);
                Admin_Html::html_input('guests[0][social][0][link]', '', '', esc_html__('Link', 'stec'));
                ?>
                <i class="stachethemes-admin-guests-social-remove fa fa-times"></i>
            </div>
            <?php
            Admin_Html::html_button(esc_html__('Add social link', 'stec'), false, false, 'light-btn add-guests-soclink');
            ?>
        </div>

    </div>


    <?php
    Admin_Html::html_button(esc_html__('Add Guest', 'stec'), false, false, 'add-guests-guest');
    ?>

</div>
