<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="location">

    <h2><?php esc_html_e('Location', 'stec'); ?></h2>

    <?php
    $location = '';

    if ($event) {
        $location_id = $event->get_location();

        if ($location_id) {
            $location = $location_id;
        }
    }

    Admin_Html::html_info(esc_html__('Select event location (optional)', 'stec'));

    $locations = Locations::get_locations_list();
    ?>
    <select class="stachethemes-admin-select" name="location">
        <optgroup label="<?php esc_html_e('New location', 'stec'); ?>">
            <option value="custom"><?php esc_html_e('Insert new location', 'stec'); ?></option>
        </optgroup>
        <optgroup label="<?php esc_html_e('Locations', 'stec'); ?>">
            <?php
            $selected  = '';
            if ($event && !$event->get_location()) {
                $selected = 'selected';
            }
            ?>
            <option <?php esc_attr_e($selected); ?> value=""><?php esc_html_e('No location', 'stec'); ?></option>
            <?php
            if ($locations) {
                foreach ($locations as $k => $v) {
                    $selected = '';
                    if ($event && $event->get_location() === $k) {
                        $selected = 'selected';
                    }
                    ?>
                    <option <?php esc_attr_e($selected); ?> value="<?php esc_attr_e($k); ?> "><?php esc_html_e($v); ?></option>
                    <?php
                }
            }
            ?>
        </optgroup>
    </select>

    <div class="stec-admin-new-location">
        <?php
        Admin_Html::html_info(esc_html__('Address', 'stec'));
        Admin_Html::html_input('location_address', '');

        Admin_Html::html_info(esc_html__('City', 'stec'));
        Admin_Html::html_input('location_city', '');

        Admin_Html::html_info(esc_html__('Country', 'stec'));
        Admin_Html::html_input('location_country', '');

        Admin_Html::html_info(esc_html__('Location coordinates in decimal format (optional)', 'stec'));
        Admin_Html::html_input('location_coordinates', '');
        if ('' != Settings::get_admin_setting_value('stec_menu__general', 'gmaps_api_key')) :
            Admin_Html::html_button(esc_html__('Get coordinates', 'stec'), '#', true, 'blue-button stec-get-coordinates');
        endif;

        Admin_Html::html_info(esc_html__('Location details (optional)', 'stec'));
        Admin_Html::html_textarea('location_details', '');

        Admin_Html::html_info(esc_html__('Visibility', 'stec'));
        Admin_Html::html_select('location_visibility', array(
            'private' => esc_html__('Private', 'stec'),
            'public'  => esc_html__('Public', 'stec')
                ), 'public', true);
        ?>
    </div>

</div>