<?php

namespace Stachethemes\Stec;

$organizers = Organizers::get_organizers_list();
?>
<div class="stachethemes-admin-section-tab" data-tab="organizers">

    <div class="stachethemes-admin-organizers-list">
        <h2><?php esc_html_e('Organizers list', 'stec'); ?></h2>
        <?php Admin_Html::html_info(esc_html__('Select from list', 'stec')); ?>
        <select class="stachethemes-admin-select" name="organizers[]" multiple>
            <?php
            foreach ($organizers as $k => $organizer) :
                $selected = '';

                if ($event && in_array($k, $event->get_organizers())) {
                    $selected = 'selected';
                }
                ?>
                <option <?php esc_attr_e($selected); ?> value="<?php esc_attr_e($k); ?>"><?php esc_html_e($organizer); ?></option>
            <?php endforeach; ?>
        </select>
    </div>

    <h2><?php esc_html_e('New Organizer', 'stec'); ?></h2>
    <div class="stec-admin-new-organizer stec-disable-on-submit">
        <?php
        Admin_Html::html_info(esc_html__('Photo', 'stec'));
        Admin_Html::html_add_image('photo', '', esc_html__('Photo', 'stec'), false, true);

        Admin_Html::html_info(esc_html__('Name', 'stec'));
        Admin_Html::html_input('name', '', '', esc_html__('Name', 'stec'), false);

        Admin_Html::html_info(esc_html__('Details', 'stec'));
        Admin_Html::html_textarea('details', '', '', esc_html__('Details', 'stec'), false);

        Admin_Html::html_info(esc_html__('Social Links', 'stec'));
        ?>

        <div class="stachethemes-admin-section-flex-organizer-social">
            <?php
            Admin_Html::html_select('social[0][ico]', Admin_Helper::social_array(), '');
            Admin_Html::html_input('social[0][link]', '', '', esc_html__('Link', 'stec'));
            ?>
            <i class="stachethemes-admin-organizers-social-remove fa fa-times"></i>
        </div>

        <?php
        Admin_Html::html_button(esc_html__('Add social link', 'stec'), 'javascript:void(0);', false, 'light-btn add-organizers-soclink');

        Admin_Html::html_info(esc_html__('Contact e-mail', 'stec'));
        Admin_Html::html_input('email', '', '', esc_html__('E-mail', 'stec'), false);

        Admin_Html::html_info(esc_html__('Visibility', 'stec'));
        Admin_Html::html_select('visibility', array(
            'private' => esc_html__('Private', 'stec'),
            'public'  => esc_html__('Public', 'stec')
                ), 'public', false);

        Admin_Html::html_info(esc_html__('Admin notes (optional)', 'stec'));
        Admin_Html::html_textarea('notes', '');
        Admin_Html::html_button(esc_html__('Add to organizers', 'stec'), 'javascript:void(0);', false, 'blue-button plus-button', 'data-action=insert-organizer');
        ?>
        <div class="status" data-default-text="<?php esc_html_e('Adding new organizer. Please wait...', 'stec'); ?>">
            <?php Admin_Html::html_info('-'); ?>
        </div>
    </div>

</div>