<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="schedule">

    <h2><?php esc_html_e('Schedule', 'stec'); ?></h2>

    <?php
    Admin_Html::html_info(esc_html__('Schedule Timespan', 'stec'));

    if ($event) :

        foreach ($event->get_schedule() as $schedule) :

            if (false === ($schedule instanceof Event_Meta_Schedule)) {
                continue;
            }
            ?>
            <div class="stachethemes-admin-schedule-timespan">

                <div class="stachethemes-admin-schedule-timespan-head">
                    <p class="stachethemes-admin-schedule-timespan-title"><span></span><span><?php esc_html_e('Schedule Timespan (optional)', 'stec'); ?></span></p>

                    <div>
                        <?php
                        Admin_Html::html_button(esc_html__('Expand', 'stec'), '', true, "light-btn expand");
                        Admin_Html::html_button(esc_html__('Collapse', 'stec'), '', true, "light-btn collapse");
                        Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                        ?>
                    </div>
                </div>

                <div class="stachethemes-admin-schedule-toggle-wrap">
                    <?php
                    Admin_Html::html_info(esc_html__('Date and time', 'stec'));
                    ?>
                    <div class="stachethemes-admin-section-flex">
                        <?php
                        $schedule_fulldate = explode(' ', $schedule->get_start_date());
                        $schedule_fulltime = explode(':', $schedule_fulldate[1]);

                        Admin_Html::html_date("schedule[0][schedule_date_from]", $schedule_fulldate[0], '', esc_html__('Date', 'stec'), false);
                        Admin_Html::html_select("schedule[0][schedule_time_hours_from]", Admin_Helper::get_hours_array(), $schedule_fulltime[0]);
                        Admin_Html::html_select("schedule[0][schedule_time_minutes_from]", Admin_Helper::minutes_array(), $schedule_fulltime[1]);
                        ?>
                    </div>
                    <?php
                    Admin_Html::html_info(esc_html__('Title', 'stec'));
                    Admin_Html::html_input("schedule[0][schedule_title]", $schedule->get_title(), '', esc_html__('Timespan Title', 'stec'), false);

                    Admin_Html::html_info(esc_html__('Icon', 'stec'));
                    Admin_Html::html_hidden('schedule[0][schedule_icon]', $schedule->get_icon());
                    ?>
                    <div class="stec-icons-list schedule">
                        <ul>
                            <?php
                            $icons = Admin_Helper::get_icon_list();
                            foreach ($icons as $key => $value) {
                                ?><li data-icon="<?php esc_attr_e($key) ?>"><i class="<?php esc_attr_e($key) ?>"></i></li><?php
                            }
                            ?>
                        </ul>

                        <?php
                        Admin_Html::html_info(esc_html__('Add icon from Font-Awesome', 'stec'));
                        Admin_Html::html_input('add_fa_icon', '', '', 'Icon class name');
                        Admin_Html::html_button(esc_html__('Add to the list', 'stec'), '', true, 'blue-button add-fa-icon');
                        ?>
                    </div>

                    <?php
                    Admin_Html::html_info(esc_html__('Icon Color', 'stec'));
                    Admin_Html::html_color("schedule[0][schedule_icon_color]", $schedule->get_icon_color(), "#000000");

                    Admin_Html::html_info(esc_html__('Details', 'stec'));
                    Admin_Html::html_textarea("schedule[0][schedule_details]", $schedule->get_details(), '', esc_html__('Timespan Details', 'stec'), false);
                    ?>
                </div>

            </div>

            <?php
        endforeach;

    endif;
    ?>

    <!-- schedule template --> 
    <div class="stachethemes-admin-schedule-timespan stachethemes-admin-schedule-timespan-template">

        <div class="stachethemes-admin-schedule-timespan-head">
            <p class="stachethemes-admin-schedule-timespan-title"><span></span><span><?php esc_html_e('Schedule Timespan (optional)', 'stec'); ?></span></p>

            <div>
                <?php
                Admin_Html::html_button(esc_html__('Expand', 'stec'), '', true, "light-btn expand");
                Admin_Html::html_button(esc_html__('Collapse', 'stec'), '', true, "light-btn collapse");
                Admin_Html::html_button(esc_html__('Delete', 'stec'), '', true, "light-btn delete");
                ?>
            </div>
        </div>

        <div class="stachethemes-admin-schedule-toggle-wrap">
            <?php
            Admin_Html::html_info(esc_html__('Date and time', 'stec'));
            ?>
            <div class="stachethemes-admin-section-flex">
                <?php
                Admin_Html::html_date('schedule[0][schedule_date_from]', '', '', esc_html__('Date', 'stec'), false);
                Admin_Html::html_select('schedule[0][schedule_time_hours_from]', Admin_Helper::get_hours_array(), '00');
                Admin_Html::html_select('schedule[0][schedule_time_minutes_from]', Admin_Helper::minutes_array(), '00');
                ?>
            </div>
            <?php
            Admin_Html::html_info(esc_html__('Title', 'stec'));
            Admin_Html::html_input('schedule[0][schedule_title]', '', '', esc_html__('Timespan Title', 'stec'), false);

            Admin_Html::html_info(esc_html__('Icon', 'stec'));
            Admin_Html::html_hidden('schedule[0][schedule_icon]', $event ? $event->get_icon() : 'fa');
            ?>
            <div class="stec-icons-list schedule">
                <ul>
                    <?php
                    $icons = Admin_Helper::get_icon_list();
                    foreach ($icons as $key => $value) {
                        ?><li data-icon="<?php esc_attr_e($key) ?>"><i class="<?php esc_attr_e($key) ?>"></i></li><?php
                    }
                    ?>
                </ul>

                <?php
                Admin_Html::html_info(esc_html__('Add icon from Font-Awesome', 'stec'));
                Admin_Html::html_input('add_fa_icon', '', '', 'Icon class name');
                Admin_Html::html_button(esc_html__('Add to the list', 'stec'), '', true, 'blue-button add-fa-icon');
                ?>
            </div>
            <?php
            Admin_Html::html_info(esc_html__('Icon Color', 'stec'));
            Admin_Html::html_color("schedule[0][schedule_icon_color]", "#000000", "#000000");

            Admin_Html::html_info(esc_html__('Details', 'stec'));
            Admin_Html::html_textarea('schedule[0][schedule_details]', '', '', esc_html__('Timespan Details', 'stec'), false);
            ?>
        </div>
    </div>


    <?php
    Admin_Html::html_button(esc_html__('Add Timespan', 'stec'), false, false, 'add-schedule-timespan');
    ?>

</div>
