<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>


    <h1 class="stachethemes-admin-flex-head">
        <?php
        esc_html_e('Export Events Management ', 'stec');
        echo " / " . $calendar->get_title();
        Admin_Html::html_button(esc_html__('Switch Calendar', 'stec'), "?page={$plugin_page}&task=reset_calendar_session", true);
        ?>
    </h1>

    <div class="stachethemes-admin-section">

        <h2><?php esc_html_e('Export Single Events', 'stec'); ?></h2>

        <?php
        Admin_Html::html_info(esc_html__('List of your created events', 'stec'));

        if (empty($events)) :

            Admin_Html::html_info(esc_html__('(No events to display)', 'stec'));

        else :
            ?>
            <div class="stec-list-bulk">
                <div>
                    <input type="checkbox" name="all_events" value="1" /> <?php esc_html__('Select all events', 'stec'); ?>
                    <p><?php esc_html_e('Selected all events', 'stec'); ?></p>

                    <?php Admin_Html::html_form_start("?page=$plugin_page&view=list&calendar_id={$calendar_id}"); ?>

                    <button class='export-all-items ics'><p><i class="fas fa-calendar-check"></i><?php esc_html_e('Export ICS', 'stec'); ?></p></button>
                    <?php
                    Admin_Html::html_hidden('calendar_id', $calendar_id);
                    Admin_Html::html_hidden('task', 'stec_export_to_ics_bulk');
                    ?>

                    <?php Admin_Html::html_form_end(); ?>

                    <?php Admin_Html::html_form_start("?page=$plugin_page&view=list&calendar_id={$calendar_id}"); ?>

                    <button class='export-all-items csv'><p><i class="fas fa-calendar-check"></i><?php esc_html_e('Export CSV', 'stec'); ?></p></button>
                    <?php
                    Admin_Html::html_hidden('calendar_id', $calendar_id);
                    Admin_Html::html_hidden('task', 'stec_export_to_csv_bulk');
                    ?>

                    <?php Admin_Html::html_form_end(); ?>

                </div>   
            </div>
            <?php
            echo '<ul class="stec-list">';

            foreach ($events as $event) :
                ?>
                <li>
                    <div class='calinfo'>
                        <input type="checkbox" name="eventid" value="<?php echo (int) $event->get_id(); ?>" />
                        <p class='color' style='background: <?php esc_attr_e($event->get_color()) ? esc_attr($event->get_color()) : esc_attr($calendar->get_color()); ?>'></p>
                        <p class='title'><?php esc_html_e($event->get_title()); ?> (id#<?php echo (int) $event->get_id(); ?>)</p>
                    </div>
                    <div class='ctrl'>
                        <a href='<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_ics&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>'><?php esc_html_e('ICS', 'stec'); ?></a>
                        <ul>
                            <li>
                                <a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('CSV', 'stec'); ?></a>
                                <ul class="stec-list-submenu">
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_content&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Content', 'stec'); ?></a></li>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_schedule&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Schedule', 'stec'); ?></a></li>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_guests&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Guests', 'stec'); ?></a></li>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_organizers&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Organizers', 'stec'); ?></a></li>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_attendance&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Attendance', 'stec'); ?></a></li>
                                    <?php if (class_exists('WooCommerce')) : ?>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_booking&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Booking', 'stec'); ?></a></li>
                                    <li><a href="<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=stec_export_to_csv_shop&calendar_id={$calendar_id}&event_id={$event->get_id()}")); ?>"><?php esc_html_e('Shop', 'stec'); ?></a></li>
                                    <?php endif; ?>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </li>
                <?php
            endforeach;

            echo '</ul>';
        endif;
        ?>

    </div>


</div>