<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <h1><?php esc_html_e('Stachethemes Event Calendar - General Settings', 'stec'); ?></h1>

    <ul class="stachethemes-admin-tabs-list">
        <li data-tab="general"><?php esc_html_e('General', 'stec'); ?></li>
        <li data-tab="event_submit"><?php esc_html_e('Event Submission', 'stec'); ?></li>
        <li data-tab="google_captcha"><?php esc_html_e('Captcha & Privacy agreement', 'stec'); ?></li>
        <li data-tab="email_notifications"><?php esc_html_e('Email Notifications', 'stec'); ?></li>
        <li data-tab="tools"><?php esc_html_e('Tools', 'stec'); ?></li>
        <li data-tab="other"><?php esc_html_e('Misc', 'stec'); ?></li>
    </ul>

    <div class="stachethemes-admin-section">
        <?php
        Admin_Html::html_form_start("?page=$plugin_page", "POST");
        ?>

        <div class="stachethemes-admin-section-tab" data-tab="general">
            <h2><?php esc_html_e('General Settings', 'stec'); ?></h2>
            <?php Admin_Html::build_settings_html($plugin_page); ?>
        </div>

        <div class="stachethemes-admin-section-tab" data-tab="event_submit">
            <h2><?php esc_html_e('Event Submission Settings', 'stec'); ?></h2>
            <?php Admin_Html::build_settings_html($plugin_page . '_event_submit'); ?>
        </div>

        <div class="stachethemes-admin-section-tab" data-tab="tools">
            <h2><?php esc_html_e('Pages', 'stec'); ?></h2>
            <?php
            if (Admin_Helper::get_stec_page('organizer')) {
                Admin_Html::html_info(esc_html__('Delete organizer page', 'stec'));
                Admin_Html::html_button(esc_html__('Delete page', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=delete_organizer_page")), false, 'blue-button small-button');
            } else {

                if (defined('ICL_SITEPRESS_VERSION')) {
                    Admin_Html::html_info(sprintf(esc_html__('Create organizer page for %s language', 'stec'), ICL_LANGUAGE_NAME));
                } else {
                    Admin_Html::html_info(esc_html__('Create organizer page', 'stec'));
                }

                Admin_Html::html_button(esc_html__('Create page', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=create_organizer_page")), false, 'blue-button small-button');
            }
            Admin_Html::html_desc(esc_html__('This page is used by the calendar to display your organizers single pages', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>

            <h2><?php esc_html_e('Permalinks', 'stec'); ?></h2>
            <?php
            Admin_Html::html_info(esc_html__('Event single page permalink', 'stec'));
            Admin_Html::html_input('stec_event_path', Admin_Helper::get_permalinks('event', 'stec_event'));
            Admin_Html::html_info(esc_html__('Organizer single page permalink', 'stec'));
            Admin_Html::html_input('stec_organizer_path', Admin_Helper::get_permalinks('organizer', 'stec_organizer'));
            Admin_Html::html_button(esc_html__('Save & refresh permalinks', 'stec'), false, false, 'blue-button small-button', 'data-action=refresh-permalinks');
            Admin_Html::html_button(esc_html__('Reset permalinks', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=reset_permalinks")), true, 'blue-button small-button', 'data-action=reset-permalinks');
            ?>
            <span id="tools-permalinks-status" class="desc">-</span>
            <?php
            Admin_Html::html_desc(esc_html__('If event single page returns 404 (not found) or organizer page is not working try to refresh your permalinks or reset them to their default values', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>

            <h2><?php esc_html_e('Reminders', 'stec'); ?></h2>
            <?php
            Admin_Html::html_info(esc_html__('Delete reminders', 'stec'));
            Admin_Html::html_button(esc_html__('Delete reminders', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=delete_reminders")), false, 'blue-button small-button');
            Admin_Html::html_desc(esc_html__('Removes all reminders set by the users. If removed the users will not receive their reminds. Users are not notified for this action', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>

            <h2><?php esc_html_e('GDPR', 'stec'); ?></h2>
            <?php
            Admin_Html::html_info(esc_html__('Delete emails', 'stec'));
            Admin_Html::html_button(esc_html__('Delete emails', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=delete_gdpr_emails")), false, 'blue-button small-button');
            Admin_Html::html_desc(esc_html__('Removes all gdpr consent emails from the database. Users are not notified for this action', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>

            <h2><?php esc_html_e('Events', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Remove broken events', 'stec'));
            Admin_Html::html_button(esc_html__('Delete events', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=delete_broken_events")), false, 'blue-button small-button');
            Admin_Html::html_desc(esc_html__('Remove events with unassigned or non-existent calendar id', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>
            <?php
            Admin_Html::html_info(esc_html__('Remove broken tickets', 'stec'));
            Admin_Html::html_button(esc_html__('Delete tickets', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=delete_broken_tickets")), false, 'blue-button small-button');
            Admin_Html::html_desc(esc_html__('Remove non-existent tickets from the events', 'stec'));
            ?>
            <div class="stachethemes-admin-separator"></div>
            <?php
            if (true === DTools::has_broken_tickets()) {
                Admin_Html::html_info(esc_html__('Repair broken tickets', 'stec'));
                Admin_Html::html_button(esc_html__('Repair tickets', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=repair_broken_tickets")), false, 'blue-button small-button');
                Admin_Html::html_desc(esc_html__('Repair tickets meta data', 'stec'));
                ?>
                <div class="stachethemes-admin-separator"></div>
                <?php
            }
            ?>

        </div>

        <div class="stachethemes-admin-section-tab" data-tab="google_captcha">
            <h2><?php esc_html_e('Captcha & Privacy Agreement Settings', 'stec'); ?></h2>
            <?php
            Admin_Html::html_info(sprintf(esc_html__('NOTE: To manage your API keys go to %s', 'stec'), '<a target="_BLANK" href="' . esc_url('//www.google.com/recaptcha/admin#list') . '">' . esc_html__('Google reCAPTCHA') . '</a>'));
            ?>
            <?php Admin_Html::build_settings_html($plugin_page . '_google_captcha'); ?>
            <?php
            $privacy_settings = Settings::get_admin_setting($plugin_page . '_privacy_agreement');

            foreach ($privacy_settings as $k => $setting) {
                Admin_Html::setting_to_html($setting);
                if ($k === 'gdpr_enabled' && GDPR::get_emails()) {
                    Admin_Html::html_button(esc_html__('Revoke consents', 'stec'), "javascript:void(0);", true, 'stec-remove-gdpr-consents blue-button');
                }
            }
            ?>
        </div>

        <div class="stachethemes-admin-section-tab" data-tab="email_notifications">
            <h2><?php esc_html_e('Email Notifications', 'stec'); ?></h2>
            <?php
            $email_settings = Settings::get_admin_setting($plugin_page . '_email_notifications');

            foreach ($email_settings as $setting) {
                Admin_Html::setting_to_html($setting);
                Admin_Html::html_button(esc_html__('(Edit template)', 'stec'), "admin.php?page={$plugin_page}&view=edit_email&template={$setting['name']}", true, 'link-button');
            }
            ?>
        </div>

        <div class="stachethemes-admin-section-tab" data-tab="other">
            <h2><?php esc_html_e('Miscellaneous Settings', 'stec'); ?></h2>
            <?php Admin_Html::build_settings_html($plugin_page . '_other'); ?>
        </div>

        <?php
// save
        Admin_Html::html_button(esc_html__('Save settings', 'stec'));
        Admin_Html::html_hidden('task', 'save');

        Admin_Html::html_button(esc_html__('Reset all', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=reset")), true);

        Admin_Html::html_form_end();
        ?>

    </div>
</div>
