<?php

namespace Stachethemes\Stec; ?>

<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>


    <h1>
        <?php
        esc_html_e('CSV Settings', 'stec');
        ?>
    </h1>


    <div class="stachethemes-admin-section">

        <h2><?php esc_html_e('CSV fields association', 'stec'); ?></h2>

        <?php
        Admin_Html::html_form_start("?page=$plugin_page&view=csv_settings", "POST", true);
        Admin_Html::html_info(esc_html__('Associate CSV fields to event fields', 'stec'));

        $csv_fields_assoc = Csv_Settings::get_event_assoc_fields();

        foreach ($csv_fields_assoc as $field) {
            Admin_Html::html_info($field['name']);
            Admin_Html::html_input('event_field[' . $field['assoc'] . ']', '', $field['field'], esc_html__('CSV Field', 'stec'));
        }

        Admin_Html::html_info(esc_html__('CSV Datetime format', 'stec'));
        Admin_Html::html_input('csv_datetime_format', Csv_Settings::get_datetime_format());

        Admin_Html::html_hidden('task', 'save_import_csv_settings');
        Admin_Html::html_button(esc_html__('Save Settings', 'stec'));
        Admin_Html::html_button(esc_html__('Reset Settings', 'stec'), esc_url(wp_nonce_url("?page={$plugin_page}&task=reset_csv_settings")), true, 'blue-button');
        Admin_Html::html_button(esc_html__('Back', 'stec'), "?page=$plugin_page", true, 'blue-button');

        Admin_Html::html_form_end();
        ?>

    </div>

</div>

