<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">


    <h1>
        <?php
        esc_html_e('Locations Management', 'stec');

        if ($location) {
            echo ' / ' . esc_html__('Edit Location', 'stec');
        } else {
            echo ' / ' . esc_html__('Add Location', 'stec');
        }
        ?>
    </h1>

    <div class="stachethemes-admin-section" data-menu="location">

        <h2><?php esc_html_e('Location', 'stec'); ?></h2>

        <?php
        Admin_Html::html_form_start("?page=$plugin_page", "POST");

        Admin_Html::html_info(esc_html__('Title', 'stec'));
        Admin_Html::html_input('title', $location ? $location->get_title() : null, '', esc_html__('Title', 'stec'), false);

        Admin_Html::html_info(esc_html__('Address', 'stec'));
        Admin_Html::html_input('address', $location ? $location->get_address() : null, '', esc_html__('Address', 'stec'), false);

        Admin_Html::html_info(esc_html__('City', 'stec'));
        Admin_Html::html_input('city', $location ? $location->get_city() : null, '', esc_html__('City', 'stec'), false);

        Admin_Html::html_info(esc_html__('Country', 'stec'));
        Admin_Html::html_input('country', $location ? $location->get_country() : null, '', esc_html__('Country', 'stec'), false);

        Admin_Html::html_info(esc_html__('Decimal coordinates. Used for Weather Forecast and Google Maps (optional)', 'stec'));
        Admin_Html::html_input('coordinates', $location ? $location->get_coordinates() : null, '', esc_html__('Location Coordinates', 'stec'), false);

        if ('' != Settings::get_admin_setting_value('stec_menu__general', 'gmaps_api_key')) :
            Admin_Html::html_button(esc_html__('Get coordinates', 'stec'), '#', true, 'blue-button stec-get-coordinates');
        endif;

        Admin_Html::html_info(esc_html__('Location details (optional)', 'stec'));
        Admin_Html::html_textarea('details', $location ? $location->get_details() : '');

        Admin_Html::html_info(esc_html__('Visibility', 'stec'));
        Admin_Html::html_select('visibility', array(
            'private' => esc_html__('Private', 'stec'),
            'public'  => esc_html__('Public', 'stec')
                ), $location ? $location->get_visibility() : 'public', true);

        Admin_Html::html_info(esc_html__('Admin notes (optional)', 'stec'));
        Admin_Html::html_textarea('notes', $location ? $location->get_notes() : '');
        ?>

        <div class="stachethemes-admin-separator"></div>
        <?php
        if ($location_id !== false) {
            Admin_Html::html_hidden('location_id', $location_id);
            Admin_Html::html_hidden('task', 'update');
            Admin_Html::html_button(esc_html__('Update Location', 'stec'));
        } else {
            Admin_Html::html_button(esc_html__('Add Location', 'stec'));
            Admin_Html::html_hidden('task', 'create');
        }

        Admin_Html::html_button(esc_html__('Back', 'stec'), "?page={$plugin_page}", true);

        Admin_Html::html_form_end();
        ?>

    </div>

</div>