<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <h1>
        <?php
        esc_html_e('Locations Management', 'stec');
        ?>
    </h1>

    <?php if (isset($locations)) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Add Location', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Add new location', 'stec'));
            Admin_Html::html_button(esc_html__('Add Location', 'stec'), "?page={$plugin_page}&view=add");
            ?>

        </div>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Manage Locations', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('List of your created locations', 'stec'));

            if (empty($locations)) :

                Admin_Html::html_info(esc_html__('(No locations to display)', 'stec'));

            else :
                ?>
                <div class="stec-list-bulk">
                    <div>
                        <input type="checkbox" name="all_locations" value="1" /> <?php esc_html__('Select all locations', 'stec'); ?>
                        <p><?php esc_html_e('Selected all locations', 'stec'); ?></p>

                        <?php Admin_Html::html_form_start("?page=$plugin_page"); ?>

                        <button class='delete-all-items' data-confirm='<?php esc_html_e('Delete all items?', 'stec'); ?>'><p><i class="fas fa-trash"></i><?php esc_html_e('Delete selected locations', 'stec'); ?></p></button>

                        <?php
                        Admin_Html::html_hidden('task', 'delete_bulk');
                        ?>

                        <?php Admin_Html::html_form_end(); ?>

                    </div>   
                </div>
                <?php
                echo '<ul class="stec-list">';

                foreach ($locations as $location) :
                    $count = (int) $location->get_events_count();
                    ?>
                    <li>
                        <div class='calinfo'>
                            <input type="checkbox" name="locationid" value="<?php echo (int) $location->get_id(); ?>" />
                            <p class='title no-indent'>
                                <a href='<?php echo "?page={$plugin_page}&view=edit&location_id=" . (int) $location->get_id(); ?>'>
                                    <i class="fas fa-map-marker-alt"></i>
                                    <?php 
                                    
                                    if ($location->get_title()) {
                                        echo esc_html($location->get_title()) . ', ';
                                    }
                                    echo esc_html($location->get_full_address()); ?> (id#<?php echo (int) $location->get_id(); 
                                    
                                    ?>)</a> 

                                <span class="stec-list-sub-title">
                                    <?php
                                    printf(esc_html__('Used by %d %s', 'stec'), $count, _n('event', 'events', $count, 'stec'));
                                    ?>
                                </span>
                            </p>
                        </div>
                        <div class='ctrl'>
                            <?php if ($count) : ?>
                                <a href='<?php echo ("?page=stec_menu__events&view=list&location_id={$location->get_id()}"); ?>'><?php esc_html_e('View events', 'stec'); ?></a>
                            <?php endif; ?>
                            <a href='<?php echo ("?page={$plugin_page}&view=edit&location_id={$location->get_id()}"); ?>'><?php esc_html_e('Edit', 'stec'); ?></a>
                            <a class='delete-item' data-confirm='<?php esc_html_e('Delete item?', 'stec'); ?>' href='<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=delete&location_id={$location->get_id()}")); ?>'><?php esc_html_e('Delete', 'stec'); ?></a>
                        </div>
                    </li>
                    <?php
                endforeach;

                echo '</ul>';
            endif;
            ?>

        </div>

    <?php endif; ?>

</div>