<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">

    <h1>
        <?php
        esc_html_e('Organizers Management', 'stec');

        if ($organizer) {
            echo ' / ' . esc_html__('Edit Organizer', 'stec');
        } else {
            echo ' / ' . esc_html__('Add Organizer', 'stec');
        }
        ?>
    </h1>

    <div class="stachethemes-admin-section" data-menu="organizer">

        <h2><?php esc_html_e('Organizer', 'stec'); ?></h2>

        <?php
        Admin_Html::html_form_start("?page=$plugin_page", "POST");

        Admin_Html::html_info(esc_html__('Photo', 'stec'));
        Admin_Html::html_add_image('photo', $organizer ? $organizer->get_photo() : null, esc_html__('Photo', 'stec'), false, true);

        Admin_Html::html_info(esc_html__('Name', 'stec'));
        Admin_Html::html_input('name', $organizer ? $organizer->get_name() : null, '', esc_html__('Name', 'stec'), true);

        Admin_Html::html_info(esc_html__('Details', 'stec'));
        Admin_Html::html_textarea('details', $organizer ? $organizer->get_details() : '', '', esc_html__('Details', 'stec'), false);

        Admin_Html::html_info(esc_html__('Social Links', 'stec'));

        if ($organizer) :
            foreach ($organizer->get_social() as $k => $social) :

                if (!$social['link']) {
                    continue;
                }
                ?>
                <div class="stachethemes-admin-section-flex-organizer-social">
                    <?php
                    Admin_Html::html_select('social[0][ico]', Admin_Helper::social_array(), $social['ico']);
                    Admin_Html::html_input('social[0][link]', $social['link'], '', esc_html__('Link', 'stec'));
                    ?>
                    <i class="stachethemes-admin-organizers-social-remove fa fa-times"></i>
                </div>
                <?php
            endforeach;
        endif;
        ?>

        <div class="stachethemes-admin-section-flex-organizer-social">
            <?php
            Admin_Html::html_select('social[0][ico]', Admin_Helper::social_array(), '');
            Admin_Html::html_input('social[0][link]', '', '', esc_html__('Link', 'stec'));
            ?>
            <i class="stachethemes-admin-organizers-social-remove fa fa-times"></i>
        </div>

        <?php
        Admin_Html::html_button(esc_html__('Add social link', 'stec'), 'javascript:void(0);', false, 'light-btn add-organizers-soclink');

        Admin_Html::html_info(esc_html__('Contact e-mail', 'stec'));
        Admin_Html::html_input('email', $organizer ? $organizer->get_email() : null, '', esc_html__('E-mail', 'stec'), false);

        Admin_Html::html_info(esc_html__('Visibility', 'stec'));
        Admin_Html::html_select('visibility', array(
            'private' => esc_html__('Private', 'stec'),
            'public'  => esc_html__('Public', 'stec')
                ), $organizer ? $organizer->get_visibility() : 'public', true);

        Admin_Html::html_info(esc_html__('Admin notes', 'stec'));
        Admin_Html::html_textarea('notes', $organizer ? $organizer->get_notes() : '');
        ?>

        <div class="stachethemes-admin-separator"></div>
        <?php
        if ($organizer_id !== false) {
            Admin_Html::html_hidden('organizer_id', $organizer_id);
            Admin_Html::html_hidden('task', 'update');
            Admin_Html::html_button(esc_html__('Update Organizer', 'stec'));
        } else {
            Admin_Html::html_button(esc_html__('Add Organizer', 'stec'));
            Admin_Html::html_hidden('task', 'create');
        }

        Admin_Html::html_button(esc_html__('Back', 'stec'), "?page={$plugin_page}", true);

        Admin_Html::html_form_end();
        ?>

    </div>

</div>