<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <h1>
        <?php
        esc_html_e('Organizers Management', 'stec');
        ?>
    </h1>


    <?php if (isset($organizers)) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Add Organizer', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Add new organizer', 'stec'));
            Admin_Html::html_button(esc_html__('Add Organizer', 'stec'), "?page={$plugin_page}&view=add");
            ?>

        </div>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Manage Organizers', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('List of your created organizers', 'stec'));

            if (empty($organizers)) :

                Admin_Html::html_info(esc_html__('(No organizers to display)', 'stec'));

            else :
                ?>
                <div class="stec-list-bulk">
                    <div>
                        <input type="checkbox" name="all_organizers" value="1" /> <?php esc_html__('Select all organizers', 'stec'); ?>
                        <p><?php esc_html_e('Selected all organizers', 'stec'); ?></p>

                        <?php Admin_Html::html_form_start("?page=$plugin_page"); ?>

                        <button class='delete-all-items' data-confirm='<?php esc_html_e('Delete all items?', 'stec'); ?>'><p><i class="fas fa-trash"></i><?php esc_html_e('Delete selected organizers', 'stec'); ?></p></button>

                        <?php
                        Admin_Html::html_hidden('task', 'delete_bulk');
                        ?>

                        <?php Admin_Html::html_form_end(); ?>

                    </div>   
                </div>
                <?php
                echo '<ul class="stec-list">';

                foreach ($organizers as $organizer) :
                    $count = $organizer->get_events_count();
                    ?>
                    <li>
                        <div class='calinfo'>
                            <input type="checkbox" name="organizerid" value="<?php echo (int) $organizer->get_id(); ?>" />
                            <p class='title no-indent'>
                                <a href='<?php echo "?page={$plugin_page}&view=edit&organizer_id=" . (int) $organizer->get_id(); ?>'>
                                    <?php esc_html_e($organizer->get_name()); ?> (id#<?php echo (int) $organizer->get_id(); ?>)</a> 
                                <span class="stec-list-sub-title">
                                    <?php
                                    printf(esc_html__('Organizes %d %s', 'stec'), $count, _n('event', 'events', (int) $count, 'stec'));
                                    ?>
                                </span>
                            </p>
                        </div>
                        <div class='ctrl'>
                            <?php if ($count) : ?>
                                <a href='<?php echo ("?page=stec_menu__events&view=list&organizer_id={$organizer->get_id()}"); ?>'><?php esc_html_e('View events', 'stec'); ?></a>
                            <?php endif; ?>
                            <a href='<?php echo ("?page={$plugin_page}&view=edit&organizer_id={$organizer->get_id()}"); ?>'><?php esc_html_e('Edit', 'stec'); ?></a>
                            <a class='delete-item' data-confirm='<?php esc_html_e('Delete item?', 'stec'); ?>' href='<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=delete&organizer_id={$organizer->get_id()}")); ?>'><?php esc_html_e('Delete', 'stec'); ?></a>
                        </div>
                    </li>
                    <?php
                endforeach;

                echo '</ul>';
            endif;
            ?>

        </div>

    <?php endif; ?>

</div>