<?php

namespace Stachethemes\Stec;
?>

<div class="stachethemes-admin-wrapper">

    <h1>
        <?php
        esc_html_e('Tickets Management', 'stec');

        if ($ticket) {
            echo " - " . esc_html__('Edit Ticket', 'stec');
        } else {
            echo " - " . esc_html__('Create new Ticket', 'stec');
        }
        ?>
    </h1>

    <div class="stachethemes-admin-section">

        <?php
        Admin_Html::html_form_start("?page=$plugin_page", "POST");

        if (!$ticket instanceof \WC_Product) {
            $ticket = null;
        }
        ?>

        <div class="stec-create-ticket-form-custom-field stec-create-ticket-form-add-field-template stachethemes-admin-section-flex stachethemes-admin-section-flex-margin">
            <div>
                <?php
                Admin_Html::html_info(esc_html__('Name', 'stec'));
                Admin_Html::html_input('wc_book_create_ticket_addinfo_field[0][name]', '', '', '', false);
                ?>
            </div>
            <div>
                <?php
                Admin_Html::html_info(esc_html__('Value', 'stec'));
                Admin_Html::html_input('wc_book_create_ticket_addinfo_field[0][value]', '', '', '', false);
                ?>
            </div>
            <i class="fas fa-times stec-create-ticket-form-remove-field"></i>
        </div>

        <div id="stec-create-ticket-form">
            <?php
            Admin_Html::html_info(esc_html__('Ticket Name', 'stec'));
            Admin_Html::html_input('wc_book_create_ticket_name', $ticket ? $ticket->get_title() : null, '', esc_html__('Ticket Name', 'stec'), false);

            Admin_Html::html_info(esc_html__('Requires ticket', 'stec'));
            Admin_Html::html_select('wc_book_requires_ticket', $tickets_array_list, $ticket ? $ticket->get_meta('stec_requires_ticket') : 0, 0);

            Admin_Html::html_info(esc_html__('Requires user role', 'stec'));
            Admin_Html::html_select('wc_book_requires_role', Admin_Helper::get_user_roles_list(), $ticket ? $ticket->get_meta('stec_requires_role') : '', '', true);


            Admin_Html::html_info(esc_html__('Description', 'stec'));
            wp_editor($ticket ? $ticket->get_description() : null, 'wc_book_create_ticket_description', array(
                'editor_height' => 250
            ));

            Admin_Html::html_info(esc_html__('Short Description', 'stec'));
            Admin_Html::html_textarea('wc_book_create_ticket_desc_short', $ticket ? $ticket->get_short_description() : null, '', esc_html__('Short Description', 'stec'), false);
            ?>
            <div class="stachethemes-admin-section-flex stachethemes-admin-section-flex-margin">

                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('Price', 'stec'));
                    Admin_Html::html_input('wc_book_create_ticket_price', $ticket ? $ticket->get_regular_price() : null, '', esc_html__('Regular Price', 'stec'), false, 'number', 'step=0.1');
                    ?>
                </div>

                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('Total Quantity', 'stec'));
                    Admin_Html::html_input('wc_book_create_ticket_qty', $ticket ? $ticket->get_stock_quantity() : null, '', esc_html__('Quantity', 'stec'), false, 'number');
                    ?>
                </div>

                <div>
                    <?php
                    Admin_Html::html_info(esc_html__('SKU', 'stec'));
                    Admin_Html::html_input('wc_book_create_ticket_sku', $ticket ? $ticket->get_sku() : null, '', esc_html__('SKU', 'stec'), false);
                    ?>
                </div>
            </div>

            <?php
            Admin_Html::html_info(esc_html__('Quantity limit per event occurrence', 'stec'));
            Admin_Html::html_input('wc_book_create_ticket_qty_per_event', $ticket ? $ticket->get_quantity_limit_per_event() : null, '', esc_html__('Quantity Limit', 'stec'), false, 'number');
            ?>

            <?php Admin_Html::html_info(esc_html__('Stop purchases', 'stec')); ?>
            <div class="stachethemes-admin-section-flex stachethemes-admin-section-flex-margin">
                <div>
                    <?php
                    $stop_before_units = 'hours';
                    $stop_before_value = $ticket ? $ticket->get_stop_before() : 0;
                    $stop_before_value /= 3600;

                    if (0 === $stop_before_value % 24) {
                        $stop_before_value /= 24;
                        $stop_before_units = 'days';
                    }

                    Admin_Html::html_input('wc_book_create_ticket_stop_purchase[value]', '', $stop_before_value, '', false, 'number', 'min=0');
                    ?>
                </div>
                <div>
                    <?php
                    Admin_Html::html_select('wc_book_create_ticket_stop_purchase[units]', array(
                        'hours' => esc_attr('Hour(s)', 'stec'),
                        'days'  => esc_attr('Day(s)', 'stec'),
                            ), $stop_before_units);
                    ?>
                </div>
                <div>
                    <?php Admin_Html::html_desc(esc_html_x('before the event', 'Days/Hours before the event', 'stec')); ?>
                </div>
            </div>

            <?php
            Admin_Html::html_info(esc_html__('Admin Visibility', 'stec'));
            Admin_Html::html_select('wc_book_create_ticket_admin_visibility', array(
                'private' => esc_attr('Private', 'stec'),
                'public'  => esc_attr('Public', 'stec')
                    ), $ticket ? $ticket->get_admin_visibility() : 'private');
            ?>

            <div class="stec-create-ticket-form-custom-fields">
                <?php
                if ($ticket) :

                    $attribs = $ticket->get_attributes();

                    if ($attribs) {

                        $index = 0;

                        foreach ($attribs as $attrib) {
                            if ($attrib instanceof \WC_Product_Attribute) {
                                ?>
                                <div class="stec-create-ticket-form-custom-field stachethemes-admin-section-flex stachethemes-admin-section-flex-margin">
                                    <div>
                                        <?php
                                        Admin_Html::html_info(esc_html__('Name', 'stec'));
                                        Admin_Html::html_input('wc_book_create_ticket_addinfo_field[' . $index . '][name]', $attrib->get_name(), '', '', false);
                                        ?>
                                    </div>
                                    <div>
                                        <?php
                                        Admin_Html::html_info(esc_html__('Value', 'stec'));
                                        Admin_Html::html_input('wc_book_create_ticket_addinfo_field[' . $index . '][value]', implode('|', $attrib->get_options()), '', '', false);
                                        ?>
                                    </div>
                                    <i class="fas fa-times stec-create-ticket-form-remove-field"></i>
                                </div>
                                <?php
                                $index++;
                            }
                        }
                    }


                endif;
                ?>
            </div>

            <div class="stachethemes-admin-separator"></div>

            <a class="stachethemes-admin-clear stec-create-ticket-form-add-field" href="#"><i class="fas fa-plus"></i> <?php esc_html_e('Add field', 'stec'); ?></a>

        </div>

    </div>

    <div class="stachethemes-admin-separator"></div>

    <?php
    if ($ticket_id !== false) {
        Admin_Html::html_hidden('wc_book_create_ticket_id', $ticket_id);
        Admin_Html::html_hidden('task', 'update');
        Admin_Html::html_button(esc_html__('Update Ticket', 'stec'));
    } else {
        Admin_Html::html_button(esc_html__('Create Ticket', 'stec'));
        Admin_Html::html_hidden('task', 'create');
    }

    Admin_Html::html_button(esc_html__('Back', 'stec'), "?page={$plugin_page}", true);

    Admin_Html::html_form_end();
    ?>

</div>