<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <?php if (isset($tickets)) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Add Tickets', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Create new ticket', 'stec'));
            Admin_Html::html_button(esc_html__('Create Ticket', 'stec'), "?page={$plugin_page}&view=add");
            ?>

        </div>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Manage Tickets', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('List of your created tickets', 'stec'));

            if (!$tickets) :

                Admin_Html::html_info(esc_html__('(No tickets to display)', 'stec'));

            else :
                ?>
                <div class="stec-list-bulk">
                    <div>
                        <input type="checkbox" name="all_tickets" value="1" /> <?php esc_html__('Select all tickets', 'stec'); ?>
                        <p><?php esc_html_e('Selected all tickets', 'stec'); ?></p>

                        <?php Admin_Html::html_form_start("?page=$plugin_page"); ?>

                        <button class='delete-all-items' data-confirm='<?php esc_html_e('Delete all items?', 'stec'); ?>'><p><i class="fas fa-trash"></i><?php esc_html_e('Delete selected tickets', 'stec'); ?></p></button>

                        <?php
                        Admin_Html::html_hidden('task', 'delete_bulk');
                        ?>

                        <?php Admin_Html::html_form_end(); ?>

                    </div>   
                </div>
                <?php
                echo '<ul class="stec-list stec-ticket-list">';

                foreach ($tickets as $id => $title) :
                    
                    $count = Booking::get_used_by_count($id);
                    $sales = Booking::get_total_sales($id);
                    ?>
                    <li>
                        <div class='calinfo'>
                            <input type="checkbox" name="ticketid" value="<?php echo (int) $id; ?>" />
                            <p class='title'>
                                <a href='<?php echo "?page={$plugin_page}&view=edit&ticket_id={$id}"; ?>'>
                                    <?php esc_attr_e($title); ?> (id#<?php echo (int) $id; ?>)</a> 
                                <span class="stec-list-sub-title">
                                    <?php
                                    printf(esc_html__('Used by %d %s. Total sales: %d', 'stec'), $count, _n('event', 'events', $count, 'stec'), $sales);
                                    ?>
                                </span>
                            </p>

                        </div>
                        <div class='ctrl'>
                            <a href='<?php echo ("?page={$plugin_page}&view=orders&ticket_id={$id}"); ?>'><?php esc_html_e('View Orders', 'stec'); ?></a>
                            <a href='<?php echo ("?page={$plugin_page}&view=edit&ticket_id={$id}"); ?>'><?php esc_html_e('Edit', 'stec'); ?></a>
                            <a class='delete-item' data-confirm='<?php esc_html_e('Delete item?', 'stec'); ?>' href='<?php echo esc_url(wp_nonce_url("?page={$plugin_page}&task=delete&ticket_id={$id}")); ?>'><?php esc_html_e('Delete', 'stec'); ?></a>
                        </div>
                    </li>
                    <?php
                endforeach;

                echo '</ul>';
            endif;
            ?>

        </div>

    <?php endif; ?>

</div>