<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-wrapper">

    <?php echo Admin_Helper::display_message(); ?>

    <?php if (isset($orders)) : ?>

        <div class="stachethemes-admin-section">

            <h2><?php esc_html_e('Ticket Orders', 'stec'); ?></h2>

            <?php
            Admin_Html::html_info(esc_html__('Orders list including this ticket', 'stec'));

            if (!$orders) :

                Admin_Html::html_info(esc_html__('(No orders to display)', 'stec'));

            else :
                echo '<ul class="stec-list stec-ticket-list">';

                foreach ($orders as $order) :

                    $the_order = new \WC_Order($order);
                    ?>
                    <li>
                        <div class='calinfo'>
                            <p class='title'>
                                <a href='<?php echo "?page={$plugin_page}&view=edit&ticket_id={$order}"; ?>'>
                                    <?php printf('Order #%s', $order) ?></a> 
                                <span class="stec-list-sub-title">
                                    <?php
                                    printf(esc_html__('Status: %s. Customer: %s %s. Created on: %s', 'stec'), ucfirst($the_order->get_status()), $the_order->get_billing_first_name(), $the_order->get_billing_last_name(), $the_order->get_date_created());
                                    ?>
                                </span>
                            </p>

                        </div>

                        <div class='ctrl'>
                            <a href='<?php echo esc_url(sprintf(admin_url('post.php?post=%d&action=edit'), $order)); ?>'><?php esc_html_e('Details', 'stec'); ?></a>
                        </div>
                    </li>
                    <?php
                endforeach;

                echo '</ul>';
            endif;
            ?>

        </div>

    <?php endif; ?>

</div>