<?php

namespace Stachethemes\Stec;

if (!isset($stec) || !$stec instanceof Stachethemes_Event_Calendar) {
    return;
}

if (!isset($event) || !$event instanceof Event_Post) {
    return;
}
?>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel='stylesheet' href='<?php echo plugins_url('assets/css/fonts/css/fontawesome-all.min.css', STACHETHEMES_EC_FILE__) ?>' type='text/css' media='all' />

        <style>
            .stec-event-embed {
                margin:0;
                padding:15px;
                font-family: Arial;
                width: 100%;
                background: #fff;
                box-sizing: border-box;
                overflow: hidden;
            }

            .stec-event-embed-icon {
                width: 50px;
                height: 50px;
                min-width: 50px;
                border-radius: 3px;
            }

            .stec-event-embed .stec-layout-single-month-full {
                display: none;
            }

            h1 {
                margin:0;
                padding:0;
                padding-left: 10px;
                font-size: 24px;
            }

            .stec-event-embed-icon i {
                width: 50px;
                line-height: 50px;
                color:#fff;
                text-align: center;
                font-size: 20px;
            }

            .stec-event-flex {
                display: flex;
                align-items: center;
                align-content: space-between;
                float: left;
                width: 100%;
            }

            .stec-event-embed-description {
                width: 100%;
                float: left;
                margin-top: 10px;
                font-size: 16px;
                line-height: 1.6;
                color:#999;
            }

            .stec-event-embed-list {
                border-top: 1px solid #ececec;
                border-bottom: 1px solid #ececec;
                float: left;
                width: 100%;
                margin-top: 10px;
                padding: 10px 0;
                list-style: none;
            }

            .stec-event-embed-list li {
                width: 100%;
                float: left;
                margin: 5px 0;
                color:#999;
                font-size: 16px;
            }

            .stec-event-embed-list li i {
                width: 35px;
                text-align: center;
                color:#999;
                font-size: 20px;
            }

            .stec-embed-permalink:hover {
                background-color:#f15e6e;
            }

            .stec-embed-permalink {
                background-color:#4d576c;
                color:#fff;
                padding: 15px 20px;
                border-radius: 3px;
                text-decoration: none;
                float: left;
            }

            @media screen and (max-width: 400px) {

                .stec-event-embed {

                }

                h1 {

                    font-size: 18px;
                }

                .stec-event-embed-icon {
                    width: 40px;
                    height: 40px;
                    min-width: 40px;

                }

                .stec-event-embed-icon i {
                    width: 40px;
                    line-height: 40px;
                    text-align: center;
                    font-size: 18px;
                }

                .stec-event-embed-description {
                    font-size: 14px;
                    line-height: 1.2;

                }
                .stec-embed-permalink {
                    width:100%;
                    padding: 10px;
                    text-align: center;
                    box-sizing: border-box;
                    font-size: 14px;

                }

                .stec-event-embed-list li {

                    font-size: 14px;
                }

                .stec-event-embed-list li i {
                    width: 30px;
                    font-size: 18px;
                }
            }
        </style>

    </head>
    <body class="stec-event-embed">

        <div class="stec-event-flex">
            <div class="stec-event-embed-icon" style="background-color: <?php
            $color = $event->get_color();

            if ('1' === Settings::get_admin_setting_value('stec_menu__general', 'use_cat_color')) {

                if ($event->get_categories()) {
                    $categories = $event->get_parsed_categories();
                    $category   = $categories[0];
                    $color      = $category['color'];
                }
            }

            esc_attr_e($color);
            ?>">
                <i class="<?php esc_attr_e($event->get_icon()); ?>"></i>
            </div>

            <h1><?php esc_html_e($event->get_title()); ?></h1>
        </div>

        <div class="stec-event-embed-description"><?php esc_html_e($event->get_description_short()); ?></div>

        <ul class="stec-event-embed-list">
            <li><i class="fas fa-clock"></i><?php echo Admin_Helper::get_the_timespan($event, $repeat_offset); ?></li>
            <?php if ($event->get_location()) : ?>
                <?php
                $location_object = $event->get_parsed_location();
                ?>
                <li><i class="fa fa-map-marker"></i><?php esc_html_e($location_object->full_address); ?></li>
            <?php endif; ?>
        </ul>

        <a target="_parent" class="stec-embed-permalink" href="<?php echo esc_url($event->get_permalink($repeat_offset)); ?>"><?php esc_html_e('Learn more', 'stec'); ?></a>

    </body>
</html>