<?php

namespace Stachethemes\Stec;

do_action('stec_organizer_page_before_content');

if ($organizer && $organizer instanceof Organizer) :
    ?>

    <div class='stec-page-organizer'>

        <div class='stec-page-organizer-person'>

            <?php
            if ($organizer->get_photo()) {
                ?>
                <div class='stec-page-organizer-person-photo'>
                    <div style="background-image:url('<?php echo esc_url($organizer->get_photo_src('medium')); ?>');"></div>
                </div>
                <?php
            }
            ?>

            <h1 class='stec-page-organizer-person-name stec-layout-event-title-fontandcolor'><?php esc_html_e($organizer->get_name()); ?></h1>
            <div class='stec-page-organizer-person-about stec-layout-event-text-fontandcolor'><?php esc_html_e($organizer->get_details()); ?></div>
            <div class='stec-page-organizer-person-social'><?php
                $socials = $organizer->get_social();
                if ($socials) {
                    foreach ($socials as $social) {
                        if (!trim($social['link'])) {
                            continue;
                        }
                        if (false !== filter_var($social['link'], FILTER_VALIDATE_EMAIL)) {
                            echo "<a href='mailto:{$social['link']}'><i class='{$social['ico']}'></i></a>";
                        } else {
                            echo "<a target='_blank' href='{$social['link']}'><i class='{$social['ico']}'></i></a>";
                        }
                    }
                }
                ?></div>

        </div>

        <div class='stec-page-organizer-events'>
            <?php
            
            $shortcode = apply_filters('stec_organizer_page_shortcode', 
                    sprintf('[stachethemes_ec views="agenda" view="agenda" agenda_cal_display=0 show_top=0 show_create_event_form="0" organizer_id="%s"]', $organizer->get_id()), $organizer);
            
            echo do_shortcode($shortcode);
            ?>
        </div>
    </div>

    <?php
elseif (isset($organizers) && is_array($organizers) && $organizers) :
    ?>
    <ul class="stec-page-organizer-organizers">
        <?php
        foreach ($organizers as $organizer) :
            if ($organizer instanceof Organizer) :
                ?>
                <li class="stec-page-organizer-organizers-organizer">
                    <div class="stec-page-organizer-organizers-organizer-image">
                        <?php if ($organizer->get_photo()) : ?>
                            <div class="stec-page-organizer-organizers-organizer-image-photo" style="background-image:url(<?php echo esc_url($organizer->get_photo_src('medium')); ?>)"></div>
                        <?php else: ?> 
                            <div class="stec-page-organizer-organizers-organizer-image-default"></div>
                        <?php endif; ?>
                    </div>
                    <div class="stec-page-organizer-organizers-organizer-content">
                        <div class="stec-page-organizer-organizers-organizer-title stec-layout-event-title2-fontandcolor"><?php
                            if ($organizer->get_permalink()) {
                                echo "<a href='" . esc_url($organizer->get_permalink()) . "'>" . esc_html__($organizer->get_name()) . "</a>";
                            } else {
                                esc_html_e($organizer->get_name());
                            }
                            ?></div>
                        <div class="stec-page-organizer-organizers-organizer-description stec-layout-event-text-fontandcolor"><?php esc_html_e($organizer->get_details()); ?></div>
                        <div class="stec-page-organizer-organizers-organizer-social">
                            <?php
                            if ($organizer->get_social()) :
                                foreach ($organizer->get_social() as $social) {
                                    if (false !== filter_var($social['link'], FILTER_VALIDATE_EMAIL)) {

                                        printf("<a href='mailto:%s'><i class='%s'></i></a>", filter_var($social['link'], FILTER_VALIDATE_EMAIL), esc_attr($social['ico']));
                                    } else {
                                        printf("<a target='_blank' href='%s'><i class='%s'></i></a>", esc_url($social['link']), esc_attr($social['ico']));
                                    }
                                }
                            endif;
                            ?>
                        </div>
                    </div>
                </li>
                <?php
            endif;
        endforeach;
        ?>
    </ul>
    <?php
else :
    do_action('stec_organizer_page_is_empty');
endif;

do_action('stec_organizer_page_after_content');
