<?php

namespace Stachethemes\Stec;
?>

<div class="stec-share-template">
    <div class="stec-share stec-modal">

        <div class="stec-share-block">

            <div class="stec-share-block-top">
                <div>
                    <i class="fa fa-link"></i>
                    <span class="stec-share-block-title"><?php esc_html_e('Share this event', 'stec'); ?></span>
                </div>
                <span class="stec-share-close"><i class="fa fa-times"></i></span>

            </div>

            <div class="stec-share-wrap">

                <span class="stec-share-fw stec-share-text"><?php esc_html_e('Permalink', 'stec'); ?></span>

                <div class="stec-share-flex">
                    <input name="stec_permalink" type="text" value="" /><button data-copy-permalink title="<?php esc_html_e('Copy to clipboard', 'stec'); ?>" type="button"><i class="fa fa-clipboard"></i></button>
                </div>

                <?php if (Settings::get_admin_setting_value('stec_menu__general', 'allow_embedding') === '1') : ?>

                    <span class="stec-share-fw stec-share-text"><?php esc_html_e('Embed code', 'stec'); ?></span>

                    <div class="stec-share-flex">
                        <textarea name="stec_embed"></textarea><button data-copy-embed title="<?php esc_html_e('Copy to clipboard', 'stec'); ?>" type="button"><i class="fa fa-clipboard"></i></button>
                    </div>

                    <span class="stec-share-fw stec-share-text"><?php esc_html_e('Width in pixels (Height will be calculated automatically)', 'stec'); ?></span>
                    <input name="stec_embed_width" type="text" value="400" />

                <?php endif; ?>

            </div>
        </div>
    </div>
</div>

<div class="stec-email-event-template">
    <div class="stec-email-event stec-modal">

        <div class="stec-email-event-block">

            <div class="stec-email-event-block-top">
                <div>
                    <i class="fa fa-envelope"></i>
                    <span class="stec-email-event-block-title"><?php esc_html_e('E-mail this event', 'stec'); ?></span>
                </div>
                <span class="stec-email-event-close"><i class="fa fa-times"></i></span>

            </div>

            <div class="stec-email-event-wrap">

                <span class="stec-email-event-fw stec-email-event-text"><?php esc_html_e('Enter E-Mail Address', 'stec'); ?></span>

                <div class="stec-email-event-flex">
                    <input name="stec_email" type="email" value="" />
                </div>


                <span class="stec-email-event-fw stec-email-event-text"><?php esc_html_e('Enter your message', 'stec'); ?></span>

                <div class="stec-email-event-flex">
                    <textarea name="stec_message"></textarea>
                </div>

                <a class="stec-email-event-compose stec-style-button stec-style-float-left" href="mailto:"><?php esc_html_e('Send', 'stec'); ?></a>

            </div>
        </div>
    </div>
</div>
