<?php

namespace Stachethemes\Stec;

$repeat_offset = get_query_var('stec_repeat_offset', 0);
$event         = new Event_Post(get_the_ID());
?>

<?php
if (Admin_Helper::user_is_invited($event)) :

    $user_status = (int) Admin_Helper::get_user_attendance_status($event, false, $repeat_offset);
    $free_slots  = Rsvp::has_free_slots($event, $event->get_start_date('Y-m-d', $repeat_offset));

    if (1 === $user_status || $free_slots !== false) :
        ?>

        <div class="stec-layout-single-attendance-invited">
            <p class="stec-layout-event-title2-fontandcolor">
                <?php esc_html_e('You are invited to this event!', 'stec'); ?>
                <br>
                <span style="<?php echo 9999 === $free_slots ? 'display: none;' : ''; ?>"><?php printf('Places left: %s', '<span class="stec-layout-single-attendance-slots-count">' . (int) $free_slots . '</span>') ?></span>
            </p>
            <ul class="stec-layout-single-attendance-invited-buttons">
                <li class="stec-layout-single-button-style stec-layout-single-attendance-invited-buttons-accept stec-layout-event-btn-fontandcolor <?php
                if ($user_status === 1) {
                    echo 'active';
                }
                ?>">
                    <p><?php esc_html_e('Attend', 'stec'); ?></p>
                </li>

                <li class="stec-layout-single-button-style stec-layout-single-attendance-invited-buttons-decline stec-layout-event-btn-fontandcolor <?php
                if ($user_status === 2) {
                    echo 'active';
                }
                ?>">
                    <p><?php esc_html_e('Decline', 'stec'); ?></p>
                </li>
            </ul>
        </div>

    <?php endif; ?>

<?php endif; ?>

<ul class="stec-layout-single-attendance-attendees">

    <?php
    $attendees = $event->get_attendance();

    foreach ($attendees as $attendee) :

        if (false === ($attendee instanceof Event_Meta_Attendee)) {
            continue;
        }

        if (!$attendee->get_userid() && !$attendee->get_email()) {
            continue;
        }
        ?>

        <li class="stec-layout-single-attendance-attendee" itemprop="attendee" itemscope itemtype="//schema.org/Person">

            <div data-userid="<?php echo (int) $attendee->get_userid(); ?>" class="stec-layout-single-attendance-attendee-avatar">
                <img src="<?php echo esc_url($attendee->get_avatar()); ?>" alt="<?php esc_attr_e($attendee->get_name()); ?>" />
                <meta itemprop="image" content="<?php esc_attr_e($attendee->get_avatar()); ?>" />
                <ul>
                    <?php
                    $user_or_email = $attendee->get_userid() ?: $attendee->get_email();

                    switch (Admin_Helper::get_user_attendance_status($event, $user_or_email, $repeat_offset)) :

                        case 1:
                            echo '<li class=""><i class="fa fa-check"></i></li>';
                            break;

                        case 2:
                            echo '<li class=""><i class="fa fa-times"></i></li>';
                            break;

                        case 0:
                        default:
                            echo '<li class=""><i class="fa fa-question"></i></li>';

                    endswitch;
                    ?>
                </ul>
            </div>

            <p class="stec-layout-event-title2-fontandcolor" itemprop="name"><?php esc_html_e($attendee->get_name()); ?></p>
            <span class="stec-layout-single-attendance-attendee-persons"><span><?php esc_html_e($attendee->get_people()); ?></span><i class="fas fa-user"></i></span>
        </li>

    <?php endforeach; ?>
</ul>