<?php

namespace Stachethemes\Stec;

$event = new Event_Post(get_the_ID());

if ($event->get_guests()) :

    $guests = $event->get_guests();
    ?>

    <div class="stec-layout-single-guests">

        <?php
        foreach ($guests as $guest) :

            if (false === ($guest instanceof Event_Meta_Guest)) {
                continue;
            }
            ?>

            <div class="stec-layout-single-guests-guest">

                <div class="stec-layout-single-guests-guest-left">
                    <div class="stec-layout-single-guests-guest-left-avatar">
                        <?php if ($guest->get_photo()) : ?>
                            <img alt="<?php esc_attr_e($guest->get_name()); ?>" src="<?php echo esc_url($guest->get_photo_full()); ?>">
                        <?php else : ?>
                            <div class="stec-layout-single-guests-guest-left-avatar-default"></div>
                        <?php
                        endif;
                        ?>
                        <ul>
                            <?php foreach ($guest->get_links() as $k => $link) : $link = (object) $link; ?>
                                <li class="stec-layout-single-guests-guest-left-avatar-icon-position-<?php echo (int) $k; ?>">
                                    <a href="<?php echo esc_url($link->link); ?>">
                                        <i class="<?php esc_attr_e($link->ico); ?>"></i>
                                    </a>
                                </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                </div>

                <div class="stec-layout-single-guests-guest-right">
                    <p class="stec-layout-single-guests-guest-right-title stec-layout-event-title2-fontandcolor"><?php esc_html_e($guest->get_name()); ?></p>
                    <div class="stec-layout-single-guests-guest-right-desc  stec-layout-event-text-fontandcolor">
                        <p><?php echo Admin_Helper::esc($guest->get_about(), 'noscript'); ?></p>
                    </div>
                </div>

            </div>

        <?php endforeach; ?>

    </div>

    <?php





 endif; 