<?php

namespace Stachethemes\Stec;

$repeat_offset = get_query_var('stec_repeat_offset', 0);
$event         = new Event_Post(get_the_ID());
?>

<?php
foreach ($event->get_schedule() as $schedule) :

    if (false === ($schedule instanceof Event_Meta_Schedule)) {
        continue;
    }
    ?>

    <div class="stec-layout-single-schedule-tab<?php
    if ($schedule->get_details() === '') {
        echo ' stec-layout-single-schedule-tab-no-desc';
    }

    if ($schedule->get_icon() === 'fa') {
        echo ' stec-layout-single-schedule-tab-no-icon';
    }
    ?>">

        <div class="stec-layout-single-schedule-tab-preview">
            <div class="stec-layout-single-schedule-tab-left">
                <span class="" data-schedule-timestamp="<?php echo strtotime($schedule->get_start_date()) + $repeat_offset; ?>"><?php echo Admin_Helper::get_the_schedule_timespan($schedule->get_start_date(), $event, $repeat_offset); ?></span>
            </div>
            <div class="stec-layout-single-schedule-tab-right">

                <div class="stec-layout-single-schedule-tab-right-title">
                    <i style="color: <?php esc_attr_e($schedule->get_icon_color()); ?>" 
                       class="<?php esc_attr_e($schedule->get_icon()); ?>"></i><span class=""><?php esc_html_e($schedule->get_title()); ?></span>
                </div>

                <div class="stec-layout-single-schedule-tab-toggle">
                    <i class="fa fa-plus"></i>
                    <i class="fa fa-minus"></i>
                </div>
            </div>
        </div>

        <?php if ($schedule->get_details() != '') : ?>
            <div class="stec-layout-single-schedule-tab-desc">
                <span class="stec-layout-event-text-fontandcolor"><?php echo nl2br($schedule->get_details()); ?></span>
            </div>
        <?php endif; ?>

    </div>

    <?php
endforeach;
