<?php

use Stachethemes\Stec\Admin_Helper;
use Stachethemes\Stec\Event_Post;

$repeat_offset = get_query_var('stec_repeat_offset', 0);
$event         = new Event_Post(get_the_ID());
?>

<div class="stec-layout-single-shop-top">
    <p class="stec-layout-event-text-fontandcolor">
        <?php esc_html_e('Product', 'stec'); ?>
    </p>
    <p class="stec-layout-event-text-fontandcolor">
        <?php esc_html_e('Name', 'stec'); ?>
    </p>
    <p class="stec-layout-event-text-fontandcolor">
        <?php esc_html_e('Quantity', 'stec'); ?>
    </p>
    <p class="stec-layout-event-text-fontandcolor">
        <?php esc_html_e('Price', 'stec'); ?>
    </p>
    <p class="stec-layout-event-text-fontandcolor">
        <?php esc_html_e('Action', 'stec'); ?>
    </p>
</div>

<div class='stec-layout-single-shop-products'>

    <?php foreach ($event->get_parsed_products() as $product) :
        ?>

        <div class="stec-layout-single-shop-product">

            <div class="stec-layout-single-shop-product-image">
                <?php
                echo Admin_Helper::esc($product->image, 'noscript');
                ?>
            </div>

            <div class="stec-layout-single-shop-product-desc">

                <div class="stec-layout-single-shop-product-status">

                    <?php if ($product->is_featured): ?>
                        <span class="stec-layout-event-text-fontandcolor stec-layout-single-shop-product-about-featured"><?php esc_html_e('featured', 'stec'); ?></span>
                    <?php endif; ?>

                    <?php if ($product->is_on_sale): ?>
                        <span class="stec-layout-event-text-fontandcolor stec-layout-single-shop-product-about-sale"><?php esc_html_e('sale', 'stec'); ?></span>
                    <?php endif; ?>

                    <?php if (!$product->is_in_stock): ?>
                        <span class="stec-layout-event-text-fontandcolor stec-layout-single-shop-product-about-outofstock"><?php esc_html_e('out of stock', 'stec'); ?></span>
                    <?php endif; ?>
                </div>

                <p class="stec-layout-event-title2-fontandcolor">
                    <?php esc_html_e($product->title); ?>
                </p>
                <p class="stec-layout-event-text-fontandcolor">
                    <?php
                    $product->post_data = (object) $product->post_data;
                    esc_html_e($product->post_data->excerpt);
                    ?>
                </p>
            </div>

            <p class="stec-layout-single-shop-product-quantity stec-layout-event-title2-fontandcolor"><span class="stec-layout-event-text-fontandcolor"><?php esc_html_e('QTY:', 'stec'); ?></span><span><?php esc_html_e($product->stock_quantity) === '' ? '-' : esc_html_e($product->stock_quantity); ?></span></p>

            <p class="stec-layout-single-shop-product-price stec-layout-event-title2-fontandcolor"><span class="stec-layout-event-text-fontandcolor"><?php esc_html_e('PRICE:', 'stec'); ?></span>
                <?php echo Admin_Helper::get_product_price($product); ?>
            </p>

            <div>

                <?php if ($product->is_in_stock && $product->purchesable): ?>
                    <div class="stec-layout-single-shop-product-buy-addtocart 
                         stec-layout-single-button-style 
                         stec-layout-event-btn-fontandcolor" data-pid="<?php esc_attr_e($product->id); ?>" data-quantity="1" data-sku="<?php esc_attr_e($product->sku); ?>">

                        <p>
                            <?php esc_html_e('Add to Cart', 'stec'); ?>
                        </p>
                        <i class="fa fa-shopping-cart"></i>
                    </div>
                    <div class="stec-layout-single-shop-product-buy-ajax-status"></div>
                <?php endif; ?>
            </div>

        </div>

    <?php endforeach; ?>

</div>

<div class='stec-layout-single-shop-links'>
    <a class="stec-style-button-secondary stec-layout-event-btn-sec-fontandcolor" href='<?php echo esc_url(wc_get_checkout_url()); ?>'>
        <?php echo esc_html_e('Checkout', 'stec'); ?>
    </a>
    <a class="stec-style-button-secondary stec-layout-event-btn-sec-fontandcolor" href='<?php echo esc_url(wc_get_cart_url()); ?>'>
        <?php echo esc_html_e('View Cart', 'stec'); ?>
    </a>
</div>